package com.tofly.flow.dto;

import java.util.Date;
import java.util.List;
import java.util.Map;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class ProcessNodeInfoDto {
	
	
	 /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "主键ID")
            private Long id;
        /**
     * 审批人ID
     */
        @ApiModelProperty(value = "审批人ID")
            private Long approvalPersonId;
        
        /**
     * 审批人姓名
     */
        @ApiModelProperty(value = "审批人姓名")
            private String approvalPersonName;
        
        /**
     * 审批时间
     */
        @ApiModelProperty(value = "审批时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
        @TableField(updateStrategy = FieldStrategy.IGNORED)
            private Date approvalTime;
         
        /**
     * 审批意见
     */
        @ApiModelProperty(value = "审批意见")
            private String approvalSuggest;
        
        
        /**
     * 审批状态
     */
        @ApiModelProperty(value = "审批状态 1、审核通过  2审核不通过")
            private Integer approvalStatus;

        /**
         * 流程实例ID
         */
        @ApiModelProperty(value = "流程实例ID")
        private Long processId;
        
        
        /**
         * 表单实例ID
         */
        @ApiModelProperty(value = "表单实例ID")
        private Long formId;
        
        /**
         * 流程节点别名
         */
        @ApiModelProperty(value = "流程节点别名")
        private String nodeAlias;
        
        /**
         * 流程节点序号
         */
        @ApiModelProperty(value = "流程节点序号")
        private Integer nodeSortNum;
    
	    /**
	     * 节点表单信息
	     */
	    @ApiModelProperty(value = "节点表单信息")
		public List<Map<String,Object>>  formInfoDto;
	
	
	
	

}
