package com.tofly.flow.dto;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class ProcessTemplateNodeInfoDto {
	
	@ApiModelProperty(value = "审批人ID")
	@NotNull(message = "审批人ID不能为空")
	public Long approvalPersonId;
	
	@ApiModelProperty(value = "审批人姓名")
	public String approvalPersonName;
	
	@ApiModelProperty(value = "流程模板ID")
	@NotNull(message = "流程模板ID不能为空")
	public Long processTemplateId;
	
	@ApiModelProperty(value = "流程节点别名")
	@NotNull(message = "流程节点别名不能为空")
	public String nodeAlias;
	
	@ApiModelProperty(value = "流程节点名称")
	@NotNull(message = "流程节点名称不能为空")
	public String nodeName;
	
	@ApiModelProperty(value = "流程节点序号")
	@NotNull(message = "流程节点序号不能为空")
	public Integer nodeSortNum;
	
	@ApiModelProperty(value = "原审批人ID(如果节点修改审批人，传递原审批人用户ID,  如果是新增节点审批人 ，该字段传递0值)")
	public Long beforeApprovalPersonId;
	
    /**
	* 审批类型（）
	*/
	@ApiModelProperty(value = "审批类型 1、单签 、2 并行会签 、3、或签 ")
	@NotNull(message = "流程节点审批类型不能为空")
    private Integer approvalType;
	
	
    /**
	* 表单模板ID
	*/
	@ApiModelProperty(value = "表单模板ID,选填")
    private Integer formTemplateId;
	
	
	

}
