/*
 * Author: zhoux
 * 生成entity
 */
package com.tofly.flow.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * 表单模板
 *
 * @author zhoux
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_FORM_TEMPLATE_CONTENT")
@KeySequence("TF_FORM_TEMPLATE_CONTENT")
@ApiModel
public class FormTemplateContent extends Model<FormTemplateContent> {
    private static final long serialVersionUID = 1L;


        @TableId(value = "ID",type= IdType.INPUT)
    	@ApiModelProperty(value = "$column.comments")
        private Long id;
        
        
        @ApiModelProperty(value = "字段标识")
        private String  fieldLabel;
        
        
        @ApiModelProperty(value = "字段所在行数（从0开始计算）")
        private Integer fieldRowNum;
        
        
        @ApiModelProperty(value = "字段所占列数")
        private Integer fieldSpanNum;
        

        @ApiModelProperty(value = "字段prop值")
        private String fieldDataProp;
        
        
        @ApiModelProperty(value = "字段值单位")
        private String fieldDataUnit;
        
        /**
         * 流程模板备注
         */
        @ApiModelProperty(value = "字段值输入框类型 select下拉框 、input 输入框 、date日期选择框")
        private String fieldDataType;
        
        
        /**
         * 流程模板ID
         */
        @ApiModelProperty(value = "流程模板ID")
        private String formTemplateId;
        
        
        /**
         * 流程模板ID
         */
        @ApiModelProperty(value = "字段Name值")
        private String fieldName;
        
        
        
}
