/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.flow.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * @author zhoux
 * @date Mon Jul 06 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROCESS_APPROVAL_HISTORY")
@KeySequence("TF_PROCESS_APPROVAL_HISTORY")
@ApiModel
public class ProcessApprovalHistory extends Model<ProcessApprovalHistory> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;

        /**
     * 审批人ID
     */
        @ApiModelProperty(value = "审批人ID")
            private Long approvalPersonId;
        
        /**
     * 审批人姓名
     */
        @ApiModelProperty(value = "审批人姓名")
            private String approvalPersonName;
        
        /**
     * 审批时间
     */
        @ApiModelProperty(value = "审批时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            private Date approvalTime;
         
        /**
     * 审批意见
     */
        @ApiModelProperty(value = "审批意见")
            private String approvalSuggest;
                
        /**
     * 审批状态
     */
        @ApiModelProperty(value = "审批状态 1、审核通过  2审核不通过")
            private Short approvalStatus;

        /**
         * 流程实例ID
         */
        @ApiModelProperty(value = "流程实例ID")
        private Long processId;
                
        /**
         * 流程节点别名
         */
        @ApiModelProperty(value = "流程节点别名")
        private String nodeAlias;
        
        /**
         * 流程节点序号
         */
        @ApiModelProperty(value = "流程节点序号")
        private Integer nodeSortNum;
        
        /**
         * 流程流转序号
         */
        @ApiModelProperty(value = "流程流转序号")
        private Integer operateNum;


}
