package com.tofly.flow.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * @author zhoux
 * @date Tue Jul 07 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROCESS_INSTANCE")
@KeySequence("TF_PROCESS_INSTANCE")
@ApiModel
public class ProcessInstance extends Model<ProcessInstance> {
    private static final long serialVersionUID = 1L;

    /**
	* $column.comments
	*/
	@ApiModelProperty(value = "$column.comments")
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	    /**
	* 创建人
	*/
	@ApiModelProperty(value = "创建人")
	private Long createUser;
    /**
     *
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Long id;
    
    /**
     * 流程模板ID
     */
    @ApiModelProperty(value = "流程模板id")
    private Long processTemplateId;
    
    /**
     * 流程目前所处节点
     */
    @ApiModelProperty(value = "流程目前所处节点")
    private String currentNode;
    
    /**
     * 流程目前所处节点序号
     */
    @ApiModelProperty(value = "流程目前所处节点序号")
    private Integer currentNodeSort;

    /**
     * 流程状态
     */
    @ApiModelProperty(value = "流程状态  1未配置完成， 2、运行中 、3 已拒绝 4已完成")
    private Integer processStatus;
    
    /**
     * 流程实例名称
     */
    @ApiModelProperty(value = "流程实例名称")
    private String processInstanceName;
    
    
    /**
     * 流程删除标志
     */
    @ApiModelProperty(value = "流程删除标志 1、未删除 2已删除")
    private Integer processDelFlag;
    
    
    

}