/*
 * Author: zhoux
 * 生成entity
 */
package com.tofly.flow.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * 流程模板
 *
 * @author zhoux
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_PROCESS_TEMPLATE")
@KeySequence("TF_PROCESS_TEMPLATE")
@ApiModel
public class ProcessTemplate extends Model<ProcessTemplate> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.INPUT)
    	@ApiModelProperty(value = "$column.comments")
        private Long id;
                /**
     * 流程模板名称
     */
        @ApiModelProperty(value = "流程模板名称")
        private String processTemplateName;
                /**
     * 流程模板类型
     */
        @ApiModelProperty(value = "流程模板类型")
        private Integer processTypeId;
                /**
     * 流程节点个数
     */
        @ApiModelProperty(value = "流程节点个数")
        private Integer processNodesNum;
             
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
        @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
        private Date createTime;
                /**
     * 创建人
     */
        @ApiModelProperty(value = "创建人")
        @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
        private Long createUser;

        /**
         * 流程模板备注
         */
        @ApiModelProperty(value = "流程模板备注")
        private String processRemark;
        
        
        
}
