package com.tofly.flow.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 流程模板节点信息表
 *
 * @author zhoux
 * @date Mon Jun 22 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_PROCESS_TEMPLATE_NODE")
@KeySequence("TF_PROCESS_TEMPLATE_NODE")
@ApiModel
public class ProcessTemplateNode extends Model<ProcessTemplateNode> {
    private static final long serialVersionUID = 1L;

        /**
     * 
     */
        @TableId(value = "id",type= IdType.INPUT)
            @ApiModelProperty(value = "")
                private Long id;
                /**
     * 流程模板id
     */
            @ApiModelProperty(value = "流程模板id")
                private Long processTemplateId;
                /**
     * 流程节点名称
     */
            @ApiModelProperty(value = "流程节点名称")
                private String processNodeName;
                /**
     * 审批类型（）
     */
            @ApiModelProperty(value = "审批类型 1、单签 、2 并行会签 、3、或签 ")
                private Integer approvalType;
    /**
     * 流程节点顺序
     */
            @ApiModelProperty(value = "流程节点顺序")
            private Integer sortNum;
            
    /**
     * 流程节点别名
     */
            @ApiModelProperty(value = "流程节点别名")
            private String processNodeAlias;
            
    /**
     * 审批人ID
     */
        @ApiModelProperty(value = "审批人ID")
            private Long approvalPersonId;
        
        /**
     * 审批人姓名
     */
        @ApiModelProperty(value = "审批人姓名")
            private String approvalPersonName;
            
            
        /**
    	* 表单模板ID
    	*/
    	@ApiModelProperty(value = "表单模板ID")
        private Long formTemplateId;      
            
    	
            
}
