/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dispatch.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dispatch.entity.File;
import com.tofly.dispatch.service.FileService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;

/**
 * 公共文件表： TF_YWPN_FILE_W
 *
 * @author fuchenlin
 * @date Mon Mar 22 00:00:00 CST 2021
 */
@RestController
@AllArgsConstructor
@RequestMapping("/file")
@Api(tags="公共文件表： TF_YWPN_FILE_W接口")
public class FileController {

    private final FileService fileService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param file 公共文件表： TF_YWPN_FILE_W
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getFilePage(Page page, @ModelAttribute File file) {
      return ResultRespone.success(fileService.page(page, Wrappers.query(file)));
    }


    /**
     * 通过id查询公共文件表： TF_YWPN_FILE_W
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(fileService.getById(id));
    }

    /**
     * 新增公共文件表： TF_YWPN_FILE_W
     * @param file 公共文件表： TF_YWPN_FILE_W
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增公共文件表： TF_YWPN_FILE_W" )
    @ApiOperation(value = "新增公共文件表： TF_YWPN_FILE_W")
    @PostMapping
    public ResultRespone save(@RequestBody File file) {
      return ResultRespone.success(fileService.save(file));
    }

    /**
     * 修改公共文件表： TF_YWPN_FILE_W
     * @param file 公共文件表： TF_YWPN_FILE_W
     * @return ResultRespone
     */
    @ToFlyAppLog(title="修改公共文件表： TF_YWPN_FILE_W" )
    @ApiOperation(value = "修改公共文件表： TF_YWPN_FILE_W")
    @PutMapping
    public ResultRespone updateById(@RequestBody File file) {
      return ResultRespone.success(fileService.updateById(file));
    }

    /**
     * 通过id删除公共文件表： TF_YWPN_FILE_W
     * @param id id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id删除公共文件表： TF_YWPN_FILE_W" )
    @ApiOperation(value = "通过ID删除公共文件表： TF_YWPN_FILE_W")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(fileService.removeById(id));
    }

    /**
     * 通过id批量删除公共文件表： TF_YWPN_FILE_W
     * @param ids id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id批量删除公共文件表： TF_YWPN_FILE_W" )
    @ApiOperation(value = "通过ID批量删除公共文件表： TF_YWPN_FILE_W")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeByIds(String ids) {
        return ResultRespone.success(fileService.removeByIds(Arrays.asList(ids.split(","))));
    }




}
