package com.tofly.dispatch.dto;

import com.tofly.dispatch.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@EqualsAndHashCode
@ToString
public class BatchDispatchInfoDto {
    /**
     * 调度名称ID
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "调度名称ID")
    private Long dispatchId;

    /**
     * 调度数据集合
     */
    @ApiModelProperty(value = "调度信息集合")
    @Valid
    @NotEmpty
    private List<DispatchInfoDto> dtos;

}
