package com.tofly.dispatch.dto;

import com.tofly.dispatch.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
@ToString
public class BatchDispatchSchemeDto implements Serializable {
    /**
     * 调度方案ID
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "调度方案ID")
    private Long dispatchId;



    @Valid
    @NotEmpty
    @ApiModelProperty(value = "设备信息")
    private List<DispatchSchemeInfoDto> dto;
}
