/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dispatch.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.dispatch.common.FlowConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;


/**
 * 调度日志记录
 *
 * @author admin
 * @date Thu Nov 10 00:00:00 CST 2022
 */
@Data
@ApiModel
public class DispatchLogDto  implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 调度方案id
     */
    @ApiModelProperty(value = "调度方案id")
    private Long dispatchId;
    /**
     * 调度时间
     */
    @ApiModelProperty(value = "调度时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message ="调度时间不能为空")
    private Date dispatchTime;
    /**
     * 值班人员
     */
    @ApiModelProperty(value = "值班人员")
    @NotNull(message ="值班人员不能为空")
    private Long dutyPerson;
    /**
     * 调度详情
     */
    @ApiModelProperty(value = "调度详情")
    private String dispatchRemark;
    /**
     * 工作情况
     */
    @ApiModelProperty(value = "工作情况,0未开始，1未完成，2已完成")
    @NotNull(message = FlowConstant.ISNOTNUL)
    private String workState;
    /**
     * 存在问题
     */
    @ApiModelProperty(value = "存在问题")
    private String existProblem;
    /**
     * 建议措施
     */
    @ApiModelProperty(value = "建议措施")
    private String suggestMeasures;

}
