package com.tofly.dispatch.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class DispatchLogQuery extends CommQuery{

    @ApiModelProperty(value = "值班人员Id")
    private Long dutyPerson;

    @ApiModelProperty(value = "值班人员姓名")
    private String dutyPersonName;

    @ApiModelProperty(value = "工作情况,0未开始，1未完成，2已完成")
    private String workState;

    @ApiModelProperty(value = "调度开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dispatchStartTime;

    @ApiModelProperty(value = "调度结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dispatchEndTime;

}
