package com.tofly.dispatch.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class DispatchOrderDto {

    @ApiModelProperty(value = "主键，修改时候必须")
    private Long id;

    /**
     * 指令内容
     */
    @ApiModelProperty(value = "指令内容")
    @NotNull(message ="指令内容不能为空")
    private String orderContent;
    /**
     * 指令类型（1常规指令，2紧急指令）
     */
    @ApiModelProperty(value = "指令类型（1常规指令，2紧急指令）")
    @NotNull(message ="指令类型不能为空")
    private String orderType;

    /**
     * 执行时间
     */
    @ApiModelProperty(value = "执行时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @NotNull(message ="执行时间不能为空")
    private Date executionTime;
    /**
     * 关联调度方案id
     */
    @ApiModelProperty(value = "关联调度方案id")
    private Long dispatchId;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    @TableField(jdbcType = JdbcType.VARCHAR,updateStrategy = FieldStrategy.IGNORED)
    private String remark;
    /**
     * 附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;




}
