package com.tofly.dispatch.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class DispatchOrderQuery extends CommQuery{

    @ApiModelProperty(value = "指令内容")
    private String orderContent;

    @ApiModelProperty(value = "指令类型（1常规指令，2紧急指令）")
    private String orderType;

    @ApiModelProperty(value = "指令状态（0未接受、1已接受、2已拒绝，3已完成）")
    private String orderState;

    @ApiModelProperty(value = "发送状态（0未发送，1已发送）")
    private String sendState;


    @ApiModelProperty(value = "指令接受部门")
    private Long departmentId;

    /**
     * 指令接受部门名称
     */
    @ApiModelProperty(value = "指令接受部门名称")
    private String departmentName;

    @ApiModelProperty(value = "执行时间开始")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date executionStartTime;

    @ApiModelProperty(value = "执行时间结束")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date executionEndTime;

    @ApiModelProperty(value = "发送时间开始")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date sendStartTime;

    @ApiModelProperty(value = "发送时间结束")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendEndTime;


}
