package com.tofly.dispatch.dto;

import com.tofly.dispatch.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
@ToString
public class DispatchSchemeInfoDto implements Serializable {

    /**
     * 设备类型1:阀门；2:泵
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "设备类型1:阀门；2:泵")
    private Short deviceType;
    /**
     * 设备编号
     */
    @NotEmpty(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "设备编号")
    private String deviceNumber;
    /**
     * 设备位置
     */
    @ApiModelProperty(value = "设备位置")
    private String devicePlace;
    /**
     * 设备状态0:关闭;1:开启
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "设备状态0:关闭;1:开启")
    private Short deviceState;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    /**
     * 口径
     */
    @ApiModelProperty(value = "口径")
    private Float caliber;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;

    /**
     * 执行时间,逗号分隔
     */
    @ApiModelProperty(value = "执行时间,逗号分隔")
    private String  executeTime;

}
