package com.tofly.dispatch.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel
public class TfWaterInfoDto {
    @ApiModelProperty(value ="创建人")
    private Long createUser;


    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String name;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 建设单位
     */
    @ApiModelProperty(value = "建设单位")
    private String constructionUnit;
    /**
     * 建设时间
     */
    @ApiModelProperty(value = "建设时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date constructionTime;
    /**
     * 占地面积（㎡）
     */
    @ApiModelProperty(value = "占地面积（㎡）")
    private Double areaCovered;
    /**
     * 水源
     */
    @ApiModelProperty(value = "水源")
    private String waterSource;
    /**
     * 投产时间
     */
    @ApiModelProperty(value = "投产时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date blowInTime;
    /**
     * 设计处理能力（m³）
     */
    @ApiModelProperty(value = "设计处理能力（m³）")
    private Double designProcessingCapacity;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;

}
