/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dispatch.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 专家库管理
 *
 * @author admin
 * @date Thu Nov 10 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DIS_DISPATCH_EXPERT_W", resultMap = "dispatchExpertMap")
@KeySequence("TF_DIS_DISPATCH_EXPERT_W")
@ApiModel
public class DispatchExpert extends Model<DispatchExpert> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键,编号
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键,编号")
    private Long id;
    /**
     * 专家名称
     */
    @ApiModelProperty(value = "专家名称")
    private String expertName;
    /**
     * 专家联系方式
     */
    @ApiModelProperty(value = "专家联系方式")
    private String expertTel;
    /**
     * 行业领域
     */
    @ApiModelProperty(value = "行业领域")
    private String industrySector;
    /**
     * 工作经历
     */
    @ApiModelProperty(value = "工作经历")
    private String workExperience;
    /**
     * 所获荣誉
     */
    @ApiModelProperty(value = "所获荣誉")
    private String honorsWon;
    /**
     * 学术成就
     */
    @ApiModelProperty(value = "学术成就")
    private String academicAchievements;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
