/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dispatch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 供水调度详情（水压）
 *
 * @author xqf
 * @date Mon Mar 14 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DIS_DISPATCH_INFO_W", resultMap = "dispatchInfoMap")
@KeySequence("TF_DIS_DISPATCH_INFO_W")
@ApiModel
public class DispatchInfo extends Model<DispatchInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 调度名称ID
     */
    @ApiModelProperty(value = "调度名称ID")
    private Long dispatchId;
    /**
     * 站点名称
     */
    @ApiModelProperty(value = "站点名称")
    private String siteName;
    /**
     * 0点入口
     */
    @ApiModelProperty(value = "0点入口")
    private Double iZero;
    /**
     * 0点出口
     */
    @ApiModelProperty(value = "0点出口")
    private Double oZero;
    /**
     * 1点入口
     */
    @ApiModelProperty(value = "1点入口")
    private Double iOne;
    /**
     * 1点出口
     */
    @ApiModelProperty(value = "1点出口")
    private Double oOne;
    /**
     * 2点入口
     */
    @ApiModelProperty(value = "2点入口")
    private Double iTwo;
    /**
     * 2点出口
     */
    @ApiModelProperty(value = "2点出口")
    private Double oTwo;
    /**
     * 3点入口
     */
    @ApiModelProperty(value = "3点入口")
    private Double iThree;
    /**
     * 3点出口
     */
    @ApiModelProperty(value = "3点出口")
    private Double oThree;
    /**
     * 4点入口
     */
    @ApiModelProperty(value = "4点入口")
    private Double iFour;
    /**
     * 4点出口
     */
    @ApiModelProperty(value = "4点出口")
    private Double oFour;
    /**
     * 5点入口
     */
    @ApiModelProperty(value = "5点入口")
    private Double iFive;
    /**
     * 5点出口
     */
    @ApiModelProperty(value = "5点出口")
    private Double oFive;
    /**
     * 6点入口
     */
    @ApiModelProperty(value = "6点入口")
    private Double iSix;
    /**
     * 6点出口
     */
    @ApiModelProperty(value = "6点出口")
    private Double oSix;
    /**
     * 7点入口
     */
    @ApiModelProperty(value = "7点入口")
    private Double iSeven;
    /**
     * 7点出口
     */
    @ApiModelProperty(value = "7点出口")
    private Double oSeven;
    /**
     * 8点入口
     */
    @ApiModelProperty(value = "8点入口")
    private Double iEight;
    /**
     * 8点出口
     */
    @ApiModelProperty(value = "8点出口")
    private Double oEight;
    /**
     * 9点入口
     */
    @ApiModelProperty(value = "9点入口")
    private Double iNine;
    /**
     * 9点出口
     */
    @ApiModelProperty(value = "9点出口")
    private Double oNine;
    /**
     * 10点入口
     */
    @ApiModelProperty(value = "10点入口")
    private Double iTen;
    /**
     * 10点出口
     */
    @ApiModelProperty(value = "10点出口")
    private Double oTen;
    /**
     * 11点入口
     */
    @ApiModelProperty(value = "11点入口")
    private Double iEleven;
    /**
     * 11点出口
     */
    @ApiModelProperty(value = "11点出口")
    private Double oEleven;
    /**
     * 12点入口
     */
    @ApiModelProperty(value = "12点入口")
    private Double iTwelve;
    /**
     * 12点出口
     */
    @ApiModelProperty(value = "12点出口")
    private Double oTwelve;
    /**
     * 13点入口
     */
    @ApiModelProperty(value = "13点入口")
    private Double iThirteen;
    /**
     * 13点出口
     */
    @ApiModelProperty(value = "13点出口")
    private Double oThirteen;
    /**
     * 14点入口
     */
    @ApiModelProperty(value = "14点入口")
    private Double iFourteen;
    /**
     * 14点出口
     */
    @ApiModelProperty(value = "14点出口")
    private Double oFourteen;
    /**
     * 15点入口
     */
    @ApiModelProperty(value = "15点入口")
    private Double iFifteen;
    /**
     * 15点出口
     */
    @ApiModelProperty(value = "15点出口")
    private Double oFifteen;
    /**
     * 16点入口
     */
    @ApiModelProperty(value = "16点入口")
    private Double iSixteen;
    /**
     * 16点出口
     */
    @ApiModelProperty(value = "16点出口")
    private Double oSixteen;
    /**
     * 17点入口
     */
    @ApiModelProperty(value = "17点入口")
    private Double iSeventeen;
    /**
     * 17点出口
     */
    @ApiModelProperty(value = "17点出口")
    private Double oSeventeen;
    /**
     * 18点入口
     */
    @ApiModelProperty(value = "18点入口")
    private Double iEighteen;
    /**
     * 18点出口
     */
    @ApiModelProperty(value = "18点出口")
    private Double oEighteen;
    /**
     * 19点入口
     */
    @ApiModelProperty(value = "19点入口")
    private Double iNineteen;
    /**
     * 19点出口
     */
    @ApiModelProperty(value = "19点出口")
    private Double oNineteen;
    /**
     * 20点入口
     */
    @ApiModelProperty(value = "20点入口")
    private Double iTwenty;
    /**
     * 20点出口
     */
    @ApiModelProperty(value = "20点出口")
    private Double oTwenty;
    /**
     * 21点入口
     */
    @ApiModelProperty(value = "21点入口")
    private Double iTwentyOne;
    /**
     * 21点出口
     */
    @ApiModelProperty(value = "21点出口")
    private Double oTwentyOne;
    /**
     * 22点入口
     */
    @ApiModelProperty(value = "22点入口")
    private Double iTwentyTwo;
    /**
     * 22点出口
     */
    @ApiModelProperty(value = "22点出口")
    private Double oTwentyTwo;
    /**
     * 23点入口
     */
    @ApiModelProperty(value = "23点入口")
    private Double iTwentyThree;
    /**
     * 23点出口
     */
    @ApiModelProperty(value = "23点出口")
    private Double oTwentyThree;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String unit;

}
