/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dispatch.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 调度方案执行设备
 *
 * @author xqf
 * @date Mon Mar 14 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DIS_DISPATCH_SCHEME_INFO_W", resultMap = "dispatchSchemeInfoMap")
@KeySequence("TF_DIS_DISPATCH_SCHEME_INFO_W")
@ApiModel
public class DispatchSchemeInfo extends Model<DispatchSchemeInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 调度方案ID
     */
    @ApiModelProperty(value = "调度方案ID")
    private Long dispatchId;
    /**
     * 设备类型1:阀门；2:泵
     */
    @ApiModelProperty(value = "设备类型1:阀门；2:泵")
    private Short deviceType;
    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String deviceNumber;
    /**
     * 设备位置
     */
    @ApiModelProperty(value = "设备位置")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String devicePlace;
    /**
     * 设备状态0:关闭;1:开启
     */
    @ApiModelProperty(value = "设备状态0:关闭;1:开启")
    private Short deviceState;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    /**
     * 口径
     */
    @ApiModelProperty(value = "口径")
    @TableField(condition = ToflySqlCondition.LIKE)
    private Float caliber;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

    /**
     * 执行时间
     */
    @ApiModelProperty(value = "执行时间")
    private String executeTime;


}
