/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dispatch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 事故危险源
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DIS_EMERGENCY_HAZARD_W", resultMap = "emergencyHazardMap")
@KeySequence("TF_DIS_EMERGENCY_HAZARD_W")
@ApiModel
public class EmergencyHazard extends Model<EmergencyHazard> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 事故ID
     */
    @ApiModelProperty(value = "事故ID")
    private Long emergencyId;
    /**
     * 危险源ID
     */
    @ApiModelProperty(value = "危险源ID")
    private Long hazardId;
    /**
     * 状态1:原有；2:新增
     */
    @ApiModelProperty(value = "状态1:原有；2:新增")
    private Short hazardState;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;


}
