/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dispatch.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 应急设施
 *
 * @author admin
 * @date Wed Nov 09 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DIS_FACILITIES_W", resultMap = "facilitiesMap")
@KeySequence("TF_DIS_FACILITIES_W")
@ApiModel
public class Facilities extends Model<Facilities> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键，设备编号
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键，设备编号")
    private Long id;
    /**
     * 设备类型1车辆，2应急工具
     */
    @ApiModelProperty(value = "设备类型1车辆，2应急工具")
    private String facilitiesType;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    private String facilitiesName;
    /**
     * 设备型号
     */
    @ApiModelProperty(value = "设备型号")
    private String facilitiesMode;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private String facilitiesPerson;
    /**
     * SIM卡号
     */
    @ApiModelProperty(value = "SIM卡号")
    private String simNumber;
    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    private String carNumber;
    /**
     * 车里程信息
     */
    @ApiModelProperty(value = "车里程信息")
    private String carMileageInfo;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
