/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dispatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dispatch.dto.FacilitiesQuery;
import com.tofly.dispatch.entity.EmergencyFacilities;
import com.tofly.dispatch.entity.Facilities;
import com.tofly.dispatch.entity.Hazard;

import java.util.List;

/**
 * 应急设施
 *
 * @author admin
 * @date Wed Nov 09 00:00:00 CST 2022
 */
public interface FacilitiesService extends IService<Facilities> {

    boolean deleteByIds(String ids);

    Page<Facilities> getPageData(Page page, FacilitiesQuery facilities);

    /**
     * 根据EmergencyId查询设备设施列表
     * @param emergencyId 事件事故ID
     * @return 设备设施列表
     */
    List<Facilities> getListByEmergencyId(Long emergencyId);
}
