/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dispatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dispatch.dto.StaffQuery;
import com.tofly.dispatch.entity.EmergencyStaff;
import com.tofly.dispatch.entity.Facilities;
import com.tofly.dispatch.entity.Staff;

import java.util.List;

/**
 * 应急人员
 *
 * @author admin
 * @date Wed Nov 09 00:00:00 CST 2022
 */
public interface StaffService extends IService<Staff> {


    boolean deleteByIds(String ids);


    Page<Staff> getPageData(Page page, StaffQuery staff);

    /**
     * 根据EmergencyId查询人员列表
     * @param emergencyId 事件事故ID
     * @return 人员列表
     */
    List<Staff> getListByEmergencyId(Long emergencyId);

}
