package com.tofly.dispatch.strategy;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 策略 接口
 * </p>
 *
 * @author Zev
 * @since 2021-01-19
 */
public interface ExcelStrategy {

    /**
     *  excel获取导出数据
     *  @param dto 筛选条件对象
     *  @param templateFlag 0为正式导出/1为演示模板导出
     *  @return 封装好的导出对象
     *
     */
    List<Map<String, Object>> getExportData(String dto, String templateFlag);

    /**
     * excel导入的数据落库
     * @param dataList 导入的数据
     * @return 是否存储成功
     */
    Boolean excelDataStorage(List<Object> dataList);


}
