/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dispatch.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.dispatch.entity.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 应急事件（处置预案、事件分析）
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
@Data
@ApiModel
public class EmergencyVO extends Emergency {

    /**
     * 危险源
     */
    @ApiModelProperty(value = "危险源列表")
    private List<Hazard> emergencyHazards;

    /**
     * 通讯录
     */
    @ApiModelProperty(value = "人员列表")
    private List<Staff> emergencyStaffs;


    /**
     * 应急设施
     */
    @ApiModelProperty(value = "应急设施列表")
    private List<Facilities> emergencyFacilities;



    @Transient
    @ApiModelProperty(value = "附件文件列表")
    private List<File> fileList;

}
