package com.tofly;

import com.tofly.common.FeignConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author HaiQiu
 * @since 2022/11/14
 */
@SpringCloudApplication
@EnableScheduling
@EnableAsync
@EnableFeignClients(basePackages ={"com.tofly.common.log"},defaultConfiguration = {FeignConfig.class})
@ComponentScan({"com.tofly.*"})
@MapperScan({"com.tofly.*.mapper"})
public class FlowProjectApp {
    public static void main(String[] args) {
        SpringApplication.run(FlowProjectApp.class, args);
        System.out.println("流程工程管理系统启动成功");
    }
}
