package com.tofly.filling.entity.dto;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;

import javax.validation.constraints.*;

/**
 * 填报记录(Filling)表实体类
 *
 * @author HaiQiu
 * @since 2023-01-10 11:39:03
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "Filling对象", description = "填报记录")
public class FillingDto implements Serializable {

    private static final long serialVersionUID = 184618882313774837L;

    /**
     * ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 类型：0值班，1用车，也可以字典获取
     */
    @Size(max = 66, message = "类型：0值班，1用车，也可以字典获取长度不能超过66")
    @ApiModelProperty(value = "类型：0值班，1用车，也可以字典获取")
    private String category;

    /**
     * 填报名称标题
     */
    @Size(max = 166, message = "填报名称标题长度不能超过166")
    @ApiModelProperty(value = "填报名称标题")
    private String name;

    /**
     * 填报内容
     */
    @ApiModelProperty(value = "填报内容")
    private String content;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 公司或单位
     */
    @ApiModelProperty(value = "公司或单位")
    private Long companyUnit;

}

