package com.tofly.filling.entity.duty;

import com.tofly.filling.entity.dto.FillingDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author HaiQiu
 * @since 2023/1/10
 */
@Data
@ApiModel(value = "交接班人员当面签填")
public class DutyDto {

    @ApiModelProperty(value = "接班卫生情况")
    private String sanitationOfShiftHandover;

    @ApiModelProperty(value = "接班净水情况")
    private String waterPurificationAtTheTimeOfSuccession;

    @ApiModelProperty(value = "接班时消毒情况")
    private String disinfectionConditionWhenTakingOverTheShift;
    @ApiModelProperty(value = "交接班时进水厂总数据")
    private String totalDataOfWaterIntakePlantAtShiftHandover;

    @ApiModelProperty(value = "交接班时进水厂瞬时流量")
    private String instantaneousFlowOfInfluencePlantDuringShiftChange;

    @ApiModelProperty(value = "交接班时出水厂总数据")
    private String totalDataOfWaterTreatmentPlantAtShiftHandover;

    @ApiModelProperty(value = "交接班时出水厂瞬时流量")
    private String instantaneousFlowFromTheWaterPlantDuringShiftChange;

    @ApiModelProperty(value = "交接班时设备情况")
    private DutyDeviceDto dutyDeviceDto;

    @ApiModelProperty(value = "交班时清水泡水位")
    private String clearWaterBubbleLevelAtShiftHandover;

    @ApiModelProperty(value = "交班时出厂水浊度")
    private String turbidityOfFactoryWaterAtShiftHandover;

    @ApiModelProperty(value = "交班时出厂水余氯")
    private String residualChlorineInFactoryWaterAtShiftHandover;

    @ApiModelProperty(value = "当班进厂水量")
    private String waterInflowOnDuty;

    @ApiModelProperty(value = "当班生厂水量")
    private String waterVolumeOfThePlantOnDuty;

    @ApiModelProperty(value = "净水剂消毒剂")
    private List<DutyDisinfectantDto> dutyDisinfectantDtos;

    @ApiModelProperty(value = "交接班人员")
    private DutyPersonDto dutyPersonDto;

}
