package com.tofly.filling.entity.duty;

import com.tofly.filling.entity.dto.FillingDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author HaiQiu
 * @since 2023/1/10
 */
@Data
@ApiModel(value = "当日值班记录")
public class DutyTodayDto {

    @ApiModelProperty(value = "出厂水")
    private List<DutyOutWaterDto> dutyOutWaterDto;

    @ApiModelProperty(value = "原水情况")
    private String rawWaterCondition;

    @ApiModelProperty(value = "设备运行情况")
    private String equipmentOperation;
    @ApiModelProperty(value = "滤池反冲记录")
    private String filterBackwashRecord;

    @ApiModelProperty(value = "排泥情况")
    private String sludgeDischarge;

    @ApiModelProperty(value = "出厂水调节情况")
    private String factoryWaterRegulation;

    @ApiModelProperty(value = "交接班时出水厂瞬时流量")
    private String instantaneousFlowFromTheWaterPlantDuringShiftChange;

    @ApiModelProperty(value = "加药记录")
    private DosingRecordDto dosingRecordDto;

    @ApiModelProperty(value = "值班巡视记录")
    private List<String> dutyPatrolRecords;


    @ApiModelProperty(value = "疾控中心抽检记录")
    private String spotCheckRecordOfCDC;

    @ApiModelProperty(value = "疾控中心抽检记录（签名）")
    private String spotCheckRecordOfCDCName;

    @ApiModelProperty(value = "机修维护记录")
    private String machineMaintenanceRecord;

    @ApiModelProperty(value = "机修维护记录（签名）")
    private String machineMaintenanceRecordName;

    @ApiModelProperty(value = "当班时外来人员进出记录")
    private String recordOfEntryAndExitOfExternalPersonnelOnDuty;

    @ApiModelProperty(value = "当班时外来人员进出记录（签名）")
    private String recordOfEntryAndExitOfExternalPersonnelOnDutyName;

    @ApiModelProperty(value = "水池日常清洁记录")
    private String dailyCleaningRecordOfWaterPool;

    @ApiModelProperty(value = "备注")
    private String remark;
}
