package com.tofly.install.dto;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.stocks.dto.DeviceInfoStoreQuery;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class ApplyInstallQuery {
	
	
    /**
     * 关键字查询
     */
    @ApiModelProperty(value = "编号、名称、地址")
	public String keys;
    
    
    /**
     * 报装申请开始时间
     */
    @ApiModelProperty(value = "报装申请开始时间")
    private String applyInstallTimeStart;


    /**
     * 报装申请结束时间
     */
    @ApiModelProperty(value = "报装申请结束时间")
    private String applyInstallTimeEnd;
        
	
    /**
     * 当前环节节点别名
     */
    @ApiModelProperty(value = "当前环节节点别名")
	public String queryNodeAlias;
    
    
    /**
     * 业务状态标识
     */
    @ApiModelProperty(value = "业务状态标识 1、未提交  2、已提交")
	public Integer applyStatus;
        
    /**
     * 流程处理标志 
     */
    @ApiModelProperty(value = "流程处理标志 1、未处理  2、已处理(该流程标志与处理时间起点对应、请勿传递业务状态标志(applyStatus))")
	public Integer processStatus;
    
    
    /**
     * 处理时间起
     */
    @ApiModelProperty(value = "处理时间起")
	public String processHandleTimeStart;
    
    
    /**
     * 处理时间止
     */
    @ApiModelProperty(value = "处理时间止")
	public String processHandleTimeEnd;
    
    
    /**
     * 流程节点处理用户ID
     */
    @ApiModelProperty(value = "流程节点处理用户ID")
	public Long approvalPersonId;
    
    
    
    /**
     * 查询方式
     */
    @ApiModelProperty(value = "1、报装申请节点查询、2流程节点查询")
	public Integer queryType;
    
    
    
    
    
    
    
    
}