package com.tofly.install.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.haiqiu.tools.excel.annotation.Excel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 用料信息
 * @author zhoux
 *
 */

@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "TF_YWPN_MATERIAL_USE", resultMap = "materialUseMap")
@KeySequence("TF_YWPN_MATERIAL_USE")
@ApiModel(value = "报装业务用料信息", description = "报装业务用料信息")
public class MaterialUse {
	
	
	/**
     * 主键ID
     */
    @Excel(name = "主键ID")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.INPUT)
    private Long id; 
    
    
    /**
     * 流程实例ID
     */
    @Excel(name = "流程实例ID")
    @ApiModelProperty(value = "流程实例ID")
    private Long processInstanceId; 

    
    /**
     * 材料名称
     */
    @Excel(name = "材料名称")
    @ApiModelProperty(value = "材料名称")
    private String materialName; 
    
    
    /**
     * 规格型号
     */
    @Excel(name = "规格型号")
    @ApiModelProperty(value = "规格型号")
    private String modleNo; 
    
    /**
     * 单位
     */
    @Excel(name = "单位")
    @ApiModelProperty(value = "单位")
    private String materialUnit; 
    
    /**
     * 需要数量
     */
    @Excel(name = "需要数量")
    @ApiModelProperty(value = "需要数量")
    private Integer needNum; 
    
    
    /**
     * 总价
     */
    @Excel(name = "总价")
    @ApiModelProperty(value = "总价")
    private Double totlePrice; 
    
    
    /**
     * 单位
     */
    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark; 
    
    
    
    /**
     * 单价
     */
    @ApiModelProperty(value = "单价")
    private Double unitPrice; 
    
    
    
    
    
}
