package com.tofly.install.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.haiqiu.tools.excel.annotation.Excel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "TF_YWPN_OTHER_FEES", resultMap = "otherFeesMap")
@KeySequence("TF_YWPN_OTHER_FEES")
@ApiModel(value = "其他费用信息", description = "其他费用信息")
public class OtherFees {
	
	
	/**
     * 主键ID
     */
    @Excel(name = "主键ID")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.INPUT)
    private Long id; 
    
    
    /**
     * 流程实例ID
     */
    @Excel(name = "流程实例ID")
    @ApiModelProperty(value = "流程实例ID")
    private Long processInstanceId; 
    
    
    /**
     * 费用类型
     */
    @Excel(name = "费用类型")
    @ApiModelProperty(value = "费用类型")
    private String feesType; 
    
    
    
    /**
     * 费用类型
     */
    @Excel(name = "费用总价")
    @ApiModelProperty(value = "费用总价")
    private Double feesTotlePrice; 
	
	
    /**
     * 备注
     */
    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark; 
	

}
