package com.tofly.install.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.install.dto.ApplyInstallQuery;
import com.tofly.install.entity.ApplyInstall;
import com.tofly.install.vo.ApplyInstallVo;
import com.tofly.stocks.dto.DeviceHandleInfoQuery;
import com.tofly.stocks.vo.DeviceHandleInfoVo;

import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * ${comments}
 *
 * @author zhoux
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface ApplyInstallService extends IService<ApplyInstall> {

	ApplyInstall saveApplyInstall(ApplyInstall applyInstall, List<MultipartFile> files) throws Exception;

	ApplyInstall editApplyInstall(ApplyInstall applyInstall, List<MultipartFile> files) throws Exception;
    
	/**
	 * 报装数据流程节点查询
	 * @param page
	 * @param applyInstallQuery
	 * @return
	 */
    Page<ApplyInstallVo> getDataPage(Page page, ApplyInstallQuery applyInstallQuery);
    
    /**
     * 报装数据台账数据查询
     * @param page
     * @param applyInstallQuery
     * @return
     */
    Page<ApplyInstallVo> getDataOtherPage(Page page, ApplyInstallQuery applyInstallQuery);
}
