package com.tofly.install.vo;

import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.install.entity.ApplyInstall;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class ApplyInstallVo extends ApplyInstall {
	
    /**
     * 报装申请该节点处理标志状态
     */
    @ApiModelProperty(value = "报装申请该节点处理标志状态 null :未处理 、1/2/3、已处理")
    private Integer handleStatus;
    
    /**
     * 勘察日期
     */
    @ApiModelProperty(value = "勘察日期")
    private String surveyDate;
    
    /**
     * 验收日期
     */
    @ApiModelProperty(value = "验收日期")
    private String checkTime;
    
    /**
     * 缴费日期
     */
    @ApiModelProperty(value = "缴费日期")
    private String chargeTime;
    
    /**
     * 安装日期
     */
    @ApiModelProperty(value = "安装日期")
    private String installTime;
    
    /**
     * 当前环节名称
     */
    @ApiModelProperty(value = "当前环节名称")
    private String currentNodeName;
    
    
    /**
     * 当前环节
     */
    @ApiModelProperty(value = "当前环节")
    private String currentNode;
    
    
    
    /**
     * 处理人名称
     */
    @ApiModelProperty(value = "处理人名称")
    private String approvalPersonName;
    
    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date approvalTime;
    
    
    
    
    

    
    
}
