package com.tofly.project.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;
import com.haiqiu.tools.excel.annotation.Excel;

/**
 * (ProjectOtherSupervision)表实体类
 *
 * @author HaiQiu
 * @since 2022-11-14 11:56:45
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "FLOW_PROJECT_OTHER_SUPERVISION", resultMap = "ProjectOtherSupervisionMap")
@ApiModel(value = "ProjectOtherSupervision对象", description = "")
public class ProjectOtherSupervision extends Model<ProjectOtherSupervision> {

    private static final long serialVersionUID = 223259419479617819L;

    /**
     * 主键ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "主键ID")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * FLOW_PROJECT_REGISTRATION（工程登记ID）
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "FLOW_PROJECT_REGISTRATION（工程登记ID）")
    @ApiModelProperty(value = "FLOW_PROJECT_REGISTRATION（工程登记ID）")
    private Long projectId;

    /**
     * FLOW_PROJECT_SUPERVISION（工程监管ID）
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "FLOW_PROJECT_SUPERVISION（工程监管ID）")
    @ApiModelProperty(value = "FLOW_PROJECT_SUPERVISION（工程监管ID）")
    private Long projectSupervisionId;

    /**
     * FLOW_PROJECT_CONSTRUCTION（工程施工ID）
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "FLOW_PROJECT_CONSTRUCTION（工程施工ID）")
    @ApiModelProperty(value = "FLOW_PROJECT_CONSTRUCTION（工程施工ID）")
    private Long projectConstructionId;

    /**
     * 监管人
     */
    @Excel(name = "监管人")
    @ApiModelProperty(value = "监管人")
    private Long supervise;
    @TableField(exist = false)
    @ApiModelProperty(value = "监管人姓名")
    private String superviseName;

    /**
     * 监管日期
     */
    @Excel(name = "监管日期")
    @ApiModelProperty(value = "监管日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date superviseTime;

    /**
     * 施工地址
     */
    @Excel(name = "施工地址")
    @ApiModelProperty(value = "施工地址")
    private String address;

    /**
     * 经度
     */
    @Excel(name = "经度")
    @ApiModelProperty(value = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    @ApiModelProperty(value = "纬度")
    private String latitude;

    /**
     * 登记人
     */
    @Excel(name = "登记人")
    @ApiModelProperty(value = "登记人")
    private String register;

    /**
     * 登记时间
     */
    @Excel(name = "登记时间")
    @ApiModelProperty(value = "登记时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date registerTime;

    /**
     * 情况说明
     */
    @Excel(name = "情况说明")
    @ApiModelProperty(value = "情况说明")
    private String remark;

    /**
     * 附件
     */
    @Excel(name = "附件")
    @ApiModelProperty(value = "附件")
    private String annex;

    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 逻辑删除，1删除，0不删除
     */
    @Excel(name = "逻辑删除，1删除，0不删除")
    @TableLogic
    @ApiModelProperty(value = "逻辑删除，1删除，0不删除")
    private Boolean deleted;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(value = "创建人", hidden = true)
    private String createUserName;

    /**
     * 更新时间
     */
    @Excel(name = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 修改人
     */
    @Excel(name = "修改人")
    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @TableField(exist = false)
    @ApiModelProperty(value = "修改人", hidden = true)
    private String updateUserName;

    /**
     * 编号
     */
    @Excel(name = "编号")
    @ApiModelProperty(value = "编号")
    private String numberNo;


    @TableField(exist = false)
    @ApiModelProperty(value = "工程监管信息")
    private ProjectSupervision projectSupervision;

    @TableField(exist = false)
    @ApiModelProperty(value = "工程登记信息")
    private ProjectRegistration projectRegistration;

    @TableField(exist = false)
    @ApiModelProperty(value = "工程施工")
    private ProjectConstruction projectConstruction;

}

