package com.tofly.project.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import com.tofly.project.entity.ProjectOtherSupervision;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author HaiQiu
 * @since 2022/11/14
 */
@Data
public class ProjectOtherSupervisionVo extends ProjectOtherSupervision {

    /**
     * 工程名称
     */
    @TableField(exist = false)
    @Excel(name = "工程名称")
    @ApiModelProperty(value = "工程名称")
    private String projectName;

    /**
     * 工程地址
     */
    @TableField(exist = false)
    @Excel(name = "工程地址")
    @ApiModelProperty(value = "工程地址")
    private String projectAddress;

    /**
     * 工程编号
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "工程编号")
    private String projectNumber;

    /**
     * 工程类型（字典取值）
     */
    @TableField(exist = false)
    @Excel(name = "工程类型（字典取值）")
    @ApiModelProperty(value = "工程类型（字典取值）")
    private String projectType;

    /**
     * 工程类型（字典取值）
     */
    @TableField(exist = false)
    @Excel(name = "施工类型（字典取值）")
    @ApiModelProperty(value = "施工类型（字典取值）")
    private String constructionType;

    /**
     * 工程类型（字典取值）
     */
    @TableField(exist = false)
    @Excel(name = "施工单位")
    @ApiModelProperty(value = "施工单位")
    private String constructionUnit;

    /**
     * 开始时间查询
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "开始时间查询")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间查询
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "结束时间查询")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 查询关键字
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "查询关键字")
    private String searchStr;
}
