package com.tofly.project.mapper;


import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.project.entity.vo.ProjectConstructionVo;
import org.apache.ibatis.annotations.Param;
import com.tofly.project.entity.ProjectConstruction;

/**
 * 工程施工(ProjectConstruction)表数据库访问层
 *
 * @author HaiQiu
 * @since 2022-11-14 11:56:43
 */
public interface ProjectConstructionMapper extends BaseMapper<ProjectConstruction> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<ProjectConstruction> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<ProjectConstruction> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<ProjectConstruction> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<ProjectConstruction> entities);

    Page<ProjectConstructionVo> pageList(Page page,@Param(Constants.WRAPPER) QueryWrapper<Object> wrapper);
}

