package com.tofly.project.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.project.entity.ProjectOtherSupervision;
import com.tofly.project.entity.dto.ProjectOtherSupervisionDto;

import com.tofly.project.entity.vo.ProjectOtherSupervisionVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * (ProjectOtherSupervision)表服务接口
 *
 * @author HaiQiu
 * @since 2022-11-14 11:56:45
 */
public interface ProjectOtherSupervisionService extends IService<ProjectOtherSupervision> {

    /**
     * 根据ID查询
     *
     * @param id id
     * @return 数据
     */
    ProjectOtherSupervision get(Serializable id);

    /**
     * 新增
     *
     * @param projectOtherSupervisionDto 实体
     * @param files
     */
    void insert(ProjectOtherSupervisionDto projectOtherSupervisionDto, List<MultipartFile> files);

    /**
     * 修改
     *
     * @param projectOtherSupervisionDto 实体
     * @param files
     */
    void edit(ProjectOtherSupervisionDto projectOtherSupervisionDto, List<MultipartFile> files);

    /**
     * 批量删除
     *
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 生成模板下载
     */
    void template();

    /**
     * 数据导入
     *
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 分页查询
     *
     * @param page                    分页
     * @param projectOtherSupervision 查询wrapper
     * @return 数据集合
     */
    Page<ProjectOtherSupervisionVo> pageList(Page page, ProjectOtherSupervisionVo projectOtherSupervision);

    /**
     * 数据导出
     *
     * @param page                    分页
     * @param projectOtherSupervision 查询模型
     * @param isAll                   是否导出全部数据，true是，false否
     */
    void export(Page page, ProjectOtherSupervision projectOtherSupervision, Boolean isAll);

    /**
     * 查询所有数据
     *
     * @param projectOtherSupervision 查询条件
     * @return 查询所有数据
     */
    List<ProjectOtherSupervision> allList(ProjectOtherSupervision projectOtherSupervision);
}

