package com.tofly.stocks.dto;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class CheckPlanQuery extends CommQuery{
	
    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;


    /**
     * 仓库Id
     */
    @ApiModelProperty(value = "仓库Id")
    private Long storeId;

    /**
     * 计划盘点开始时间
     */
    @ApiModelProperty(value = "计划盘点开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkPlanTimeStart;


    /**
     * 计划盘点结束时间
     */
    @ApiModelProperty(value = "计划盘点结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkPlanTimeEnd;


    /**
     * 物资类型编码
     */
    @ApiModelProperty(value = "物资类型编码")
    private Long materialCategoryId;

}
