package com.tofly.stocks.dto;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class CheckTaskQuery extends CommQuery{
	
    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;
    
    /**
     * 盘点任务状态状态，1盘点中（待确认） 2、已确认
     */
    @ApiModelProperty(value = "盘点状态  1已保存（未盘点） 2、已盘点")
    private Integer checkStatus;
    
    
    /**
     * 仓库Id
     */
    @ApiModelProperty(value = "仓库Id")
    private Long storeId;
    
        
    /**
     * 计划盘点开始时间
     */
    @ApiModelProperty(value = "盘点开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTimeStart;


    /**
     * 计划盘点结束时间
     */
    @ApiModelProperty(value = "盘点结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTimeEnd;

    /**
     * 任务Id
     */
    @ApiModelProperty(value = "任务Id",hidden = true)
    private Long id;

    /**
     * 物资类型Id，设备和物资
     */
    @ApiModelProperty(value = "物资类型Id")
    private Long materialCategoryId;

}
