package com.tofly.stocks.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class DeviceDepreciateQuery extends CommQuery{

    /**
     * 仓库Id
     */
    @ApiModelProperty(value = "仓库Id")
    private Long storeId;

    /**
     * 物资类别（物料 ，设备 ，药品）
     */
    @ApiModelProperty(value = "物资类别")
    private Long deviceType;


    /**
     * 设备类别id
     */
    @ApiModelProperty(value = "设备类别id")
    private Long materialTypeId;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备编码")
    @TableField(condition = ToflySqlCondition.LIKE)
    private  String deviceNo;


    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String deviceName;


    /**
     * 水厂ID
     */
    @ApiModelProperty(value = "水厂ID")
    private Long waterworksId;


    /**
     * 入库时间-起
     */
    @ApiModelProperty(value = "入库时间-起")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inStockTimeStart;

    /**
     * 入库时间-止
     */
    @ApiModelProperty(value = "入库时间-止")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inStockTimeEnd;


    /**
     * 创建时间-起
     */
    @ApiModelProperty(value = "创建时间-起")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTimeStart;

    /**
     * 创建时间-止
     */
    @ApiModelProperty(value = "创建时间-止")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTimeEnd;

    /**
     * 折旧主键
     */
    @ApiModelProperty(value = "折旧主键")
    private Long id;


}
