package com.tofly.stocks.dto;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class DeviceHandleInfoQuery {
	
	/**
     * 处置日期-起
     */
    @ApiModelProperty(value = "处置日期-起")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date handleTimeStart;


    /**
     * 处置日期-止
     */
    @ApiModelProperty(value = "处置日期-止")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date handleTimeEnd;
    
    
    /**
     * 转移状态，1未转移 2、已转移
     */
    @ApiModelProperty(value = "处置状态，1未处置 2、已处置")
    private Short handleStatus;
    
    
    /**
     * 设备处置所在水厂ID
     */
    @ApiModelProperty(value = "设备处置所在水厂ID")
    private Long waterworksId;

    /**
     * 设备处置所在仓库ID
     */
    @ApiModelProperty(value = "设备处置所在仓库ID")
    private Long storeId;

    /**
     * 处置单号
     */
    @ApiModelProperty(value = "处置单号")
    private String handleNo;

}
