package com.tofly.stocks.dto;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class DeviceInfoQuery extends CommQuery{

    /**
     * 设备唯一编码
     */
    @ApiModelProperty(value = "设备唯一编码")
    private String deviceNo;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    private String deviceName;
    /**
     * 设备规格型号
     */
    @ApiModelProperty(value = "设备规格型号")
    private String deviceSpecsModel;

    /**
     * 设备单位名称
     */
    @ApiModelProperty(value = "设备单位名称")
    private String deviceUnitName;
    /**
     * 设备所在地址
     */
    @ApiModelProperty(value = "设备所在地址")
    private String deviceAddress;

    /**
     * 物资类型Id
     */
    @ApiModelProperty(value = "物资类型Id，关联类型表")
    private Long materialTypeId;


    /**
     * 物资类型名称
     */
    @ApiModelProperty(value = "物资类别名称")
    private String materialTypeName;

    /**
     * 物资类别（物料 ,设备,药品）
     */
    @ApiModelProperty(value = "物资类别（物料 ,设备,药品），关联字典")
    @NotNull(message = "物资类别不能为空")
    private Long deviceType;


    /**
     * 物资类别名称
     */
    @ApiModelProperty(value = "物资类别名称")
    private String deviceTypeName;
}
