package com.tofly.stocks.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
@Data
@ApiModel
public class DeviceInfoStoreQuery extends  CommQuery {

    /**
     * 仓库Id
     */
    @ApiModelProperty(value = "仓库Id")
    private Long storeId;

    /**
     * 物资类别（物料 ，设备 ，药品）
     */
    @ApiModelProperty(value = "物资类别")
    private Long deviceType;


    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备编码")
    @TableField(condition = ToflySqlCondition.LIKE)
    private  String deviceNo;


    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String deviceName;
    
    
    
    /**
     * 水厂ID
     */
    @ApiModelProperty(value = "水厂ID")
    private Long waterworksId;
    
    
    
}
