package com.tofly.stocks.dto;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
@Data
@ApiModel
public class DeviceTransInfoQuery {
	
	
	/**
     * 转移日期-起
     */
    @ApiModelProperty(value = "转移日期-起")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date transTimeStart;


    /**
     * 转移日期-止
     */
    @ApiModelProperty(value = "转移日期-止")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date transTimeEnd;
    
    
    /**
     * 转移状态，1未转移 2、已转移
     */
    @ApiModelProperty(value = "转移状态，1未转移 2、已转移")
    private Short transStatus;
    
    
    /**
     * 转移水厂
     */
    @ApiModelProperty(value = "转移水厂ID")
    private Short waterworksId;


    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private Long deviceType;

}