package com.tofly.stocks.dto;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import java.util.List;

@Data
public class DrugUseInfoQuery{

    /**
     * 使用时间
     */
    @ApiModelProperty(value = "使用时间-起")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date drugUseTimeStart;


    /**
     * 使用时间
     */
    @ApiModelProperty(value = "使用时间-止")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date drugUseTimeEnd;

    /**
     * 仓库ID
     */
    @ApiModelProperty(value = "仓库ID")
    private Long storeId;
    /**
     * 使用单号
     */
    @ApiModelProperty(value = "使用单号")
    private String usestockNo;
    /**
     * 使用状态，1使用中（待确认） 2、已确认
     */
    @ApiModelProperty(value = "使用状态，1使用中（待确认） 2、已确认")
    private Short usestockStatus;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;

}
