package com.tofly.stocks.dto;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class DrugUseReportQuery {

    /**
     * 报告类型 1日;2月;3季度;4年
     */
    @ApiModelProperty(value = "统计类型 1日;2月;3季度;4年")
    @NotNull(message = "统计类型不能为空")
    private String reportType;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    @NotNull(message = "水厂Id不能为空")
    private String waterInfoId;

    /**
     * 查询开始时间
     */
    @ApiModelProperty(value = "查询时间-开始")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "查询时间段不能为空")
    private Date startTime;

    /**
     * 查询结束时间
     */
    @ApiModelProperty(value = "查询时间-结束")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "查询时间段不能为空")
    private Date endTime;
}
