package com.tofly.stocks.dto;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import java.util.List;

@Data
public class InstockInfoQuery{


    /**
     * 入库类型 1 物料，2 设备，3药品
     */
    @ApiModelProperty(value = "入库类型 1 物料，2 设备，3药品")

    private Integer instockCategory;

    /**
     * 入库编号（自动生成，RK+年+月+0001（三位序号）
     */
    @ApiModelProperty(value = "入库编号（自动生成，RK+年+月+0001（三位序号）")
    private String instockNo;
    /**
     * 发票号
     */
    @ApiModelProperty(value = "发票号")
    private String invoiceNo;
    /**
     * 订单号
     */
    @ApiModelProperty(value = "订单号")
    private String orderNo;
    /**
     * 业务类型（1、普通采购 2、集中采购） 字典ID
     */
    @ApiModelProperty(value = "业务类型（1、普通采购 2、集中采购） 字典ID")
    private Long buinessType;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间-起")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")

    private Date instockTimeStart;


    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间-止")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")

    private Date instockTimeEnd;

    /**
     * 仓库ID
     */
    @ApiModelProperty(value = "仓库ID")

    private Long storeId;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")

    private Long waterworksId;

    /**
     * 供货单位
     */
    @ApiModelProperty(value = "供货单位")
    private String supplier;
    /**
     * 入库类别 1、普通入库   字典ID
     */
    @ApiModelProperty(value = "入库类别 1、普通入库   字典ID")
    private Long instockType;
    /**
     * 入库状态，1入库中（待确认） 2、已确认
     */
    @ApiModelProperty(value = "入库状态，1入库中（待确认） 2、已确认")
    private Short instockStatus;
    /**
     * 采购类型（1、渠道采购）字典ID
     */
    @ApiModelProperty(value = "采购类型（1、渠道采购）字典ID")
    private Long purchaseType;

}
