package com.tofly.stocks.dto;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import java.util.List;

@Data
public class OutstockInfoQuery {

    /**
     * 出库编号（WLCK+年+月+0001三位序号）
     */
    @ApiModelProperty(value = "出库编号（WLCK+年+月+0001三位序号）")
    private String outstockNo;
    /**
     * 出库时间
     */
    @ApiModelProperty(value = "出库时间-起")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date outstockTimeStart;
    /**
     * 出库时间
     */
    @ApiModelProperty(value = "出库时间-止")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date outstockTimeEnd;

    /**
     * 仓库ID
     */
    @ApiModelProperty(value = "仓库ID")
    private Long storeId;

    /**
     * 出库类别 外键ID
     */
    @ApiModelProperty(value = "出库类别 外键ID")
    private Long outstockTypeId;
    /**
     * 业务类型
     */
    @ApiModelProperty(value = "业务类型")
    private Long buninessType;

    /**
     * 出库状态，1出库中（待确认） 2、已确认
     */
    @ApiModelProperty(value = "出库状态，1出库中（待确认） 2、已确认")
    private Short outstockStatus;

    /**
     * 出库类型 1 物料，2 设备，3药品
     */
    @ApiModelProperty(value = "出库类型 1 物料，2 设备，3药品")
    private Integer outstockCategory;


    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;

}
