package com.tofly.stocks.dto;
import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotNull;

@Data
public class StockInfoQuery extends CommQuery{
    /**
     * 仓库Id
     */
    @ApiModelProperty(value = "仓库Id")
    @NotNull(message ="仓库不能为空")
    private Long storeId;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "设备名称")
    private String storeName;


    /**
     * 设备类别id
     */
    @ApiModelProperty(value = "设备类别id")
    private Long materialTypeId;


    /**
     * 物资类型（1物料 2设备 3药品）
     */
    @ApiModelProperty(value = "物资类型（1物料 2设备 3药品）")
    @NotNull(message = "物资类型不能为空")
    private Long deviceType;


    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备编码")
    @TableField(condition = ToflySqlCondition.LIKE)
    private  String deviceNo;


    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String deviceName;

    /**
     * 水厂id
     */
    @ApiModelProperty(value = "水厂id")
    private String waterworksId;

    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;




}
