/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 库存盘点明细表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_CHECK_DETAIL", resultMap = "checkDetailMap")
@KeySequence("TF_STOCKS_CHECK_DETAIL")
@ApiModel
public class CheckDetail extends Model<CheckDetail> {
    private static final long serialVersionUID = 1L;

    /**
     * 盘点明细主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "盘点明细主键ID", hidden = true)
    private Long id;
    /**
     * 库存id
     */
    @ApiModelProperty(value = "库存id")
    private Long stockInfoId;

    /**
     * 盘点任务ID
     */
    @ApiModelProperty(value = "盘点任务ID", hidden = true)
    private Long checkTaskId;
    /**
     * 盘点数量
     */
    @ApiModelProperty(value = "盘点数量")
    private Double checkNum;

    /**
     * 盘点时库存数量
     */
    @ApiModelProperty(value = "盘点时库存数量")
    private Double checkStockNum;

    /**
     * 盘点结果
     */
    @ApiModelProperty(value = "盘点结果")
    private String checkResult;

    /**
     * 盘点状态
     */
    @ApiModelProperty(value = "盘点状态")
    private String checkStatus;


}
