/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 库存盘点计划表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_STOCKS_CHECK_PLAN",resultMap = "checkPlanMap")
@KeySequence("TF_STOCKS_CHECK_PLAN")
@ApiModel
public class CheckPlan extends Model<CheckPlan> {
    private static final long serialVersionUID = 1L;


	@TableId(value = "ID",type= IdType.INPUT)
	@ApiModelProperty(value = "盘点计划主键ID")
	private Long id;
	
	@ApiModelProperty(value = "盘点计划编号")
	private String checkPlanNo;
	    
	
	@ApiModelProperty(value = "仓库ID")
	@NotNull(message = "仓库ID不能为空")
	private Long storeId;
	
	@ApiModelProperty(value = "物资类别ID（关联字典ID）")
	@NotNull(message = "物资类别ID不能为空")
	private Long materialCategoryId;	
    /**
	* 计划盘点日期
	*/
	@ApiModelProperty(value = "计划盘点日期")
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private Date checkPlanTime;
	
	@ApiModelProperty(value = "计划盘点人员ID")
	@NotNull(message = "计划盘点人员ID不能为空")
	private Long checkPlanUserId;
	
	@ApiModelProperty(value = "计划制定人员ID")
	private Long checkMakeUserId;

	@ApiModelProperty(value = "盘点部门ID")
	@NotNull(message = "盘点部门ID不能为空")
	private Long checkPlanDpt;

	@ApiModelProperty(value = "水厂Id")
	@NotNull(message = "水厂Id不能为空")
	private Long waterworksId;



	@ApiModelProperty(value = "计划制定日期")
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private Date checkMakeTime;



	@ApiModelProperty(value = "盘点计划备注")
	private String checkPlanRemark;
	
	@ApiModelProperty(value = "生成日期")
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	
}