/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.List;
import java.util.stream.Collectors;


/**
 * 设备处置明细表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_DEVICE_HANDLE_DETAIL", resultMap = "deviceHandleDetailMap")
@KeySequence("TF_STOCKS_DEVICE_HANDLE_DETAIL")
@ApiModel
public class DeviceHandleDetail extends Model<DeviceHandleDetail> {
    private static final long serialVersionUID = 1L;

    /**
     * 设备处置明细表主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "设备处置明细表主键ID")
    private Long id;
    /**
     * 设备库存信息ID
     */
    @ApiModelProperty(value = "设备库存信息ID")
    private Long stockInfoId;
    /**
     * 设备处置数量
     */
    @ApiModelProperty(value = "设备处置数量")
    private Double handleNum;

    /**
     * 设备处置ID
     */
    @ApiModelProperty(value = "设备处置ID(外键)")
    private Long handleInfoId;

}
