/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.utils.NullHandler;

import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 设备处置信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_STOCKS_DEVICE_HANDLE_INFO",resultMap = "deviceHandleInfoMap")
@KeySequence("TF_STOCKS_DEVICE_HANDLE_INFO")
@ApiModel
public class DeviceHandleInfo extends Model<DeviceHandleInfo> {
    private static final long serialVersionUID = 1L;


        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "设备处置信息表")
        private Long id;
        
        @ApiModelProperty(value = "设备处置编号")
        private String handleNo;

        @ApiModelProperty(value = "处置客户")
        @TableField(jdbcType = JdbcType.VARCHAR,updateStrategy = FieldStrategy.IGNORED,typeHandler = NullHandler.class)
        private String handleCustomer;

        @ApiModelProperty(value = "设备处置业务类型（1、普通销售）字典ID")
        private Long handleBusinessType;
            
        @ApiModelProperty(value = "设备处置类型（1、售卖、2报废）字典ID")
        private Long handleType;
    
        @ApiModelProperty(value = "处置时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
        private Date handleTime;    

        @ApiModelProperty(value = "仓库ID")
        private Long storeId;

        @ApiModelProperty(value = "处置人用户ID")
        private Long handleUserId;          

        @ApiModelProperty(value = "处置备注")
        @TableField(jdbcType = JdbcType.VARCHAR,updateStrategy = FieldStrategy.IGNORED,typeHandler = NullHandler.class)
        private String handleRemark;
        
        
  
        
        @ApiModelProperty(value = "设备处置状态 1、未处置  2、已处置")
        private Integer handleStatus;
        
        
        /**
         * 附件json
         */
        @ApiModelProperty(value = "附件json")
        @TableField(jdbcType = JdbcType.VARCHAR,updateStrategy = FieldStrategy.IGNORED,typeHandler = NullHandler.class)
        private String annex;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;

    /**
     * 处置部门Id
     */
    @ApiModelProperty(value = "处置部门Id")
    private Long handleDpt;


    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "类别")
    private Long deviceType;

}
