/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.List;
import java.util.stream.Collectors;


/**
 * 设备转移明细表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_DEVICE_TRANS_DETAIL", resultMap = "deviceTransDetailMap")
@KeySequence("TF_STOCKS_DEVICE_TRANS_DETAIL")
@ApiModel
public class DeviceTransDetail extends Model<DeviceTransDetail> {
    private static final long serialVersionUID = 1L;

    /**
     * 设备转移明细表主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "设备转移明细表主键ID", hidden = true)
    private Long id;
    /**
     * 设备库存信息ID
     */
    @ApiModelProperty(value = "设备库存信息ID")
    private Long stockInfoId;

    /**
     * 转移数量
     */
    @ApiModelProperty(value = "转移数量")
    private double transferNum;
    /**
     * 转移信息表ID （外键）
     */
    @ApiModelProperty(value = "转移信息表ID （外键）", hidden = true)
    private Long transferInfoId;

}
