/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.List;
import java.util.stream.Collectors;


/**
 * 药品使用明细表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_DRUG_USE_DETAIL", resultMap = "drugUseDetailMap")
@KeySequence("TF_STOCKS_DRUG_USE_DETAIL")
@ApiModel
public class DrugUseDetail extends Model<DrugUseDetail> {
    private static final long serialVersionUID = 1L;

    /**
     * 药品使用明细主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "药品使用明细主键ID",hidden = true)
    private Long id;

    /**
     * 药品使用信息ID(外键)
     */
    @ApiModelProperty(value = "药品使用信息ID(外键)",hidden = true)
    private Long drugUseId;

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID")
    private Long deviceId;


    /**
     * 药品使用数量
     */
    @ApiModelProperty(value = "药品使用数量")
    private Double drugUseNum;

    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称",hidden = true)
    @TableField(exist = false)
    private String deviceName;


    /**
     * 设备库存信息ID
     */
    @ApiModelProperty(value = "设备库存信息ID")
    private Long stockInfoId;
}
