/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.utils.NullHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 药品使用信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_DRUG_USE_INFO", resultMap = "drugUseInfoMap")
@KeySequence("TF_STOCKS_DRUG_USE_INFO")
@ApiModel
public class DrugUseInfo extends Model<DrugUseInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * 药品使用信息主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "药品使用信息主键ID")
    private Long id;
    /**
     * 使用时间
     */
    @ApiModelProperty(value = "使用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message ="使用时间不能为空")
    private Date drugUseTime;
    /**
     * 记录时间
     */
    @ApiModelProperty(value = "记录时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;
    /**
     * 记录人
     */
    @ApiModelProperty(value = "记录人")
    private Long recordUserId;

    /**
     * 使用部门
     */
    @ApiModelProperty(value = "使用部门")
    private Long drugUseDpt;


    /**
     * 使用部门名称
     */
    @ApiModelProperty(value = "使用部门名称",hidden = true)
    @TableField(exist = false)
    private String drugUseDptName;


    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    @TableField(jdbcType = JdbcType.VARCHAR,updateStrategy = FieldStrategy.IGNORED,typeHandler = NullHandler.class)
    private String drugUseRecord;
    /**
     * 仓库ID
     */
    @ApiModelProperty(value = "仓库ID")
    @NotNull(message ="仓库id不能为空")
    private Long storeId;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    @NotNull(message = "水厂Id不能为空")
    private Long waterworksId;

    /**
     * 使用单号
     */
    @ApiModelProperty(value = "使用单号")
    private String usestockNo;
    /**
     * 使用状态，1使用中（待确认） 2、已确认
     */
    @ApiModelProperty(value = "使用状态，1使用中（待确认） 2、已确认")
    @NotNull(message ="使用状态不能为空")
    private Short usestockStatus;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 附件json
     */
    @ApiModelProperty(value = "附件json")
    @TableField(jdbcType = JdbcType.VARCHAR,updateStrategy = FieldStrategy.IGNORED,typeHandler = NullHandler.class)
    private String annex;



}
