/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.List;
import java.util.stream.Collectors;


/**
 * 库存入库明细表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_INSTOCK_DETAIL", resultMap = "instockDetailMap")
@KeySequence("TF_STOCKS_INSTOCK_DETAIL")
@ApiModel
public class InstockDetail extends Model<InstockDetail> {
    private static final long serialVersionUID = 1L;

    /**
     * 入库明细表主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "入库明细表主键ID")
    private Long id;
    /**
     * 入库信息表ID 外键ID
     */
    @ApiModelProperty(value = "入库信息表ID 外键ID")
    private Long instockInfoId;
    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量")
    private Double instockNum;
    /**
     * 入库单价
     */
    @ApiModelProperty(value = "入库单价")
    private Double unitPrice;
    /**
     * 税额
     */
    @ApiModelProperty(value = "税额")
    private Double taxAmount;
    /**
     * 含税单价
     */
    @ApiModelProperty(value = "含税单价")
    private Double taxUnitPrice;
    /**
     * 价税合计
     */
    @ApiModelProperty(value = "价税合计")
    private Double totalPrice;
    /**
     * 税率
     */
    @ApiModelProperty(value = "税率")
    private Double taxRate;
    /**
     * 货架id
     */
    @ApiModelProperty(value = "货架id")
    private Long shelvesId;
    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID")
    private Long deviceId;

    /**
     * 库存id
     */
    @ApiModelProperty(value = "库存id")
    private Long stockInfoId;

    /**
     * 当前价值
     */
    @ApiModelProperty(value = "当前价值")
    private Double currentPrice;

}
