/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 库存物资类型表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_STOCKS_MATERIAL_TYPE",resultMap = "materialTypeMap")
@KeySequence("TF_STOCKS_MATERIAL_TYPE")
@ApiModel
public class MaterialType extends Model<MaterialType> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "$column.comments")
                private Long id;
                /**
     * 物资类型父级ID
     */
            @ApiModelProperty(value = "物资类型父级ID")
                private BigDecimal parentId;
                /**
     * 物资类型名称
     */
            @ApiModelProperty(value = "物资类型名称")
                private String materialTypeName;
                /**
     * 物资类别 （关联字典ID)
     */
            @ApiModelProperty(value = "物资类别 （关联字典ID) 1 物料   ")
                private Long materialCategoryId;
                /**
     * 物资类别名称
     */
            @ApiModelProperty(value = "物资类别名称")
                private String materialCategoryName;
                /**
     * 物资类型备注
     */
            @ApiModelProperty(value = "物资类型备注")
                private String materialTypeRemark;
            
}
