/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.List;
import java.util.stream.Collectors;


/**
 * 库存出库明细表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_OUTSTOCK_DETAIL", resultMap = "outstockDetailMap")
@KeySequence("TF_STOCKS_OUTSTOCK_DETAIL")
@ApiModel
public class OutstockDetail extends Model<OutstockDetail> {
    private static final long serialVersionUID = 1L;

    /**
     * 出库明细ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "出库ID",hidden = true)
    private Long id;
    /**
     * 设备库存信息ID
     */
    @ApiModelProperty(value = "设备库存信息ID")
    private Long stockInfoId;
    
    /**
     * 出库数量
     */
    @ApiModelProperty(value = "出库数量")
    private Double outstockNum;
    /**
     * 出库表id
     */
    @ApiModelProperty(value = "出库id",hidden = true)
    private Long outstockInfoId;


    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称",hidden = true)
    @TableField(exist = false)
    private String deviceName;
}
