/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 库存货架表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_SHELVES", resultMap = "shelvesMap")
@KeySequence("TF_STOCKS_SHELVES")
@ApiModel
public class Shelves extends Model<Shelves> {
    private static final long serialVersionUID = 1L;

    /**
     * 货架主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "货架主键ID")
    private Long id;
    /**
     * 仓库ID
     */
    @ApiModelProperty(value = "仓库ID")
    @NotNull(message = "仓库ID不能为空")
    private Long storeId;
    /**
     * 货架编号
     */
    @ApiModelProperty(value = "货架编号")
    @NotNull(message = "货架编号不能为空")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String shelvesNo;
    /**
     * 货架尺寸
     */
    @ApiModelProperty(value = "货架尺寸")
    private String shelvesSize;
    /**
     * 货架层数
     */
    @ApiModelProperty(value = "货架层数")
    private Integer shelvesLayersNum;
    /**
     * 货架每层承重
     */
    @ApiModelProperty(value = "货架每层承重")
    private String shelvesLayersLoad;
    /**
     * 货架备注
     */
    @ApiModelProperty(value = "货架备注")
    private String shelvesRemark;

}
