/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 物资库存信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_STOCK_INFO", resultMap = "stockInfoMap")
@KeySequence("TF_STOCKS_STOCK_INFO")
@ApiModel
public class StockInfo extends Model<StockInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * 库存信息（主键ID）
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "库存信息（主键ID）")
    private Long id;
    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private Long deviceId;


    /**
     * 库存数量
     */
    @ApiModelProperty(value = "库存数量")
    private Double stockNum;
    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库总数量")
    private Double instockTotalNum;

    /**
     * 出库数量
     */
    @ApiModelProperty(value = "出库总数量")
    private Double outstockTotalNum;
    /**
     * 使用数量
     */
    @ApiModelProperty(value = "使用总数量")
    private Double usestockTotalNum;

    /**
     * 转移总数量
     */
    @ApiModelProperty(value = "转移总数量")
    private Double transTotalNum;

    /**
     * 处置总数量
     */
    @ApiModelProperty(value = "处置总数量")
    private Double handleTotalNum;


    /**
     * 盘点数量
     */
    @ApiModelProperty(value = "盘点数量")
    private Double inventoryNum;

    /**
     * 仓库ID
     */
    @ApiModelProperty(value = "仓库ID")
    @NotNull(message = "仓库不能为空")
    private Long storeId;
    
    /**
     * 货架ID
     */
    @ApiModelProperty(value = "货架ID")
    private Long shelvesId;
    
    

}
