/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.stocks.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.stocks.entity.DrugUseInfo;
import com.tofly.stocks.vo.DrugUseReportVo;
import org.apache.ibatis.annotations.Param;
import java.util.Date;
import java.util.List;

/**
 * 药品使用信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface DrugUseInfoMapper extends BaseMapper<DrugUseInfo> {
    String getUsestockMaxNo(@Param("usestockNo") String usestockNo);


    /**
     * 报表统计，不同的类型，日，月，季度，年
     *
     * @param waterInfoId 水厂id
     * @param formatTime  类型，传值 yyyy-mm-dd,yyyy-mm,yyyy-q,yyyy
     * @param startTime   使用时间-开始
     * @param endTime     使用时间- 结束
     * @return
     */
    Page<DrugUseReportVo> getDrugUseReport(Page page,@Param("waterInfoId") String waterInfoId,
                                           @Param("formatTime") String formatTime,
                                           @Param("startTime") Date startTime,
                                           @Param("endTime") Date endTime);

}
