/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.DeviceTransInfoDto;
import com.tofly.stocks.dto.DeviceTransInfoQuery;
import com.tofly.stocks.entity.DeviceTransDetail;
import com.tofly.stocks.entity.DeviceTransInfo;
import com.tofly.stocks.vo.DeviceTransInfoVo;

/**
 * 设备转移信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface DeviceTransInfoService extends IService<DeviceTransInfo> {
	
	
	boolean saveDeviceTransInfo(DeviceTransInfoDto deviceTransInfoDto, List<MultipartFile> files);

    boolean editDeviceTransInfo(DeviceTransInfoDto deviceTransInfoDto, List<MultipartFile> files);

    boolean deleteByIds(String ids);

    Page<DeviceTransInfoVo> getDataPage(Page page, DeviceTransInfoQuery deviceTransInfoQuery);
        
    List<DeviceTransDetail> getDeviceTransDetailByInfoId(Long deviceTransInfoId);

}
