package com.tofly.stocks.vo;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import javax.validation.constraints.NotNull;

@Data
@ApiModel
public class CheckTaskVo extends CheckPlanVo {


    /**
     * 盘点任务主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "盘点任务主键ID")
    private Long id;
    /**
     * 盘点计划ID
     */
    @ApiModelProperty(value = "盘点计划ID")
    private Long checkPlanId;
    /**
     * 盘点人员ID
     */
    @ApiModelProperty(value = "盘点人员ID")
    private Long checkUserId;


    /**
     * 盘点人员
     */
    @ApiModelProperty(value = "盘点人员")
    private String checkUserName;


    /**
     * 盘点任务时间
     */
    @ApiModelProperty(value = "盘点日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * 盘点任务备注
     */
    @ApiModelProperty(value = "盘点任务备注")
    private String checkRemark;

    /**
     * 附件json
     */
    @ApiModelProperty(value = "附件json")
    private String annex;


    /**
     * 盘点任务状态状态，1盘点中（待确认） 2、已确认
     */
    @ApiModelProperty(value = "盘点状态  1未盘点 2、已盘点")
    @NotNull(message = "盘点状态不能为空")
    private Integer checkStatus;


    /**
     * 盘点明细数据
     */
    @ApiModelProperty(value = "盘点明细数据")
    public List<CheckDetailVo> checkDetails;



}