package com.tofly.stocks.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class DeviceDepreciateJobVo {

    /**
     * 折旧id
     */
    @ApiModelProperty(value = "折旧id")
    private Long id;

    /**
     * 入库详情id
     */
    @ApiModelProperty(value = "入库详情id")
    private Long instockDetailId;

    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量")
    private Double instockNum;
    /**
     * 入库单价
     */
    @ApiModelProperty(value = "入库单价")
    private Double unitPrice;

    /**
     * 折旧方式
     */
    @ApiModelProperty(value = "折旧方式")
    private String depreciateType;
    /**
     * 折旧数值
     */
    @ApiModelProperty(value = "折旧数值")
    @NotNull(message ="折旧数值不能为空")
    private String depreciateValue;

    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date instockTime;
}
