package com.tofly.stocks.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class DevicePatrolVo {

    /**
     * 巡检类别
     */
    @ApiModelProperty(value = "巡检类型")
    private String patrolCategory;

    /**
     * 巡检类型
     */
    @ApiModelProperty(value = "巡检类型")
    private String patrolType;

    /**
     * 巡检开始时间
     */
    @ApiModelProperty(value = "巡检开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date patrolStartTime;

    /**
     * 巡检结束时间
     */
    @ApiModelProperty(value = "巡检结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date patrolEndTime;




    /**
     * 巡检人
     */
    @ApiModelProperty(value = "巡检人")
    private String patrolUser;



    /**
     * 巡检状态
     */
    @ApiModelProperty(value = "巡检状态")
    private String patrolState;
}
