package com.tofly.stocks.vo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.stocks.entity.DeviceInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel
public class DeviceRepairVo {

    /**
     * 维修类型
     */
    @ApiModelProperty(value = "维修类型")
    private String repairTypeName;

    /**
     * 维修数量
     */
    @ApiModelProperty(value = "维修数量")
    private Integer repairCount;

    /**
     * 维修开始时间
     */
    @ApiModelProperty(value = "维修开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date repairStartTime;

    /**
     * 维修结束时间
     */
    @ApiModelProperty(value = "维修结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date repairEndTime;


    /**
     * 派单人
     */
    @ApiModelProperty(value = "派单人")
    private String dispatchUser;

    /**
     * 派单时间
     */
    @ApiModelProperty(value = "派单时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dispatchTime;

    /**
     * 派单状态
     */
    @ApiModelProperty(value = "派单状态")
    private String dispatchState;

}
