/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.stocks.vo;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 药品入库单
 *
 * @author admin
 * @date Mon Nov 21 00:00:00 CST 2022
 */
@Data
@ApiModel
public class DrugUseReportVo {

    /**
     * 日期
     */
    @Excel(name = "日期")
    @ApiModelProperty(value = "日期")
    private String drugTime;

    /**
     * 水厂id
     */
    @ApiModelProperty(value = "水厂id")
    private String waterInfoId;

    /**
     * 水厂名称
     */
    @Excel(name = "水厂名称")
    @ApiModelProperty(value = "水厂名称")
    private String waterInfoName;


    /**
     * 供水量(m³)
     */
    @Excel(name = "供水量(m³)")
    @ApiModelProperty(value = "供水量(m³)")
    private Double waterTotal;

    /**
     * 药耗总量
     */
    @Excel(name = "药耗总量(kg)")
    @ApiModelProperty(value = "药耗总量(kg)")
    private Double drugTotal;


    /**
     * 吨水药耗量（kg/吨）
     */
    @Excel(name = "吨水药耗量（kg/吨）")
    @ApiModelProperty(value = "吨水药耗量（kg/吨）")
    private Double drugTonTotal;

    /**
     * 千吨水药耗量（kg/千吨）
     */
    @Excel(name = "千吨水药耗量（kg/千吨）")
    @ApiModelProperty(value = "千吨水药耗量（kg/千吨）")
    private Double drugKilotonTotal;

}
