package com.tofly.stocks.vo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.stocks.entity.InstockDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class InstockDetailVo extends InstockDetail {

    /**
     * 设备唯一编码
     */
    @ApiModelProperty(value = "设备唯一编码")
    private String deviceNo;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    private String deviceName;
    /**
     * 设备规格型号
     */
    @ApiModelProperty(value = "设备规格型号")
    private String deviceSpecsModel;
    /**
     * 设备单位（字典ID）
     */
    @ApiModelProperty(value = "设备单位（字典ID）")
    private BigDecimal deviceUnitId;
    /**
     * 设备单位名称
     */
    @ApiModelProperty(value = "设备单位名称")
    private String deviceUnitName;
    /**
     * 设备所在地址
     */
    @ApiModelProperty(value = "设备所在地址")
    private String deviceAddress;
    /**
     * 设备购买时间
     */
    @ApiModelProperty(value = "设备购买时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date devicePurchaseTime;
    /**
     * 设备安装时间
     */
    @ApiModelProperty(value = "设备安装时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date deviceInstallTime;

    /**
     * 物资类型Id
     */
    @ApiModelProperty(value = "物资类型Id，关联类型表")
    private Long materialTypeId;

    
    /**
     * 货架ID
     */
    @ApiModelProperty(value = "货架ID")
    private Long shelvesId;
    

    /**
     * 物资类型名称
     */
    @ApiModelProperty(value = "物资类别名称")
    private String materialTypeName;

    /**
     * 物资类别（物料 ,设备,药品）
     */
    @ApiModelProperty(value = "物资类别（物料 ,设备,药品），关联字典")
    private Long deviceType;


    /**
     * 物资类别名称
     */
    @ApiModelProperty(value = "物资类别名称")
    private String deviceTypeName;

    
}
