package com.tofly.stocks.vo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

@Data
public class StockCheckVo {

    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long storeId;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;


    /**
     * 货架ID
     */
    @ApiModelProperty(value = "货架ID")
    private Long shelvesId;



    /**
     * 货架编号
     */
    @ApiModelProperty(value = "货架编号")
    private String shelvesNo;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;

    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;



    /**
     * 盘点人员
     */
    @ApiModelProperty(value = "盘点人员")
    private String checkUserName;


    /**
     * 盘点任务时间
     */
    @ApiModelProperty(value = "盘点日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * 盘点任务备注
     */
    @ApiModelProperty(value = "盘点任务备注")
    private String checkRemark;

    /**
     * 盘点数量
     */
    @ApiModelProperty(value = "盘点数量")
    private Double checkNum;

    /**
     * 盘点时库存数量
     */
    @ApiModelProperty(value = "盘点时库存数量")
    private Double checkStockNum;

    /**
     * 盘点结果
     */
    @ApiModelProperty(value = "盘点结果")
    private String checkResult;

    /**
     * 盘点状态
     */
    @ApiModelProperty(value = "盘点状态")
    private String checkStatus;

}
