package com.tofly.stocks.vo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class StockInstockVo {

    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long storeId;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;


    /**
     * 货架ID
     */
    @ApiModelProperty(value = "货架ID")
    private Long shelvesId;



    /**
     * 货架编号
     */
    @ApiModelProperty(value = "货架编号")
    private String shelvesNo;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;

    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;




    /**
     * 入库编号（自动生成，RK+年+月+0001（三位序号）
     */
    @ApiModelProperty(value = "入库编号（自动生成，RK+年+月+0001（三位序号）")
    private String instockNo;

    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "入库时间不能为空")
    private Date instockTime;

    /**
     * 入库人ID
     */
    @ApiModelProperty(value = "入库人ID")
    private Long instockUserId;


    /**
     * 入库人姓名
     */
    @ApiModelProperty(value = "入库人姓名")
    private String instockUserName;

    /*入库详情*/
    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量")
    private Double instockNum;
    /**
     * 入库单价
     */
    @ApiModelProperty(value = "入库单价")
    private Double unitPrice;
    /**
     * 税额
     */
    @ApiModelProperty(value = "税额")
    private Double taxAmount;
    /**
     * 含税单价
     */
    @ApiModelProperty(value = "含税单价")
    private Double taxUnitPrice;
    /**
     * 价税合计
     */
    @ApiModelProperty(value = "价税合计")
    private Double totalPrice;
    /**
     * 税率
     */
    @ApiModelProperty(value = "遂率")
    private Double taxRate;

    
}
