package com.tofly.stocks.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

@Data
public class StockOutstockVo {

    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long storeId;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;


    /**
     * 货架ID
     */
    @ApiModelProperty(value = "货架ID")
    private Long shelvesId;



    /**
     * 货架编号
     */
    @ApiModelProperty(value = "货架编号")
    private String shelvesNo;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;

    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;




    /**
     * 出库编号（WLCK+年+月+0001三位序号）
     */
    @ApiModelProperty(value = "出库编号（WLCK+年+月+0001三位序号）")
    private String outstockNo;
    /**
     * 出库时间
     */
    @ApiModelProperty(value = "出库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date outstockTime;

    /**
     * 出库人ID
     */
    @ApiModelProperty(value = "出库人")
    private Long outstockUserId;


    /**
     * 出库人
     */
    @ApiModelProperty(value = "出库人")
    private String outstockUserName;


    /**
     * 出库数量
     */
    @ApiModelProperty(value = "出库数量")
    private Double outstockNum;

    
}
