package com.tofly.api.message;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.message.Messagepush;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 消息推送数据服务
 */
@FeignClient(name = "tofly-base",contextId="MessageClient")
public interface MessageClient {

    /**
     * 存入消息信息
     * @param messagepush
     * @return
     */
    @PostMapping("/messagepush/save")
    ResultRespone<Long> save(@RequestBody Messagepush messagepush);

    /**
     * 修改消息对象信息
     * @param messagepush
     * @return
     */
    @PutMapping("/messagepush/updata")
    ResultRespone<Boolean> updateById(@RequestBody Messagepush messagepush);

    /**
     * 查询消息信息列表
     * @return
     */
    @GetMapping("/messagepush/list")
    ResultRespone<List<Messagepush>> list();

}
