/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.message;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 待办任务信息表
 *
 * @author admin
 * @date Wed Mar 31 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_USERTASK_W", resultMap = "usertaskMap")
@KeySequence("TF_YWPN_USERTASK_W")
@ApiModel
public class Usertask extends Model<Usertask> {
    private static final long serialVersionUID = 1L;

    /**
     * 任务结束时间
     */
    @ApiModelProperty(value = "任务结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 任务开始时间
     */
    @ApiModelProperty(value = "任务开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 名称描述
     */
    @ApiModelProperty(value = "名称描述")
    private String tknm;
    /**
     * 待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务
     */
    @ApiModelProperty(value = "待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务")
    private String tkty;
    /**
     * 待办任务子类，如：1_1管线巡查
     */
    @ApiModelProperty(value = "待办任务子类，如：1_1管线巡查")
    private String tksmty;
    /**
     * 级别：0一般、1紧急
     */
    @ApiModelProperty(value = "级别：0一般、1紧急")
    private String tlevel;
    /**
     * 任务链接表名
     */
    @ApiModelProperty(value = "任务链接表名")
    private String tableName;
    /**
     * 链接ID
     */
    @ApiModelProperty(value = "链接ID")
    private Long tableId;
    /**
     * 路由地址进行跳转
     */
    @ApiModelProperty(value = "路由地址进行跳转")
    private String routeIp;
    /**
     * app路由地址进行跳转
     */
    @ApiModelProperty(value = "app路由地址进行跳转")
    private String routeAppIp;
    /**
     * 处理状态：0待完成，1已完成
     */
    @ApiModelProperty(value = "处理状态：0待完成，1已完成,2未开始,3已超时")
    private String ishandle;
    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date handleTime;
    /**
     * 处理人ID
     */
    @ApiModelProperty(value = "处理人ID")
    private Long handleUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
@ApiModelProperty(hidden = true)
    private String createUserName;

    @ApiModelProperty(value = "浪潮id")
    private String lcId;
}
