package com.tofly.base.config;

import org.springframework.amqp.core.*;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author hs
 * @since 2023-05-15
 * mq消息队列配置
 */
@Configuration
public class RabbitmqConfig {

   //组织
    public static final String QUEUE_INFORM_ZHDD = "zhdd";

    //用户
    public static final String QUEUE_INFORM_ZHDD02 = "zhdd02";

    public static final String EXCHANGE_TOPICS_INFORM = "exchange-gcloud";
    public static final String ROUTINGKEY_ZHDD = "routing.zhdd";

    public static final String ROUTINGKEY_ZHDD02 = "routing.zhdd02";



    //声明交换机
   @Bean(EXCHANGE_TOPICS_INFORM)
   public Exchange EXCHANGE_TOPICS_INFORM() {
        //durable(true) 持久化，mq重启之后交换机还在
        return ExchangeBuilder.topicExchange(EXCHANGE_TOPICS_INFORM).durable(true).build();
    }

    //声明QUEUE_INFORM_ZHDD队列
    @Bean(QUEUE_INFORM_ZHDD)
    public Queue QUEUE_INFORM_ZHDD() {
        return new Queue(QUEUE_INFORM_ZHDD);
    }

    //声明QUEUE_INFORM_ZHDD02队列
    @Bean(QUEUE_INFORM_ZHDD02)
    public Queue QUEUE_INFORM_ZHDD02() {
        return new Queue(QUEUE_INFORM_ZHDD02);
    }


    //ROUTINGKEY_ZHDD队列绑定交换机，指定routingKey
    @Bean
    public Binding BINDING_QUEUE_INFORM_ZHDD(@Qualifier(QUEUE_INFORM_ZHDD) Queue queue,
                                              @Qualifier(EXCHANGE_TOPICS_INFORM) Exchange exchange) {
        return BindingBuilder.bind(queue).to(exchange).with(ROUTINGKEY_ZHDD).noargs();
    }

    //ROUTINGKEY_ZHDD02队列绑定交换机，指定routingKey
    @Bean
    public Binding BINDING_QUEUE_INFORM_ZHDD02(@Qualifier(QUEUE_INFORM_ZHDD02) Queue queue,
                                              @Qualifier(EXCHANGE_TOPICS_INFORM) Exchange exchange) {
        return BindingBuilder.bind(queue).to(exchange).with(ROUTINGKEY_ZHDD02).noargs();
    }

}