/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 空间库连接配置信息表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_CONNECTION_X")
@KeySequence("TF_SMPN_CONNECTION_X")
@ApiModel
public class Connection extends Model<Connection> {
    private static final long serialVersionUID = 1L;

        /**
     * 编号
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "编号")
            private Long id;
        /**
     * 数据库连接名称
     */
        @ApiModelProperty(value = "数据库连接名称")
            private String name;
        /**
     * 连接类型，默认1 ORACLE数据库，2 SQL SERVER数据库
     */
        @ApiModelProperty(value = "连接类型，默认1 ORACLE数据库，2 SQL SERVER数据库")
            private Short type;
        /**
     * 连接信息串
     */
        @ApiModelProperty(value = "连接信息串")
            private String constr;
        /**
     * 创建时间
     */
        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
        private Date createTime;
        /**
     * 创建用户
     */
        @ApiModelProperty(value = "创建用户")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
        private Long createUser;
    
}
