package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TF_SMPN_DATABACK_X")
@ApiModel
public class DataBack extends Model<DataBack> {
	
	
    /**
     * 备份ID，主键
     */
    @TableId(value = "ID", type = IdType.AUTO)
    @ApiModelProperty(value = "备份ID，主键")
    private Long id;
    
    /**
     * 备份类型
     */
    @ApiModelProperty(value = "备份类型（全量备份、增量备份）")
    private String backType;
    
    
    /**
     * 操作方式
     */
    @ApiModelProperty(value = "操作方式")
    private String operateType;
    
    
    
    /**
     * 备份文件名称
     */
    @ApiModelProperty(value = "备份文件名称")
    private String backDataName;
    
    
    /**
     * 备份文件大小
     */
    @ApiModelProperty(value = "备份文件大小")
    private String backDataLength;
    
    
    
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    
    /**
	 * 创建人
	 */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    
    	
	
    /**
	 * 备份文件地址
	 */
    @ApiModelProperty(value = "备份文件地址")
    private String backDataPath;
    
    
    
    @ApiModelProperty(value = "查询开始时间")
    @TableField(exist = false)
    private String startTime;
    
    @ApiModelProperty(value = "查询结束时间")
    @TableField(exist = false)
    private String endTime;
    

    
}