package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TF_SMPN_DATABACK_POLICY_X")
@ApiModel
public class DataBackPolicy extends Model<DataBackPolicy> {
	
	
    /**
     * 备份ID，主键
     */
    @TableId(value = "ID", type = IdType.AUTO)
    @ApiModelProperty(value = "备份ID，主键")
    private Long id;
    

       
    /**
     * 定时方式
     */
    @ApiModelProperty(value = "定时方式")
    private String cronVal;
    
    
    
    /**
     * 备份备注信息
     */
    @ApiModelProperty(value = "备份备注信息")
    private String backRemark;
    
    
    /**
     * 存储天数
     */
    @ApiModelProperty(value = "存储天数")
    private String storageDays;
    
    
    
    /**
     * 间隔天数
     */
    @ApiModelProperty(value = "间隔天数")
    private String intervalDays;
    
    
    
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    
    /**
	 * 创建人
	 */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    
    	
    @ApiModelProperty(value = "是否备份中，1:正在备份，2：没有备份")
    private String isBack;
    
}