/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 参数配置信息表：TF_YWPN_PARAMCONFIG_W
 *
 * @author admin
 * @date Thu May 13 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PARAMCONFIG_W", resultMap = "paramconfigMap")
@KeySequence("TF_YWPN_PARAMCONFIG_W")
@ApiModel
public class Paramconfig extends Model<Paramconfig> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 人巡最快速度（km/h）
     */
    @ApiModelProperty(value = "人巡最快速度（km/h）")
    private Double peopleSpeed;
    /**
     * 人巡最大到位容差（m）
     */
    @ApiModelProperty(value = "人巡最大到位容差（m）")
    private Double peopleMaxalw;
    /**
     * 车巡最快速度（km/h）
     */
    @ApiModelProperty(value = "车巡最快速度（km/h）")
    private Double carSpeed;
    /**
     * 车巡最大到位容差（m）
     */
    @ApiModelProperty(value = "车巡最大到位容差（m）")
    private Double carMaxalw;
    /**
     * 上传频率（秒/次）
     */
    @ApiModelProperty(value = "上传频率（秒/次）")
    private Double uploadRate;
    /**
     * 轨迹最大速度（km/h）
     */
    @ApiModelProperty(value = "轨迹最大速度（km/h）")
    private Double routeMaxspeed;
    /**
     * 手机拍摄上传照片是否添加时间水印,0不加，1加水印
     */
    @ApiModelProperty(value = "手机拍摄上传照片是否添加时间水印,0不加，1加水印")
    private String ismark;
    /**
     * 人员轨迹颜色
     */
    @ApiModelProperty(value = "人员轨迹颜色")
    private String plineColor;
    /**
     * 播放轨迹点颜色
     */
    @ApiModelProperty(value = "播放轨迹点颜色")
    private String pointColor;
    /**
     * 播放轨迹线颜色
     */
    @ApiModelProperty(value = "播放轨迹线颜色")
    private String lineColor;
    /**
     * 轨迹点细度（px）
     */
    @ApiModelProperty(value = "轨迹点细度（px）")
    private Integer routePt;
    /**
     * 轨迹线细度（px）
     */
    @ApiModelProperty(value = "轨迹线细度（px）")
    private Integer routeLine;
    /**
     * 轨迹分段点数（个）
     */
    @ApiModelProperty(value = "轨迹分段点数（个）")
    private Integer routePtnum;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
@ApiModelProperty(hidden = true)
    private String createUserName;

}
