/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 角色信息表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_ROLE_X")
@KeySequence("TF_SMPN_ROLE_X")
@ApiModel
public class Role extends Model<Role> {
    private static final long serialVersionUID = 1L;

    /**
     * 角色ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "角色ID")
    private Long id;
    /**
     * 角色名字
     */
    @ApiModelProperty(value = "角色名字")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String roleName;
    /**
     * 角色标识
     */
    @ApiModelProperty(value = "角色标识")
    private String roleCode;
    /**
     * 角色描述
     */
    @ApiModelProperty(value = "角色描述")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String roleDesc;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 是否启用禁用 1启用 2禁用
     */
    @ApiModelProperty(value = "是否启用禁用 1启用 2禁用")
    private String statusFlag;
    /**
     * 地图资源角色
     */
    @ApiModelProperty(value = "地图资源角色")
    private String portaluserId;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;

    @ApiModelProperty(value = "子系统ID")
    private String sysId;

    @ApiModelProperty(value = "权限菜单集合")
    private String treeValue;

    @ApiModelProperty(value = "更新者")
    private String updateUsers;
}
