/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 子系统配置信息表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_SYSTEM_X")
@KeySequence("TF_SMPN_SYSTEM_X")
@ApiModel
public class System extends Model<System> {
    private static final long serialVersionUID = 1L;

        /**
     * 编号
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "编号")
            private Long id;
        /**
     * 系统名称
     */
        @ApiModelProperty(value = "系统名称")
        @TableField(condition = ToflySqlCondition.LIKE)
            private String systemName;
        /**
     * 备注
     */
        @ApiModelProperty(value = "备注")
            private String notes;
        /**
     * 创建时间
     */
        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
        private Date createTime;
        /**
     * 创建用户
     */
        @ApiModelProperty(value = "创建用户")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
        private Long createUser;
        /**
     * 子系统编码
     */
        @ApiModelProperty(value = "子系统编码")
            private String code;
        /**
     * 默认显示图标
     */
        @ApiModelProperty(value = "默认显示图标")
            private String icon;
        /**
     * 鼠标经过显示图标
     */
        @ApiModelProperty(value = "鼠标经过显示图标")
            private String mouseIcon;
        /**
     * 排序号
     */
        @ApiModelProperty(value = "排序号")
            private Short sort;
        /**
     * 子系统类型（保留字段）
     */
        @ApiModelProperty(value = "子系统类型（保留字段）")
            private String systemType;
        /**
     * 是否启用禁用 1启用 2禁用
     */
        @ApiModelProperty(value = "是否启用禁用 1启用 2禁用")
            private String statusFlag;

        /**
         * 登录时显示图标
         */
        @ApiModelProperty(value = "登录时显示图标")
        private String loginIcon;
        /**
         * 鼠标经过显示图标
         */
        @ApiModelProperty(value = "登录时鼠标经过显示图标")
        private String LoginMouseIcon;

        /**
         * 所属平台
         */
        @ApiModelProperty(value = "所属平台1BS2CS")
        private String platform;
    
}
