/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.Log;
import com.tofly.base.strategy.ExcelStrategy;
import com.tofly.base.vo.CountLogVo;
import com.tofly.base.vo.OperationRecordsVo;
import com.tofly.common.core.entity.ResultRespone;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 日志信息表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
public interface LogService extends IService<Log> , ExcelStrategy {
    Page<Map> listLogPage(Page page,Map map);

    ResultRespone manuallyAdd(List<MultipartFile> fileList,HttpServletRequest request);

    List<CountLogVo> countLogType(Map map);

    /**
     * 获取操作记录分类(部门-人员)
     * @param flag flag为空按照部门统计,flag为1按照部门人员统计
     * @param startTime 统计操作起始时间
     * @param endTime 统计操作结束时间
     * @return
     */
    List<OperationRecordsVo> getOperationRecords(String flag, String startTime, String endTime);

    /**
     * 获取当前用户最新登录日志
     * @param map
     * @return
     */
    Log getOneLogInfo(Map map);
}
