/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.UserMiddle;
import com.tofly.base.entity.UserRoles;

/**
 * 用户中间表
 *
 * @author admin
 * @date Thu Mar 03 00:00:00 CST 2022
 */
public interface UserMiddleService extends IService<UserMiddle> {
    /**
     * 用户同步
     * @param userName  用户登录名
     * @param passWord  密码(内部则是SHA1加密后,外部则是AES加密后)
     * @param realName  中文名称
     * @param flag      是否内部调用
     * @return
     * @throws
     */
    boolean synchronizeUser(String userName, String passWord, String realName,String flag);


    /**
     * 营销调用新增/修改用户接口
     * @param userRoles
     * @return
     */
    boolean sendUserNewUpdate(UserRoles userRoles);

    /**
     * 同步营销
     * @param userName
     * @param passWord
     * @param realName
     * @param flag
     * @return
     */
    boolean sendMarketingUser(String userName, String passWord, String realName,String flag);
}
