package com.tofly.dc.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 性能监控查询条件
 */
@Data
public class PerformanceMonitoringDto  implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "1为系统层次,2为业务层次,3为接口层次 必传参数")
    private String filter;
    @ApiModelProperty(value = "系统id 可传参数")
    private String sysId;
    @ApiModelProperty(value = "业务id 可传参数")
    private String businessId;
    @ApiModelProperty(value = "接口类型type 可传参数")
    private String typeId;
    @ApiModelProperty(value = "开始时间 可传参数")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty(value = "结束时间 可传参数")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
}
