/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dc.entity.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.dc.entity.InterfaceLog;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 接口访问日志表
 *
 * @author zev
 * @date Wed Jan 05 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel
public class InterfaceLogVo extends InterfaceLog {
    /**
     * 接口编码(模块+YYYYMMDD+000X序号)
     */
    @ApiModelProperty(value = "接口编码(归属系统+模块+YYYYMMDD+0000X序号)")
    private String code;
    /**
     * 接口名称
     */
    @ApiModelProperty(value = "接口名称")
    private String name;
    /**
     * 接口说明
     */
    @ApiModelProperty(value = "接口说明")
    private String note;
    /**
     * 归属系统(0GIS,1MIS)
     */
    @ApiModelProperty(value = "归属系统(0GIS,1MIS)")
    private String ownershipSystem;

    @ApiModelProperty(value = "归属系统转义(0GIS,1MIS)")
    @TableField(exist = false)
    private String ownershipSystemName;
    /**
     * 归属业务模块(0用户1综合展示2营销3DMA分区)
     */
    @ApiModelProperty(value = "归属业务模块(0用户1综合展示2营销3DMA分区)")
    private String ownershipBusiness;
    @ApiModelProperty(value = "归属业务模块转义(0用户1综合展示2营销3DMA分区)")
    @TableField(exist = false)
    private String ownershipBusinessName;
    /**
     * 接口URL
     */
    @ApiModelProperty(value = "接口URL")
    private String url;
    /**
     * 当前运行状态(0草稿,1已发布,2已停用)
     */
    @ApiModelProperty(value = "当前运行状态(0草稿,1已发布,2已停用)")
    private String runningStatus;
    @ApiModelProperty(value = "当前运行状态转义(0草稿,1已发布,2已停用)")
    @TableField(exist = false)
    private String runningStatusName;
    /**
     * 是否删除(0不删除,1删除)
     */
    @ApiModelProperty(value = "是否删除(0不删除,1删除)")
    private String del;
    @ApiModelProperty(value = "是否删除转义(0不删除,1删除)")
    @TableField(exist = false)
    private String delName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 接口类型(1.POST,2GET,3PUT,4DELET)
     */
    @ApiModelProperty(value = "接口类型(1.POST,2GET,3PUT,4DELETE)")
    private String type;
    @ApiModelProperty(value = "接口类型转义(1.POST,2GET,3PUT,4DELETE)")
    @TableField(exist = false)
    private String typeName;

    @ApiModelProperty(value = "数据流的类型(" +
            "1.application/x-www-form-urlencoded\n" +
            "2.application/json\n" +
            "3.multipart/form-data\n" +
            "))")
    private String contentType;

    @TableField(exist = false)
    @ApiModelProperty(value = "数据流的类型转义")
    private String contentTypeName;

    @ApiModelProperty(value = "异常编码")
    private String errorCode;
    @ApiModelProperty(value = "异常说明")
    private String errorNote;
}
