/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.dc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.dc.entity.InterfaceLog;
import com.tofly.dc.entity.dto.PerformanceMonitoringDto;
import com.tofly.dc.entity.vo.BusinessMonitoringVo;
import com.tofly.dc.entity.vo.InterfaceMonitoringVo;
import com.tofly.dc.entity.vo.SysMonitoringVo;
import com.tofly.dc.service.InterfaceLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.tofly.dc.mapper.InterfaceLogMapper;

import java.util.List;

/**
 * 接口访问日志表
 *
 * @author zev
 * @date Wed Jan 05 00:00:00 CST 2022
 */
@Service("interfaceLogService")
public class InterfaceLogServiceImpl extends ServiceImpl<InterfaceLogMapper, InterfaceLog> implements InterfaceLogService {

    @Autowired
    private InterfaceLogMapper interfaceLogMapper;

    @Override
    public List<SysMonitoringVo> getSysMonitoringVo(PerformanceMonitoringDto dto) {
        return interfaceLogMapper.getSysMonitoringVoList(dto);
    }

    @Override
    public List<BusinessMonitoringVo> getBusinessMonitoringVo(PerformanceMonitoringDto dto) {
        return interfaceLogMapper.getBusinessMonitoringVoList(dto);
    }

    @Override
    public List<InterfaceMonitoringVo> getInterfaceMonitoringVo(PerformanceMonitoringDto dto) {
        return interfaceLogMapper.getInterfaceMonitoringVoList(dto);
    }
}
