package com.tofly.xrtygis.commons;

/**
 * @ClassName: Constant
 * @Description: 常量
 * @Author Zev
 * @Date 2021/3/18
 * @Version 1.0.0
 */
public class Constant {

    /**
     * 导入导出文件相关
     */
    public static String DEFAULT_REPORT_IMPORT_FOLDER = "/report/import";
    public static String DEFAULT_REPORT_EXPORT_FOLDER = "/report/export";

    /**
     * 系统分隔符
     */
    public static String SYSTEM_SEPARATOR = "/";

    /**
     * 获取项目根目录
     */
    public static String PROJECT_ROOT_DIRECTORY = System.getProperty("user.dir").replaceAll("\\\\", SYSTEM_SEPARATOR);

    /**
     * excel导出测试临时存储路径
     */
    public static String FILE_PATH_TEST_EXPORT_EXCEL = PROJECT_ROOT_DIRECTORY + "/excel.xls";

    public static String MONTH = "1";

    public static String YEAR = "0";

    public static String POINT = ".";

    public static String KB = "kb";

    public static String DATE_SEPARATION = "-";

    public static String DATE_TILDE = "~";
    /** 消息批次流水号 */
    public static String MESSAGE_BATCH_ROB_MAINTAIN_SEQUENCE = "MESSAGE_BATCH_ROB_MAINTAIN_SEQUENCE";
    public static final String NEW_FAIL = "新增失败";
    public static final Integer NEW_FAIL_CODE = 40002;
    public static final String QUERY_FAIL = "查询失败";
    public static final String DATA_NONENTITY = "数据不存在";
    public static final Integer DATA_NONENTITY_CODE = 40003;
    public static final String UPDATE_FAIL = "更新失败";
    public static final Integer UPDATE_FAIL_CODE = 40004;
    public static final String DELETE_FAIL = "删除失败";
    public static final Integer DELETE_FAIL_CODE = 40005;
    public static final String DATA_VALIDATION = "数据校验失败,请检查传入参数";
    public static final Integer DATA_VALIDATION_CODE = 40006;
    public static final String CSV = ",";
    public static final String SEMICOLON = ";";

    public static final String SERVICE_POLICY_NOT_INJECTED = "服务策略未注入";
    public static final Integer SERVICE_POLICY_NOT_INJECTED_CODE = 40001;

    public static final String IS_USER_ID_NULL = "用户id不能为空";
    public static final Integer IS_USER_ID_NULL_CODE = 40010;

    public static final String IS_START_TIME_ADD_END_TIME= "开始时间和结束时间需同时输入";
    public static final Integer IS_START_TIME_ADD_END_TIME_CODE = 40011;

    public static final String IS_CAR_ID_NULL = "用户id不能为空";
    public static final Integer IS_CAR_ID_NULL_CODE = 40012;

    public static final String IS_SIGN_NULL = "当前用户未签到";
    public static final Integer IS_SIGN_NULL_CODE = 40013;

    public static final String IS_DEPT_NOT_USER_NULL = "当前用户没有归属部门";
    public static final Integer IS_DEPT_NOT_USER_NULL_CODE = 40014;

    public static final String IS_DISPOSE_PERMISSIONS_NULL = "当前用户操作中存在不能操作对象";
    public static final Integer IS_DISPOSE_PERMISSIONS_NULL_CODE = 40015;

    public static final String PLAN_YEAR_NULL = "年计划为空";
    public static final Integer PLAN_YEAR_NULL_CODE = 50001;

    public static final String PLAN_YEAR_DETAIL_NULL = "年计划详情为空";
    public static final Integer PLAN_YEAR_DETAIL_NULL_CODE = 50002;

    public static final String PLAN_YEAR_UPDATE_NULL = "年计划更新对象为空";
    public static final Integer PLAN_YEAR_UPDATE_NULL_CODE = 50003;

    public static final String PLAN_MONTH_NULL = "月计划为空";
    public static final Integer PLAN_MONTH_NULL_CODE = 50004;

    public static final String PLAN_PERIOD_NULL = "巡检周期为空";
    public static final Integer PLAN_PERIOD_NULL_CODE = 50005;

    public static final String PLAN_DELETE_REPORT_UNCOMMITTED = "当前删除对象,存在已上报对象";
    public static final Integer PLAN_DELETE_REPORT_UNCOMMITTED_CODE = 50006;

    public static final String PLAN_UPDATE_REPORT_UNCOMMITTED = "当前更新对象,存在已上报对象";
    public static final Integer PLAN_UPDATE_REPORT_UNCOMMITTED_CODE = 50007;

    public static final String PLAN_REPAIR_YEAR_DETAIL_NULL = "抢维修年计划详情为空";
    public static final Integer PLAN_REPAIR_YEAR_DETAIL_NULL_CODE = 50008;

    public static final String PLAN_REPAIR_YEAR_NULL = "抢维修年计划为空";
    public static final Integer PLAN_REPAIR_YEAR_NULL_CODE = 50009;

    public static final String PLAN_REPAIR_MONTH_DETAIL_NULL = "抢维修月计划详情为空";
    public static final Integer PLAN_REPAIR_MONTH_DETAIL_NULL_CODE = 50009;

    public static final String PLAN_REPAIR_MONTH_NULL = "抢维修月计划为空";
    public static final Integer PLAN_REPAIR_MONTH_NULL_CODE = 50010;

    public static final String REPORT_NOT_UNCOMMITTED = "该对象已上报或审批未拒绝";
    public static final Integer REPORT_NOT_UNCOMMITTED_CODE = 51000;

    public static final String AUDIT_NOT_UNCOMMITTED = "该对象已审核";
    public static final Integer AUDIT_NOT_UNCOMMITTED_CODE = 51001;

    public static final String  AUDIT_SEL_NULL = "未查询到该审核信息";
    public static final Integer AUDIT_SEL_NULL_CODE = 51002;

    public static final String BUILD_NOT_PATROL = "该计划不处于监护巡查状态";
    public static final Integer BUILD_NOT_PATROL_CODE = 51003;

    public static final String PLAN_YEAR_MONTH_PARA_ERROR = "请检查是否存在该数据详情或参数不符合YYYY-MM格式";
    public static final Integer PLAN_YEAR_MONTH_PARA_ERROR_CODE = 51004;

    public static final String PLAN_DISPATCHING_ERROR = "当前派发抢维修对象为空";
    public static final Integer PLAN_DISPATCHING_ERROR_CODE = 51005;

    public static final String PLAN_DISPATCHING_AUDIT_ERROR = "当前审核人未拥有审核该对象权利";
    public static final Integer PLAN_DISPATCHING_AUDIT_ERROR_CODE = 51006;

    public static final String PLAN_DISPATCHING_AUDIT_NOT_DISPOSE_ERROR = "该审核对象,已审批";
    public static final Integer PLAN_DISPATCHING_AUDIT_NOT_DISPOSE_ERROR_CODE = 51007;

    public static final String PLAN_DISPATCHING_AUDIT_YES_ERROR = "该审核对象,已派工";
    public static final Integer PLAN_DISPATCHING_AUDIT_YES_ERROR_CODE = 51008;

    public static final String REPAIR_RECORD_ADD_ERROR = "该个人任务维修过程上报数量已达标,不可再次上传";
    public static final Integer REPAIR_RECORD_ADD_ERROR_CODE = 51009;

    public static final String REPAIR_MAINTAIN_ADD_ERROR = "该个人任务保养记录上报数量已达标,不可再次上传";
    public static final Integer REPAIR_MAINTAIN_ADD_ERROR_CODE = 51010;
    public static final String REPAIR_MAINTAIN_ORDER_NULL_ERROR = "该个人任务ID上传为空,请检查参数";
    public static final Integer REPAIR_MAINTAIN_ORDER_NULL_ERROR_CODE = 51011;

    public static final String PLAN_MAINTAIN_ADD_ERROR = "该计划下设备上报上报数量已达标,不可再次上传";
    public static final Integer PLAN_MAINTAIN_ADD_ERROR_CODE = 51012;

    public static final String TASK_PLAN_NOT_UPDATE = "已经开始的任务不允许修改";
    public static final Integer TASK_PLAN_NOT_UPDATE_CODE = 60002;

    public static final String TASK_PLAN_STATE_MT = "当前任务未处于执行状态,不可上报审核";
    public static final Integer TASK_PLAN_STATE_MT_CODE = 60003;

    public static final String TASK_PLAN_NOT_DELETE = "当前删除,存在已经开始的任务,不允许删除";
    public static final Integer TASK_PLAN_NOT_DELETE_CODE = 60004;

    public static final String TASK_PLAN_STATE_STOP = "当前任务未处于执行状态,不可暂停";
    public static final Integer TASK_PLAN_STATE_STOP_CODE = 60005;


    public static final String TASK_PLAN_NOT_DISTRIBUTE_DISUSE = "当前审核人不属于任务派发人员,不可作废审核操作";
    public static final Integer TASK_PLAN_NOT_DISTRIBUTE_DISUSE_CODE = 60006;

    public static final String TASK_PLAN_NOT_STOP_DISUSE = "当前审核人不属于任务派发人员,不可暂停审核操作";
    public static final Integer TASK_PLAN_NOT_STOP_DISUSE_CODE = 60007;

    public static final String TASK_REPAIR_ORDER_YEAR_NOT_DELETE = "当前删除,存在抢维修年计划任务,不允许删除";
    public static final Integer TASK_REPAIR_ORDER_YEAR_NOT_DELETE_CODE = 60008;

    public static final String TASK_IS_PLAN_STATE_BEING_PERFORMED = "当前用户正在执行其他计划";
    public static final Integer TASK_IS_PLAN_STATE_BEING_PERFORMED_CODE = 60009;

    public static final String TASK_IS_PLAN_STATE_BEING_PERFORMED_SIGN = "当前用户未签到";
    public static final Integer TASK_IS_PLAN_STATE_BEING_PERFORMED_SIGN_CODE = 60010;

    public static final String TASK_IS_PLAN_STATE_POINT_PLACE = "新增计划未传入点到位信息";
    public static final Integer TASK_IS_PLAN_STATE_POINT_PLACE_CODE = 60011;

    public static final String TASK_IS_PLAN_ADD_NULL = "未传入计划对象,请检查参数";
    public static final Integer TASK_IS_PLAN_ADD_NULL_CODE = 60012;

    public static final String TASK_IS_REPAIR_ORDER_ADD_NULL = "未传入计划类型对象,请检查参数";
    public static final Integer TASK_IS_REPAIR_ORDER_ADD_NULL_CODE = 60013;

    public static final String TASK_REPAIR_ORDER_YEAR_NOT_NULL = "该抢维修年计划,无任何详情计划,不可自动生成工单";
    public static final Integer TASK_REPAIR_ORDER_YEAR_NOT_NULL_CODE = 60014;

    public static final String TASK_REPAIR_ORDER_RESP_USER_NOT_NULL = "该工单未指派主要负责人,不可派工";
    public static final Integer TASK_REPAIR_ORDER_RESP_USER_NOT_NULL_CODE = 60015;

    public static final String GROUP_USER_NOT_NULL = "当前巡检组下没有关联巡检人";
    public static final Integer GROUP_USER_NOT_NULL_CODE = 60016;

    public static final String TASK_REPAIR_ORDER_PROCESSED = "当前工单已提交工单处理/保养记录,不允许驳回";
    public static final Integer TASK_REPAIR_ORDER_PROCESSED_CODE = 60017;

    public static final String TASK_REPAIR_ORDER_EXECUTION_PROCESSED = "当前工单处于已完成/驳回/转发状态,不允许驳回";
    public static final Integer TASK_REPAIR_ORDER_EXECUTION_PROCESSED_CODE = 60018;

    public static final String TASK_REPAIR_ORDER_FORWARDING_PROCESSED = "当前工单已提交工单处理记录,不允许转发";
    public static final Integer TASK_REPAIR_ORDER_FORWARDING_PROCESSED_CODE = 60019;

    public static final String TASK_REPAIR_ORDER_EXECUTION_FORWARDING_PROCESSED = "当前工单处于已完成/驳回/转发状态,不允许转发";
    public static final Integer TASK_REPAIR_ORDER_EXECUTION_FORWARDING_PROCESSED_CODE = 60020;

    public static final String TASK_REPAIR_ORDER_HOTLINE = "当前工单不属于热线服务,不允许驳回";
    public static final Integer TASK_REPAIR_ORDER_HOTLINE_CODE = 60021;

    public static final String TASK_ADD_YEAR_NOT = "当前部门下对应的年计划已存在,不允许新增";
    public static final Integer TASK_ADD_YEAR_NOT_CODE = 60022;

    public static final String TASK_ADD_YEAR_MONTH_NOT = "当前部门下对应的月计划已存在,不允许新增";
    public static final Integer TASK_ADD_YEAR_MONTH_NOT_CODE = 60023;

    public static final String TASK_IS_PLAN_STATE_BEING_TIME = "当前计划开始时间大于当前时间,不允许启动";
    public static final Integer TASK_IS_PLAN_STATE_BEING_TIME_CODE = 60024;

    public static final String INSPECT_TYPE_NO_DELETE = "当前删除巡检类型中,已存在引用对象不可删除";
    public static final Integer INSPECT_TYPE_NO_DELETE_CODE = 60025;

    public static final String BUILD_TYPE_NO_DELETE = "当前删除工地类型中,已存在引用对象不可删除";
    public static final Integer BUILD_TYPE_NO_DELETE_CODE = 60026;

    public static final String REPAIR_TYPE_NO_DELETE = "当前删除维修类型中,已存在引用对象不可删除";
    public static final Integer REPAIR_TYPE_NO_DELETE_CODE = 60027;

    public static final String TROUBLE_TYPE_NO_DELETE = "当前删除隐患原因中,已存在引用对象不可删除";
    public static final Integer TROUBLE_TYPE_NO_DELETE_CODE = 60027;

    public static final String REGION_TYPE_NO_DELETE = "当前删除片区责任组中,已存在引用对象不可删除";
    public static final Integer REGION_TYPE_NO_DELETE_CODE = 60028;

    public static final String PERIOD_TYPE_NO_DELETE = "当前删除巡检周期类型中,已存在引用对象不可删除";
    public static final Integer PERIOD_TYPE_NO_DELETE_CODE = 60030;

    public static final String TASK_IS_PLAN_STATE_OVER_PERFORMED = "当前计划状态为: ";
    public static final Integer TASK_IS_PLAN_STATE_OVER_PERFORMED_CODE = 60031;

    public static final String TASK_REPAIR_ORDER_TERMINATION_HOTLINE = "当前工单不属于热线服务/不可手动结束,不允许终止";
    public static final Integer TASK_REPAIR_ORDER_TERMINATION_HOTLINE_CODE = 60032;

    public static final String TASK_REPAIR_ORDER_NULL_HOTLINE = "当前传入工单ID为空/或工单不存在,请检查参数";
    public static final Integer TASK_REPAIR_ORDER_NULL_HOTLINE_CODE = 60033;

    public static final String TASK_REPAIR_ORDER_COMPLETE_HOTLINE = "当前传入工单已完成,不允许终止";
    public static final Integer TASK_REPAIR_ORDER_COMPLETE_HOTLINE_CODE = 60034;

    public static final String TROUBLE_RANGE_NO_DELETE = "当前删除隐患等级中,已存在引用对象不可删除";
    public static final Integer TROUBLE_RANGE_NO_DELETE_CODE = 60035;

    public static final String FILE_UPLOAD_ERROR = "当前新增对象中,文件上传失败,请重试";
    public static final Integer FILE_UPLOAD_ERROR_CODE = 60036;

    public static final String PLAN_ID_NULL_ERROR = "当前对象审核计划ID为空";
    public static final Integer PLAN_ID_NULL_ERROR_CODE = 60136;

    public static final String AUDIT_IS_EXIST_ERROR = "当前记录已审核";
    public static final Integer AUDIT_IS_EXIST_ERROR_CODE = 60137;

    public static final String AUDIT_IS_NULL_ERROR = "当前审核对象为空";
    public static final Integer AUDIT_IS_NULL_ERROR_CODE = 60138;

    public static final String ID_ERROR = "当前对象ID不能为空";
    public static final Integer ID_ERROR_CODE = 60139;

    public static final String EMERGENCY_DELETE_ERROR = "当前删除对象中,存在已上报后对象";
    public static final Integer EMERGENCY_DELETE_ERROR_CODE = 60037;

    public static final String EMERGENCY_DIS_DELETE_ERROR = "当前删除对象中,应急事件状态为审核或已完成,不可删除";
    public static final Integer EMERGENCY_DIS_DELETE_ERROR_CODE = 60038;

    public static final String EMERGENCY_DIS_REPORT_STATE_ERROR = "当前上对象中,应急事件状态不为已派工,不可上报";
    public static final Integer EMERGENCY_DIS_REPORT_STATE_ERROR_CODE = 60039;

    public static final String EMERGENCY_UPDATE_ERROR = "当前修改对象中,已派工,不允许修改";
    public static final Integer EMERGENCY_UPDATE_ERROR_CODE = 60040;

    public static final String FEIGN_MESSAGE_CLIENT_ERROR = "消息推送数据服务,远程调用异常";
    public static final Integer FEIGN_MESSAGE_CLIENT_ERROR_CODE = 70001;


    public static final String UPDATE_POINT_TEMP_LIST_ERROR = "批量新增点到位数据异常,请检查参数";
    public static final Integer UPDATE_POINT_TEMP_LIST_ERROR_CODE = 80001;

    public static final String EXCEL_IMPORT_DATA_NULL_ERROR = "导入数据为空,请检查参数";
    public static final Integer EXCEL_IMPORT_DATA_NULL_ERROR_CODE = 100001;

    public static final String EXCEL_IMPORT_REPAIR_MATERIAL_DATA_NULL_ERROR = "导入材料类型产品名称有空值,请检查参数";
    public static final Integer EXCEL_IMPORT_REPAIR_MATERIAL_DATA_NULL_ERROR_CODE = 100002;

    public static final Integer EXCEL_IMPORT_REPAIR_MATERIAL_DATA_REPEAT_ERROR_CODE = 100003;

    public static final String EXCEL_IMPORT_REPAIR_TYPE_DATA_NULL_ERROR = "导入维修类型归属类名称有空值,请检查参数";
    public static final Integer EXCEL_IMPORT_REPAIR_TYPE_DATA_NULL_ERROR_CODE = 100004;

    public static final Integer EXCEL_IMPORT_REPAIR_TYPE_DATA_REPEAT_ERROR_CODE = 100005;

    public static final String EXCEL_EXPORT_REPAIR_YEAR_PLAN_ID_NULL_ERROR = "传入抢维修年计划导出id为空,请检查参数";
    public static final Integer EXCEL_EXPORT_REPAIR_YEAR_PLAN_ID_NULL_ERROR_CODE = 100006;

    public static final String EXCEL_EXPORT_REPAIR_MONTH_PLAN_ID_NULL_ERROR = "传入抢维修月计划导出id为空,请检查参数";
    public static final Integer EXCEL_EXPORT_REPAIR_MONTH_PLAN_ID_NULL_ERROR_CODE = 100007;

    public static final String EXCEL_EXPORT_ORDER_PLAN_ID_NULL_ERROR = "传入工单信息导出id为空,请检查参数";
    public static final Integer EXCEL_EXPORT_ORDER_PLAN_ID_NULL_ERROR_CODE = 100008;

    public static final String EXCEL_EXPORT_INSPECTION_YEAR_PLAN_ID_NULL_ERROR = "传入巡检年计划导出id为空,请检查参数";
    public static final Integer EXCEL_EXPORT_INSPECTION_YEAR_PLAN_ID_NULL_ERROR_CODE = 100009;

    public static final String EXCEL_EXPORT_INSPECTION_MONTH_PLAN_ID_NULL_ERROR = "传入巡检月计划导出id为空,请检查参数";
    public static final Integer EXCEL_EXPORT_INSPECTION_MONTH_PLAN_ID_NULL_ERROR_CODE = 100010;

    public static final String SEND_MESSAGE_PHONE_NULL = "传入手机号码为空,请检查参数";
    public static final Integer SEND_MESSAGE_PHONE_NULL_CODE = 95000;

    public static final String SEND_MESSAGE_PHONE_CHECK = "传入手机号码不符合规范,请检查参数";
    public static final Integer SEND_MESSAGE_PHONE_CHECK_CODE = 95001;

    public static final String SEND_MESSAGE_TXLX_CHECK = "传入消息提醒类型为空,请检查参数";
    public static final Integer SEND_MESSAGE_TXLX_CHECK_CODE = 95002;

    public static final String SEND_MESSAGE_TXNR_CHECK = "传入消息提醒内容为空,请检查参数";
    public static final Integer SEND_MESSAGE_TXNR_CHECK_CODE = 95003;

    public static final String SEND_MESSAGE_TXNR_ERROR_CHECK = "传入消息内容含有敏感字符,请检查参数";
    public static final Integer SEND_MESSAGE_TXNR_ERROR_CHECK_CODE = 95004;

    public static final String SEND_MESSAGE_TXNR_ERROR_TEMP = "传入消息模板不存在,请检查参数";
    public static final Integer SEND_MESSAGE_TXNR_ERROR_TEMP_CODE = 95005;
}
