package com.tofly.xrtygis.config;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/6/30 16:20
 */
@FeignClient(name = "tofly-xrtycallcenter" , contextId = "CallCenterFeign")
public interface CallCenterFeign {

    /**
     * 评分状态修改
     * @param lyId
     * @return
     */
    @PostMapping("/pltcall/grade")
    boolean updateIsGrade(@RequestParam("lyId") String lyId);

    @GetMapping("/record/queryRecordNum")
    Map<String, Integer> queryRecordNum(@RequestParam("crew")String crew, @RequestParam("start")String start, @RequestParam("end")String end);

    /**
     * 获取当月呼入统计
     * @return list
     */
    @GetMapping("/statis/incomingCallCount")
    Map<String, BigDecimal> incomingCallCount();

    /**
     * 获取当月呼出统计
     * @return list
     */
    @GetMapping("/statis/exhalationCount")
    Map<String, BigDecimal> exhalationCount();

    @GetMapping("/statis/callCount")
    Map<String, BigDecimal> getCallCount(@RequestParam("userName") String userName);
}
