/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.xrtygis.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.xrtygis.entity.Rxgdzjlr;
import com.tofly.xrtygis.service.RxgdzjlrService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
/**
 * 热线工单质检结果录入表
 *
 * @author admin
 * @date Wed Nov 24 00:00:00 CST 2021
 */
@RestController
@AllArgsConstructor
@RequestMapping("/rxgdzjlr")
@Api(tags="热线工单质检结果录入表接口")
public class RxgdzjlrController {

    private final  RxgdzjlrService rxgdzjlrService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param rxgdzjlr 热线工单质检结果录入表
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getRxgdzjlrPage(Page page, @ModelAttribute Rxgdzjlr rxgdzjlr) {
      return ResultRespone.success(rxgdzjlrService.page(page, Wrappers.query(rxgdzjlr)));
    }


    /**
     * 通过id查询热线工单质检结果录入表
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(rxgdzjlrService.getById(id));
    }

    /**
     * 新增热线工单质检结果录入表
     * @param rxgdzjlr 热线工单质检结果录入表
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增热线工单质检结果录入表" )
    @ApiOperation(value = "新增热线工单质检结果录入表")
    @PostMapping
    public ResultRespone save(@RequestBody Rxgdzjlr rxgdzjlr) {
      return ResultRespone.success(rxgdzjlrService.save(rxgdzjlr));
    }

    /**
     * 修改热线工单质检结果录入表
     * @param rxgdzjlr 热线工单质检结果录入表
     * @return ResultRespone
     */
    @ToFlyAppLog(title="修改热线工单质检结果录入表" )
    @ApiOperation(value = "修改热线工单质检结果录入表")
    @PutMapping
    public ResultRespone updateById(@RequestBody Rxgdzjlr rxgdzjlr) {
      return ResultRespone.success(rxgdzjlrService.updateById(rxgdzjlr));
    }

    /**
     * 通过id删除热线工单质检结果录入表
     * @param id id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id删除热线工单质检结果录入表" )
    @ApiOperation(value = "通过ID删除热线工单质检结果录入表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(rxgdzjlrService.removeById(id));
    }

    /**
     * 通过id批量删除热线工单质检结果录入表
     * @param ids id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id批量删除热线工单质检结果录入表" )
    @ApiOperation(value = "通过ID批量删除热线工单质检结果录入表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(rxgdzjlrService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
