/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.xrtygis.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.xrtygis.entity.Rxyjbtbm;
import com.tofly.xrtygis.service.RxyjbtbmService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
/**
 * 热线应急标题名称编码表
 *
 * @author admin
 * @date Fri Nov 19 00:00:00 CST 2021
 */
@RestController
@AllArgsConstructor
@RequestMapping("/rxyjbtbm")
@Api(tags="热线应急标题名称编码表接口")
public class RxyjbtbmController {

    private final  RxyjbtbmService rxyjbtbmService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param rxyjbtbm 热线应急标题名称编码表
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getRxyjbtbmPage(Page page, @ModelAttribute Rxyjbtbm rxyjbtbm) {
      return ResultRespone.success(rxyjbtbmService.page(page, Wrappers.query(rxyjbtbm)));
    }


    /**
     * 通过id查询热线应急标题名称编码表
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(rxyjbtbmService.getById(id));
    }

    /**
     * 新增热线应急标题名称编码表
     * @param rxyjbtbm 热线应急标题名称编码表
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增热线应急标题名称编码表" )
    @ApiOperation(value = "新增热线应急标题名称编码表")
    @PostMapping
    public ResultRespone save(@RequestBody Rxyjbtbm rxyjbtbm) {
      return ResultRespone.success(rxyjbtbmService.save(rxyjbtbm));
    }

    /**
     * 修改热线应急标题名称编码表
     * @param rxyjbtbm 热线应急标题名称编码表
     * @return ResultRespone
     */
    @ToFlyAppLog(title="修改热线应急标题名称编码表" )
    @ApiOperation(value = "修改热线应急标题名称编码表")
    @PutMapping
    public ResultRespone updateById(@RequestBody Rxyjbtbm rxyjbtbm) {
      return ResultRespone.success(rxyjbtbmService.updateById(rxyjbtbm));
    }

    /**
     * 通过id删除热线应急标题名称编码表
     * @param id id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id删除热线应急标题名称编码表" )
    @ApiOperation(value = "通过ID删除热线应急标题名称编码表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(rxyjbtbmService.removeById(id));
    }

    /**
     * 通过id批量删除热线应急标题名称编码表
     * @param ids id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id批量删除热线应急标题名称编码表" )
    @ApiOperation(value = "通过ID批量删除热线应急标题名称编码表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(rxyjbtbmService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
