package com.tofly.xrtygis.custom.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtygis.custom.service.ImportAboutService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 20126
 */
@RestController
@RequestMapping("/costImport")
@AllArgsConstructor
@Api(tags = "制水成本数据导入")
public class ImportAboutControlller {

    private final ImportAboutService importAboutService;

    @PostMapping("/importPlan")
    @ApiOperation("导入计划管理")
    public ResultRespone importWaterMakingPlan(String dto){
        return ResultRespone.success(importAboutService.importWaterMakingPlan(dto));
    }

    @PostMapping("/importActual")
    @ApiOperation("导入实际管理")
    public ResultRespone importWaterMaking(String dto){
        return ResultRespone.success(importAboutService.importWaterMaking(dto));
    }

    @PostMapping("/importFixed")
    @ApiOperation("导入实际单变")
    public ResultRespone importFixed(String dto){
        return ResultRespone.success(importAboutService.importFixed(dto));
    }


}
