package com.tofly.xrtygis.custom.entity.ImportDto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class WaterDto {

    @ApiModelProperty("填报年份")
    private String year;
    /**
     * 填报日期
     */
    @ApiModelProperty(value = "填报日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date upDate;
    /**
     * 一厂供水量（万m³）
     */
    @ApiModelProperty(value = "一厂供水量（万m³）")
    private Double gslOne;
    /**
     * 二厂供水量（万m³）
     */
    @ApiModelProperty(value = "二厂供水量（万m³）")
    private Double gslTwo;
    /**
     * 青白江转供水（万m³）
     */
    @ApiModelProperty(value = "青白江转供水（万m³）")
    private Double gslQbj;
    /**
     * 一厂制水量（万m³）
     */
    @ApiModelProperty(value = "一厂制水量（万m³）")
    private Double zslOne;
    /**
     * 二厂制水量（万m³）
     */
    @ApiModelProperty(value = "二厂制水量（万m³）")
    private Double zslTwo;
    /**
     * 红旗水库制水量（万m³）
     */
    @ApiModelProperty(value = "红旗水库制水量（万m³）")
    private Double zslHqsk;
    /**
     * 售水量（万m³）
     */
    @ApiModelProperty(value = "售水量（万m³）")
    private Double sslTotal;
    /**
     * 未上盘水量（万m³）
     */
    @ApiModelProperty(value = "未上盘水量（万m³）")
    private Double wspsl;
    /**
     * 一厂PAC（kg）
     */
    @ApiModelProperty(value = "一厂PAC（kg）")
    private Double pacOne;
    /**
     * 二厂PAC（kg）
     */
    @ApiModelProperty(value = "二厂PAC（kg）")
    private Double pacTwo;
    /**
     * 一厂食盐（kg）
     */
    @ApiModelProperty(value = "一厂食盐（kg）")
    private Double syOne;
    /**
     * 二厂液氯（kg）
     */
    @ApiModelProperty(value = "二厂液氯（kg）")
    private Double ylTwo;
    /**
     * 制水PAM（kg）
     */
    @ApiModelProperty(value = "制水PAM（kg）")
    private Double pam;
    /**
     * 粉碳（kg）
     */
    @ApiModelProperty(value = "粉碳（kg）")
    private Double ft;
    /**
     * 次钠（kg）
     */
    @ApiModelProperty(value = "次钠（kg）")
    private Double cn;
    /**
     * 高锰酸钾复合盐（kg）
     */
    @ApiModelProperty(value = "高锰酸钾复合盐（kg）")
    private Double gmsjfhy;
    /**
     * 污泥PAM（kg）
     */
    @ApiModelProperty(value = "污泥PAM（kg）")
    private Double pamWy;
    /**
     * 冰醋酸（kg）
     */
    @ApiModelProperty(value = "冰醋酸（kg）")
    private Double bcs;
    /**
     * 污泥转量（m³）
     */
    @ApiModelProperty(value = "污泥转量（m³）")
    private Double wnzl;
    /**
     * 一厂动力电量（kwh）
     */
    @ApiModelProperty(value = "一厂动力电量（kwh）")
    private Double dldlOne;
    /**
     * 二厂动力电量（kwh）
     */
    @ApiModelProperty(value = "二厂动力电量（kwh）")
    private Double dldlTwo;
    /**
     * 一厂基本电量（kwh）
     */
    @ApiModelProperty(value = "一厂基本电量（kwh）")
    private Double jbdlOne;
    /**
     * 二厂基本电量（kwh）
     */
    @ApiModelProperty(value = "二厂基本电量（kwh）")
    private Double jbdlTwo;
    @ApiModelProperty("其他")
    private Double other;
}
