package com.tofly.xrtygis.custom.entity.dataquery;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/5/11 19:32
 */
@Data
public class FixedReality {
    /**
     * 主键ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 填报日期
     */
    @ApiModelProperty(value = "填报日期")
    private String upDate;
    /**
     * 一厂PAC总费用（万元）
     */
    @ApiModelProperty(value = "一厂PAC总费用（万元）")
    private Double paczfyOne;
    /**
     * 二厂PAC总费用（万元）
     */
    @ApiModelProperty(value = "二厂PAC总费用（万元）")
    private Double paczfyTwo;
    /**
     * 一厂食盐总费用（万元）
     */
    @ApiModelProperty(value = "一厂食盐总费用（万元）")
    private Double syzfyOne;
    /**
     * 二厂液氯总费用（万元）
     */
    @ApiModelProperty(value = "二厂液氯总费用（万元）")
    private Double ylzfyTwo;
    /**
     * 制水PAM总费用（万元）
     */
    @ApiModelProperty(value = "制水PAM总费用（万元）")
    private Double pamzszfy;
    /**
     * 粉碳总费用（万元）
     */
    @ApiModelProperty(value = "粉碳总费用（万元）")
    private Double ftzfy;
    /**
     * 次钠总费用（万元）
     */
    @ApiModelProperty(value = "次钠总费用（万元）")
    private Double cnzfy;
    /**
     * 高锰酸钾复合盐总费用（万元）
     */
    @ApiModelProperty(value = "高锰酸钾复合盐总费用（万元）")
    private Double gmsjfhyzfy;
    /**
     * 污泥PAM总费用（万元）
     */
    @ApiModelProperty(value = "污泥PAM总费用（万元）")
    private Double pamwnzfy;
    /**
     * 冰醋酸总费用（万元）
     */
    @ApiModelProperty(value = "冰醋酸总费用（万元）")
    private Double bcszfy;
    /**
     * 污泥转运费（万元）
     */
    @ApiModelProperty(value = "污泥转运费（万元）")
    private Double wnzyf;
    /**
     * 一厂基本电费（万元）
     */
    @ApiModelProperty(value = "一厂基本电费（万元）")
    private Double jbdfOne;
    /**
     * 二厂基本电费（万元）
     */
    @ApiModelProperty(value = "二厂基本电费（万元）")
    private Double jbdfTwo;
    /**
     * 总基本电费（万元）
     */
    @ApiModelProperty(value = "总基本电费（万元）")
    private Double jbdfTotal;
    /**
     * 一厂动力电费（万元）
     */
    @ApiModelProperty(value = "一厂动力电费（万元）")
    private Double dldfOne;
    /**
     * 二厂动力电费（万元）
     */
    @ApiModelProperty(value = "二厂动力电费（万元）")
    private Double dldfTwo;
    /**
     * 总动力电费（万元）
     */
    @ApiModelProperty(value = "总动力电费（万元）")
    private Double dldfTotal;
    /**
     * 原水费（万元）
     */
    @ApiModelProperty(value = "原水费（万元）")
    private Double ysf;
    /**
     * 一厂水资源税费（万元）
     */
    @ApiModelProperty(value = "一厂水资源税费（万元）")
    private Double szysfOne;
    /**
     * 二厂水资源税费（万元）
     */
    @ApiModelProperty(value = "二厂水资源税费（万元）")
    private Double szysfTwo;
    /**
     * 总水资源税费（万元）
     */
    @ApiModelProperty(value = "总水资源税费（万元）")
    private Double szysfTotal;
    /**
     * 一厂电费单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "一厂电费单位变动成本（元/km³）")
    private Double dfcbOne;
    /**
     * 二厂电费单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "二厂电费单位变动成本（元/km³）")
    private Double dfcbTwo;
    /**
     * 总电费单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "总电费单位变动成本（元/km³）")
    private Double dfcbTotal;
    /**
     * 一厂PAC单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "一厂PAC单位变动成本（元/km³）")
    private Double paccbOne;
    /**
     * 食盐单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "食盐单位变动成本（元/km³）")
    private Double sycbOne;
    /**
     * 次钠单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "次钠单位变动成本（元/km³）")
    private Double cncbOne;
    /**
     * 冰醋酸单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "冰醋酸单位变动成本（元/km³）")
    private Double bcscbOne;
    /**
     * 一厂总制水材料单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "一厂总制水材料单位变动成本（元/km³）")
    private Double zsclcbOne;
    /**
     * 二厂PAC单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "二厂PAC单位变动成本（元/km³）")
    private Double paccbTwo;
    /**
     * 液氯单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "液氯单位变动成本（元/km³）")
    private Double ylcbTwo;
    /**
     * 制水PAM单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "制水PAM单位变动成本（元/km³）")
    private Double pamzscbTwo;
    /**
     * 粉碳单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "粉碳单位变动成本（元/km³）")
    private Double ftcbTwo;
    /**
     * 高锰酸钾复合盐单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "高锰酸钾复合盐单位变动成本（元/km³）")
    private Double gmsjfhycbTwo;
    /**
     * 污泥PAM单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "污泥PAM单位变动成本（元/km³）")
    private Double pamwncbTwo;
    /**
     * 污泥转运单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "污泥转运单位变动成本（元/km³）")
    private Double wnzycbTwo;
    /**
     * 二厂总制水材料单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "二厂总制水材料单位变动成本（元/km³）")
    private Double zsclcbTwo;
    /**
     * 总制水材料成本（元/km³）
     */
    @ApiModelProperty(value = "总制水材料成本（元/km³）")
    private Double zsclcbTotal;
    /**
     * 原水费成本（元/km³）
     */
    @ApiModelProperty(value = "原水费成本（元/km³）")
    private Double ysfcb;
    /**
     * 一厂水资源税费成本（元/km³）
     */
    @ApiModelProperty(value = "一厂水资源税费成本（元/km³）")
    private Double szysfcbOne;
    /**
     * 二厂水资源税费成本（元/km³）
     */
    @ApiModelProperty(value = "二厂水资源税费成本（元/km³）")
    private Double szysfcbTwo;
    /**
     * 总水资源税费成本（元/km³）
     */
    @ApiModelProperty(value = "总水资源税费成本（元/km³）")
    private Double szysfcbTotal;
    /**
     * 一厂总费用（万元）
     */
    @ApiModelProperty(value = "一厂总费用（万元）")
    private Double zfyOne;
    /**
     * 二厂总费用（万元）
     */
    @ApiModelProperty(value = "二厂总费用（万元）")
    private Double zfyTwo;
    /**
     * 一厂单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "一厂单位变动成本（元/km³）")
    private Double dwcbOne;
    /**
     * 二厂单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "二厂单位变动成本（元/km³）")
    private Double dwcbTwo;
    /**
     * 总单位变动成本（元/km³）
     */
    @ApiModelProperty(value = "总单位变动成本（元/km³）")
    private Double dwcbTotal;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

    /**
     * 总制水材料费用一厂
     */
    @ApiModelProperty("总制水材料费用一厂")
    private Double zzsclfyOne;
    /**
     * 总制水材料费用二厂
     */
    @ApiModelProperty("总制水材料费用二厂")
    private Double zzsclfyTwo;
    /**
     * 总费用（万元）
     */
    @ApiModelProperty("总费用（万元）")
    private Double zfy;

    private String mark;
}
