package com.tofly.xrtygis.custom.entity.dto;

import lombok.Data;

/**
 * @author 20126
 */
@Data
public class StaitemDto {

    private String stcd;
    /**
     * 指标编号，与SCADA测站实时监测数据表中的指标编号关联
     */
    private String itcd;
    /**
     * 指标类型名称，如压力、流量
     */
    private String itnm;
    /**
     * 指标单位
     */
    private String unit;
    /**
     * 指标监测值类型，1数字型、2字符型
     */
    private String itty;
    /**
     * 前端显示保留小数
     */
    private Short precision;

    /**
     * 上限值
     */
    private Double upLimit;
    /**
     * 下限值
     */
    private Double downLimit;
    /**
     * 是否计算合格率，1计算、0不计算
     */
    private String iscalcPass;
    /**
     * 合格标准，单位：%
     */
    private Float passStandard;
    /**
     * 是否计算优质率，1计算、0不计算
     */
    private String iscalcQuality;
    /**
     * 优质标准，单位：%
     */
    private Float qualityStandard;
    /**
     * 指标描述
     */
    private String description;
    /**
     * 指标类别编码，与字典编码表关联
     */
    private String tycd;

    private String name;
}
