package com.tofly.xrtygis.custom.entity.scada;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @TableName STATISTICS_SCADA
 */
@Data
public class StatisticsScada implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 指标编码
     */
    private String code;

    /**
     * 指标值
     */
    private String value;

    /**
     * 统计类型：0小时统计 1天统计 2月统计 3年统计
     */
    private Integer statisticsType;

    /**
     * 统计开始时间
     */
    private Date startTime;

    /**
     * 统计结束时间
     */
    private Date endTime;

    /**
     * 最大值
     */
    private Double max;

    /**
     * 最小值
     */
    private Double min;

    /**
     * 平均值
     */
    private Double ave;

    /**
     * 叠加值
     */
    private Double fold;

    /**
     * 指标归属(字典码表关联 例如:01 瞬时流量)
     */
    private String dataType;

}