package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Data
public class DmaAllIndexVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分区主键id")
    private Long id;

    @ApiModelProperty(value = "分区名称")
    private String dmaName;

    @ApiModelProperty(value = "夜间最小流量参考基准值(m3/h)")
    private Double refStandard;

    @ApiModelProperty(value = "分区漏损评估(0合格，1一般，2严重)")
    private String dmaLeakageAssess;

    @ApiModelProperty(value = "上月供水量（万m³）")
    private BigDecimal lastMonthWater;

    @ApiModelProperty(value = "上月售水量（万m³）")
    private BigDecimal lastMonthUserWater;

    @ApiModelProperty(value = "上月漏损率（%）")
    private Float lastMonthLeakageRate;

    @ApiModelProperty(value = "出口流量")
    private Double outFlow;

    @ApiModelProperty(value = "入口流量")
    private Double inFlow;

    @ApiModelProperty(value = "出口压力")
    private Double outPress;

    @ApiModelProperty(value = "入口压力")
    private Double inPress;

    @ApiModelProperty(value = "漏点数")
    private Integer leakCount;

    @ApiModelProperty(value = "检测点数")
    private Long monitorCount;

    @ApiModelProperty(value = "户数")
    private Long userNum;

}
