package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.Questionmark;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 自定义疑问标识
 *
 * @author 陈浩CustomQuestionMarkController
 */
public interface CustomQuestionMarkServicee {

    /**
     * 疑问标识上传
     *
     * @param request request
     * @param mark    疑问标识
     * @return true
     */
    boolean upLoadMark(List<MultipartFile> request, Questionmark mark);

    /**
     * 删除疑问标识
     *
     * @param markId 标识id
     * @return boolean
     */
    boolean deleteMark(String markId);

    /**
     * 分页获取当前用户创建的标记
     *
     * @param page page
     * @return page
     */
    Page getMeMark(Page page);

    /**
     * 疑问标识上报
     * @param ids 多个id
     * @return boolean
     */
    boolean handleMark(String ids,Long userId);

}
