package com.tofly.xrtygis.custom.service.dma;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 区域分表
 * @author 20126
 */
public interface AreaSubTableService {
    /**
     * 获取全部片区信息
     * @return list
     */
    List<Map> getArea();

    /**
     * 获取抄表本信息
     * @param cbpqbm 抄表片区编码
     * @return list
     */
    List<Map> getCopybook(String cbpqbm);

    /**
     * 查询区域分表信息
     *
     * @param page page
     * @param cbb 抄表本编码
     * @param dto 模糊条件
     * @return page
     */
    Page getSubTable(Page page,String cbb, String dto);

    /**
     * excel导出
     * @param cbb 抄表本
     * @param dto 模糊查询条件
     */
    void exportSubTable(HttpServletResponse response,String cbb, String dto);

    /**
     * 获取客户用水量
     * @param khbh 客户编号
     * @param start 开始时间
     * @param end 结束时间
     * @return page
     */
    Page getUseWater(Page page,String khbh,String start,String end);

}
