/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 分析用户用水量记录表
 *
 * @author admin
 * @date Thu Jul 28 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_ABNORMAL_WATER_USE", resultMap = "abnormalWaterUseMap")
//@KeySequence("TF_ABNORMAL_WATER_USE_SEQ")
@ApiModel
public class AbnormalWaterUse extends Model<AbnormalWaterUse> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 七天用水量平均值(不包含异常用水量/未用水数据)
     */
    @ApiModelProperty(value = "七天用水量平均值(不包含异常用水量/未用水数据)")
    private Double sevenAvg;
    /**
     * 最新用水量
     */
    @ApiModelProperty(value = "最新用水量")
    private Double nowSl;
    /**
     * 最新抄表日期
     */
    @ApiModelProperty(value = "最新抄表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date nowTime;
    /**
     * 起止度数
     */
    @ApiModelProperty(value = "起止度数")
    private String startStopValue;
    /**
     * 状态(0正常,1异常)
     */
    @ApiModelProperty(value = "状态(0正常,1异常)")
    private String state;

    @TableField(exist = false)
    private String stateName;

    @ApiModelProperty(value = "统计日期")
    private String monthDay;

    @ApiModelProperty(value = "开始区间")
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束区间")
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @TableField(exist = false)
    @ApiModelProperty(value = "模糊查询字段(用户编号/姓名/地址/联系电话)")
    private String likeStr;
}
