/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 区域表更换记录信息表：TF_YWPN_DMATABLECHANGE_W
 *
 * @author admin
 * @date Thu May 27 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMATABLECHANGE_W", resultMap = "dmatablechangeMap")
@KeySequence("TF_YWPN_DMATABLECHANGE_W")
@ApiModel
public class Dmatablechange extends Model<Dmatablechange> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 表ID
     */
    @ApiModelProperty(value = "表ID")
    private Long tableId;
    /**
     * 旧表表号
     */
    @ApiModelProperty(value = "旧表表号")
    private String oldSchc;
    /**
     * 旧表型号
     */
    @ApiModelProperty(value = "旧表型号")
    private String oldPhenotype;
    /**
     * 旧表厂家名称
     */
    @ApiModelProperty(value = "旧表厂家名称")
    private String oldFactory;
    /**
     * 旧表口径
     */
    @ApiModelProperty(value = "旧表口径")
    private String oldBore;
    /**
     * 旧表起始读数
     */
    @ApiModelProperty(value = "旧表起始读数")
    private Double oldStart;
    /**
     * 旧表终止读数
     */
    @ApiModelProperty(value = "旧表终止读数")
    private Double oldEnd;
    /**
     * 新表编号
     */
    @ApiModelProperty(value = "新表编号")
    private String newSch;
    /**
     * 新表厂家名称
     */
    @ApiModelProperty(value = "新表厂家名称")
    private String newFactory;
    /**
     * 新表型号
     */
    @ApiModelProperty(value = "新表型号")
    private String newPhenotype;
    /**
     * 新表口径
     */
    @ApiModelProperty(value = "新表口径")
    private String newBore;
    /**
     * 新表起始读数
     */
    @ApiModelProperty(value = "新表起始读数")
    private Double newStart;
    /**
     * 旧表终止读数
     */
    @ApiModelProperty(value = "旧表终止读数")
    private Double newEnd;
    /**
     * 区间预估水量（m3）
     */
    @ApiModelProperty(value = "区间预估水量（m3）")
    private Double reckon;
    /**
     * 故障发生时间
     */
    @ApiModelProperty(value = "故障发生时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCtime;
    /**
     * 换表时间
     */
    @ApiModelProperty(value = "换表时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date changTime;
    /**
     * 供水量
     */
    @ApiModelProperty(value = "供水量")
    private Double gsl;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
