/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 异常处理信息表：TF_YWPN_DMAWARNHANDLE_W
 *
 * @author wangjieliu
 * @date Wed May 26 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAWARNHANDLE_W", resultMap = "dmawarnhandleMap")
@KeySequence("TF_YWPN_DMAWARNHANDLE_W")
@ApiModel
public class Dmawarnhandle extends Model<Dmawarnhandle> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键GUID值
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键GUID值")
    private String id;
    /**
     * 异常类别（1=夜间最小流量异常处理；2=产销差水量异常处理）
     */
    @ApiModelProperty(value = "异常类别（1=夜间最小流量异常处理；2=产销差水量异常处理）")
    private String warnType;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String warnTypeName;

    /**
     * 分区ID或表ID
     */
    @ApiModelProperty(value = "分区ID或表ID")
    private Long warnId;
    /**
     * 分区(观察表)名称
     */
    @ApiModelProperty(value = "分区(观察表)名称")
    private String warnName;
    /**
     * 异常值（单位：当WARN_TYPE='1'时为m3/h；当WARN_TYPE='2'时为%）
     */
    @ApiModelProperty(value = "异常值（单位：当WARN_TYPE='1'时为m3/h；当WARN_TYPE='2'时为%）")
    private String warnValue;


    /**
     * 异常详情说明
     */
    @ApiModelProperty(value = "异常详情说明")
    private String warnNotes;
    /**
     * 异常时间
     */
    @ApiModelProperty(value = "异常时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warnTime;
    /**
     * 数据月份
     */
    @ApiModelProperty(value = "数据月份")
    private String warnMonth;
    /**
     * 分析ID（当WARN_TYPE='1'时为TF_YWPN_DMANIGHTFLOW_W.LID；当WARN_TYPE='2'时为TF_YWPN_DMAMONTHFLOW_W.LID）
     */
    @ApiModelProperty(value = "分析ID（当WARN_TYPE='1'时为TF_YWPN_DMANIGHTFLOW_W.LID；当WARN_TYPE='2'时为TF_YWPN_DMAMONTHFLOW_W.LID）")
    private String lid;
    /**
     * 派单状态(0=待派单，1=不派单，2=已派单）
     */
    @ApiModelProperty(value = "派单状态(0=待派单，1=不派单，2=已派单）")
    private String ishandle;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String ishandleName;
    /**
     * 工单编号（当ISHAND='2'时，回写TF_YWPN_GDGLINFO_W.ID）
     */
    @ApiModelProperty(value = "工单编号（当ISHAND='2'时，回写TF_YWPN_GDGLINFO_W.ID）")
    private Long orderId;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 派工时间
     */
    @ApiModelProperty(value = "派工时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orderTime;
    /**
     * 完工时间
     */
    @ApiModelProperty(value = "完工时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date handTime;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String time ;
    /**
     * 维修前最小夜间流量（单位：m3/h，异常前30天内最小夜间流量平均值）
     */
    @ApiModelProperty(value = "维修前最小夜间流量（单位：m3/h，异常前30天内最小夜间流量平均值）")
    private Double minFlowBefore;
    /**
     * 维修后最小夜间流量（单位：m3/h，处理后30天内最小夜间流量平均值）
     */
    @ApiModelProperty(value = "维修后最小夜间流量（单位：m3/h，处理后30天内最小夜间流量平均值）")
    private Double minFlowAfter;
    /**
     * 效果评价（m3/月）=前后最小流量变化平均值差*24小时*30天
     */
    @ApiModelProperty(value = "效果评价（m3/月）=前后最小流量变化平均值差*24小时*30天")
    private Long evaluate;
    /**
     * 评价时间
     */
    @ApiModelProperty(value = "评价时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date evaTime;

    @ApiModelProperty(value = "不派单原因编码")
    private Long nosendOrderReason;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String nosendOrderReasonName;
    @ApiModelProperty(value = "不派单原因备注")
    private String nosendOrderBz;

}
