/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 动态标注显示配置信息表
 *
 * @author admin
 * @date Thu Mar 25 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_LAYERFIELD_W", resultMap = "layerfieldMap")
@KeySequence("TF_YWPN_LAYERFIELD_W")
@ApiModel
public class Layerfield extends Model<Layerfield> {
    private static final long serialVersionUID = 1L;

    /**
     * 自增长
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "自增长")
    private Long id;
    /**
     * 图层英文名称
     */
    @ApiModelProperty(value = "图层英文名称")
    private String layerEn;
    /**
     * 不显示的字段JSON字符串
     */
    @ApiModelProperty(value = "不显示的字段JSON字符串")
    private String nonFields;
    /**
     * 用户名ID
     */
    @ApiModelProperty(value = "用户名ID")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 最后一次修改时间
     */
    @ApiModelProperty(value = "最后一次修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
