/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 分期漏损评估配置表
 *
 * @author admin
 * @date Thu Apr 28 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_LEAK_ASSESSMENT_D", resultMap = "leakAssessmentMap")
@KeySequence("TF_YWPN_LEAK_ASSESSMENT_D")
@ApiModel
public class LeakAssessment extends Model<LeakAssessment> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 级别；如：1,2,3分别对应一级级别，二级级别，三级级别
     */
    @ApiModelProperty(value = "级别；如：1,2,3分别对应一级级别，二级级别，三级级别")
    @NotNull
    private String dmaLevle;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String dmaLevleName;
    /**
     * 分区漏损评估(0合格，1一般，2严重)
     */
    @ApiModelProperty(value = "分区漏损评估(0合格，1一般，2严重)")
    @NotNull
    private String leakAssessment;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String leakAssessmentName;
    /**
     * 漏损率上限
     */
    @ApiModelProperty(value = "漏损率上限")
    @NotNull
    private Double leakUp;
    /**
     * 漏损率下限
     */
    @ApiModelProperty(value = "漏损率下限")
    @NotNull
    private Double leakDown;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
