/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 评分记录表
 *
 * @author wangjieliu
 * @date Thu Jun 17 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PFRECORD_W", resultMap = "pfrecordMap")
@KeySequence("TF_YWPN_PFRECORD_W")
@ApiModel
public class Pfrecord extends Model<Pfrecord> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 评分类型（1工单,2录音）
     */
    @ApiModelProperty(value = "评分类型（1工单,2录音）")
    private String pfType;
    /**
     * 评分描述
     */
    @ApiModelProperty(value = "评分描述")
    private String pfMs;
    /**
     * 总分
     */
    @ApiModelProperty(value = "总分")
    private Integer pfFz;
    /**
     * 评分工单编号
     */
    @ApiModelProperty(value = "评分工单编号")
    private String pfGdbh;
    /**
     * 工单类型ID
     */
    @ApiModelProperty(value = "工单类型ID")
    private Long gdType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String gdTypeName ;
    /**
     * 评分人员
     */
    @ApiModelProperty(value = "评分人员")
    private Long pfry;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String pfryName ;

    /**
     * 评分时间
     */
    @ApiModelProperty(value = "评分时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date pfsj;
    /**
     * 服务真诚主动热情
     */
    @ApiModelProperty(value = "服务真诚主动热情")
    private Integer fwzc;
    /**
     * 耐心服务尊重客户
     */
    @ApiModelProperty(value = "耐心服务尊重客户")
    private Integer zzkg;
    /**
     * 服务用语
     */
    @ApiModelProperty(value = "服务用语")
    private Integer fwyy;
    /**
     * 语音语调
     */
    @ApiModelProperty(value = "语音语调")
    private Integer yyyd;
    /**
     * 解答完整
     */
    @ApiModelProperty(value = "解答完整")
    private Integer jdwz;
    /**
     * 解答准确
     */
    @ApiModelProperty(value = "解答准确")
    private Integer jdzq;
    /**
     * 倾听理解
     */
    @ApiModelProperty(value = "倾听理解")
    private Integer qtlj;

    /**
     * 信息收集
     */
    @ApiModelProperty(value = "信息收集")
    private Integer xxsj;
    /**
     * 信息确认
     */
    @ApiModelProperty(value = "信息确认")
    private Integer xxqr;
    /**
     * 对话技巧
     */
    @ApiModelProperty(value = "对话技巧")
    private Integer dhjq;
    /**
     * 资料库查询操作
     */
    @ApiModelProperty(value = "资料库查询操作")
    private Integer zlk;
    /**
     * 流程规范应用
     */
    @ApiModelProperty(value = "流程规范应用")
    private Integer lcgf;
    /**
     * 是否合格；0：不合格；1：合格
     */
    @ApiModelProperty(value = "是否合格；0：不合格；1：合格")
    private String isreslut;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isreslutName;
    /**
     * 评分坐席人员ID，对应MySQL通话记录中的EMPCODE
     */
    @ApiModelProperty(value = "评分坐席人员ID，对应MySQL通话记录中的EMPCODE")
    private String pfZxry;
    /**
     * 评分录音ID，这个录音id就是通话中心MySQL表中的流水号；CONNECTIONID
     */
    @ApiModelProperty(value = "评分录音ID，这个录音id就是通话中心MySQL表中的流水号；CONNECTIONID")
    private String pfLyid;
    /**
     * 系统号码
     */
    @ApiModelProperty(value = "系统号码")
    private String sysphone;
    /**
     * 客户电话
     */
    @ApiModelProperty(value = "客户电话")
    private String telephone;
    /**
     * 呼叫类型{1:呼入,2:呼出}
     */
    @ApiModelProperty(value = "呼叫类型{1:呼入,2:呼出}")
    private Integer callType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String callTypeName;
    /**
     * 呼叫时间
     */
    @ApiModelProperty(value = "呼叫时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date callTime;
    /**
     * 接通时间
     */
    @ApiModelProperty(value = "接通时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date connectTime;
    /**
     * 呼叫结果{0：未呼叫，1：接通，2:无应答，3：用户忙，4：空关停，5：其它错误，99：外呼中}
     */
    @ApiModelProperty(value = "呼叫结果{0：未呼叫，1：接通，2:无应答，3：用户忙，4：空关停，5：其它错误，99：外呼中}")
    private String callResult;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String callReasultName;

    @ApiModelProperty(value = "质检满意度；0：不满意；1：一般；2：满意；3：非常满意")
    private String qualityReslut;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String qualityReslutName ;






}
