/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 污染物信息表
 *
 * @author admin
 * @date Wed Jun 23 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_POLL_W", resultMap = "pollMap")
@KeySequence("TF_YWPN_POLL_W")
@ApiModel
public class Poll extends Model<Poll> {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一值
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "唯一值")
    private Long id;
    /**
     * 污染源ID，关联表TF_YWPN_POLLSOURCE_W
     */
    @ApiModelProperty(value = "污染源ID，关联表TF_YWPN_POLLSOURCE_W")
    private Long sourceId;
    /**
     * 污染物ID，关联表TF_YWPN_POLLTYPE_W
     */
    @ApiModelProperty(value = "污染物ID，关联表TF_YWPN_POLLTYPE_W")
    private Long pollute;
    @TableField(exist = false)
    private String polluteName;
    /**
     * 单位
     */
    @TableField(exist = false)
    private String unit;
    /**
     * 浓度，单位关联污染物类型信息表
     */
    @ApiModelProperty(value = "浓度，单位关联污染物类型信息表")
    private Double potency;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
