/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 营销档案客户基本信息表
 *
 * @author wangjieliu
 * @date Fri Mar 19 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFKHJBXX_W", resultMap = "qfkhjbxxMap")
@KeySequence("TF_YWPN_QFKHJBXX_W")
@ApiModel
public class Qfkhjbxx extends Model<Qfkhjbxx> {
    private static final long serialVersionUID = 1L;

    /**
     * 客户编号
     */
    @TableId(value = "YHBH", type = IdType.INPUT)
    @ApiModelProperty(value = "客户编号")
    private String yhbh;
    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户姓名")
    private String yhxm;
    /**
     * 客户地址
     */
    @ApiModelProperty(value = "客户地址")
    private String yhdz;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String lxdh;
    /**
     * 联系人员
     */
    @ApiModelProperty(value = "联系人员")
    private String lxry;
    /**
     * 联系手机
     */
    @ApiModelProperty(value = "联系手机")
    private String lxsj;
    /**
     * 营业区域(存编码)
     */
    @ApiModelProperty(value = "营业区域(存编码)")
    private String yyqy;
    /**
     * 所属片区(存编码)
     */
    @ApiModelProperty(value = "所属片区(存编码)")
    private String cbpq;
    /**
     * 所属抄表本(存编码)
     */
    @ApiModelProperty(value = "所属抄表本(存编码)")
    private String cbb;
    /**
     * 客户状态(存编码)
     */
    @ApiModelProperty(value = "客户状态(存编码)")
    private String yhzt;
    /**
     * 缴费账户
     */
    @ApiModelProperty(value = "缴费账户")
    private String jfzh;
    /**
     * 账户状态(存编码)
     */
    @ApiModelProperty(value = "账户状态(存编码)")
    private String zhzt;
    /**
     * 账户余额
     */
    @ApiModelProperty(value = "账户余额")
    private Double zhye;
    /**
     * 供水合同
     */
    @ApiModelProperty(value = "供水合同")
    private String gsht;
    /**
     * 用水性质(存编码)
     */
    @ApiModelProperty(value = "用水性质(存编码)")
    private String ysxz;
    /**
     * 性质细分(存编码)
     */
    @ApiModelProperty(value = "性质细分(存编码)")
    private String xzxf;
    /**
     * 水表用途(存编码)
     */
    @ApiModelProperty(value = "水表用途(存编码)")
    private String sbyt;
    /**
     * 是否阶梯(0否，1是)
     */
    @ApiModelProperty(value = "是否阶梯(0否，1是)")
    private String sfjt;
    /**
     * 是否计量(0否, 1是)
     */
    @ApiModelProperty(value = "是否计量(0否, 1是)")
    private String sfjl;
    /**
     * 是否计费(0否 ，1是)
     */
    @ApiModelProperty(value = "是否计费(0否 ，1是)")
    private String sfjf;
    /**
     * 装表人员
     */
    @ApiModelProperty(value = "装表人员")
    private String zbry;
    /**
     * 水表表位（存编码)
     */
    @ApiModelProperty(value = "水表表位（存编码)")
    private String sbbw;
    /**
     * 是否用大户(0否，1是)
     */
    @ApiModelProperty(value = "是否用大户(0否，1是)")
    private String sfYsdh;
    /**
     * 抄表周期（存编码)
     */
    @ApiModelProperty(value = "抄表周期（存编码)")
    private String cbzq;
    /**
     * 应缴费日
     */
    @ApiModelProperty(value = "应缴费日")
    private String yjfr;
    /**
     * 性质类型(存编码)
     */
    @ApiModelProperty(value = "性质类型(存编码)")
    private String xzlx;
    /**
     * 是否单位客户(0否，1是)
     */
    @ApiModelProperty(value = "是否单位客户(0否，1是)")
    private String sfDwyh;
    /**
     * 是否开增值税(0否，1是)
     */
    @ApiModelProperty(value = "是否开增值税(0否，1是)")
    private String sfKzzs;
    /**
     * 开户日期
     */
    @ApiModelProperty(value = "开户日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date khrq;
    /**
     * 是否拖收客户(0否,1是)
     */
    @ApiModelProperty(value = "是否拖收客户(0否,1是)")
    private String sfTsyh;
    /**
     * 托收单位
     */
    @ApiModelProperty(value = "托收单位")
    private String tsdw;
    /**
     * 供水合同状态（0未签订，1已签订)
     */
    @ApiModelProperty(value = "供水合同状态（0未签订，1已签订)")
    private String gsHtzt;
    /**
     * 水表表号
     */
    @ApiModelProperty(value = "水表表号")
    private String sbbh;
    /**
     * 水表厂家（存编码）
     */
    @ApiModelProperty(value = "水表厂家（存编码）")
    private String sbmp;
    /**
     * 水表类型（存编码）机械表、远传表、IC卡表、物联网表
     */
    @ApiModelProperty(value = "水表类型（存编码）机械表、远传表、IC卡表、物联网表")
    private String sblx;
    /**
     * 水表底度
     */
    @ApiModelProperty(value = "水表底度")
    private Long sbdd;
    /**
     * 水表口径(存编码)
     */
    @ApiModelProperty(value = "水表口径(存编码)")
    private String sbkj;
    /**
     * 安装方式(存编码)
     */
    @ApiModelProperty(value = "安装方式(存编码)")
    private String azfs;
    /**
     * 安装日期
     */
    @ApiModelProperty(value = "安装日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date azrq;
    /**
     * 最后换表日期
     */
    @ApiModelProperty(value = "最后换表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zhHbrq;
    /**
     * 建档日期
     */
    @ApiModelProperty(value = "建档日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jdrq;
    /**
     * 最后修改日期
     */
    @ApiModelProperty(value = "最后修改日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zhXgrq;
    /**
     * 客户标识(0历史客户，1新增客户)
     */
    @ApiModelProperty(value = "客户标识(0历史客户，1新增客户)")
    private String yhbs;

}
