/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 热线交班管理表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RXJBGL_W", resultMap = "rxjbglMap")
@KeySequence("TF_YWPN_RXJBGL_W")
@ApiModel
public class Rxjbgl extends Model<Rxjbgl> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 交班编号
     */
    @ApiModelProperty(value = "交班编号")
    private String jbbh;
    /**
     * 文件ID
     */
    @ApiModelProperty(value = "文件ID")
    private String fileid;
//    @TableField(exist = false)
//    @ApiModelProperty(hidden = true)
//    private List<String> filePath;
    /**
     * 交班内容
     */
    @ApiModelProperty(value = "交班内容")
    private String jbnr;
    /**
     * 交接人员
     */
    @ApiModelProperty(value = "交接人员")
    private Long jjry;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String jjryName;
    /**
     * 交班时间
     */
    @ApiModelProperty(value = "交班时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jbsj;
    /**
     * 接班人员
     */
    @ApiModelProperty(value = "接班人员")
    private Long jbry;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String jbryName;
    /**
     * 接班描述
     */
    @ApiModelProperty(value = "接班描述")
    private String jbms;
    /**
     * 交接状态（0未交接，1已交接）
     */
    @ApiModelProperty(value = "交接状态（0未交接，1已交接，2:拒绝）")
    private String jjzt;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String jjztName;
    @ApiModelProperty(value = "未处理单号")
    private String jbgd;
    @ApiModelProperty(value = "电话通讯情况")
    private String jbtxqk;
    @ApiModelProperty(value = "重要事项")
    private String jbzysx;
    @ApiModelProperty(value = "办公环境")
    private String jbbghj;
    @ApiModelProperty(value = "是否管理人员；0：坐席人员；1：管理人员")
    private String ismaneger;
    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "交接班类型；0，服务热线，1,调度管理系统")
    private String jblx;



}
