/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 热线应急服务管理表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RXYJFW_W", resultMap = "rxyjfwMap")
@KeySequence("TF_YWPN_RXYJFW_W")
@ApiModel
public class Rxyjfw extends Model<Rxyjfw> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 应急编号
     */
    @ApiModelProperty(value = "应急编号")
    private String yjbh;
    /**
     * 应急项目
     */
    @ApiModelProperty(value = "应急项目")
    private String ywlx;
    /**
     * 应急标题
     */
    @ApiModelProperty(value = "应急标题")
    private String yjbt;
    /**
     * 应急来源（0人工，1系统）
     */
    @ApiModelProperty(value = "应急来源（0人工，1系统）")
    private String yjly;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String yjlyName;
    /**
     * 应急描述
     */
    @ApiModelProperty(value = "应急描述")
    private String yjms;
    /**
     * 文件ID
     */
    @ApiModelProperty(value = "文件ID")
    private String fileid;
    /**
     * 审核标志（0未审核，1审核），默认0
     */
    @ApiModelProperty(value = "审核标志（0未审核，1审核），默认0")
    private String shbz;

    @ApiModelProperty(hidden = true,value = "审核标志（0未审核，1审核），默认0")
    @TableField(exist = false)
    private String shbzName;


    /**
     * 审核人员
     */
    @ApiModelProperty(value = "审核人员")
    private Long shry;

    /**
     * 审核人员
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "审核人员姓名")
    private String shryName;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date shsj;
    /**
     * 审核意见
     */
    @ApiModelProperty(value = "审核意见")
    private String shyj;



    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<String> filePaths;

    /**
     * 是否发送短信（0否，1是）
     */
    @ApiModelProperty(value = "是否发送短信（0否，1是）,默认0")
    private String isSms;

    /**
     * 是否发送短信（0否，1是）
     */
    @ApiModelProperty(value = "是否发送短信（0否，1是）,默认0")
    @TableField(exist = false)
    private String isSmsName;

    /**
     * 短信接收对象（0客户，1员工）
     */
    @ApiModelProperty(value = "短信接收对象（0客户，1员工）")
    private String smsObject;

    /**
     * 短信接收对象（0客户，1员工）
     */
    @ApiModelProperty(value = "短信接收对象（0客户，1员工）")
    @TableField(exist = false)
    private String smsObjectName;


    /**
     * 审核结果（0不同意，1同意）
     */
    @ApiModelProperty(value = "审核结果（0不同意，1同意）")
    private String shjg;

    /**
     * 审核结果（0不同意，1同意）
     */
    @ApiModelProperty(value = "审核结果（0不同意，1同意）")
    @TableField(exist = false)
    private String shjgName;

    /**
     * 审核部门
     */
    @ApiModelProperty(value = "审核部门")
    private Long shbm;

    /**
     * 审核部门
     */
    @ApiModelProperty(value = "审核部门")
    @TableField(exist = false)
    private String shbmName;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remarks;


    /**
     * 是否审核；0不需要审核，1需要审核
     */
    @ApiModelProperty(value = "是否审核；0不需要审核，1需要审核")
    private String isReview;


    /**
     * 是否审核；不需要审核，需要审核
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "是否审核；0不需要审核，1需要审核")
    private String isReviewName;

}
