/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 监测站信息采集数据表：TF_YWPN_STATION_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_STATION_W",resultMap = "stationMap")
@KeySequence("TF_YWPN_STATION_W")
@ApiModel
public class Station extends Model<Station> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "$column.comments")
                private Long id;
                /**
     * 监测点编号
     */
            @ApiModelProperty(value = "监测点编号")
                private String sid;
                /**
     * 设备编号
     */
            @ApiModelProperty(value = "设备编号")
                private String facilityid;
                /**
     * 设备名称
     */
            @ApiModelProperty(value = "设备名称")
                private String name;
                /**
     * 监测类型
     */
            @ApiModelProperty(value = "监测类型")
                private String monitortype;
                /**
     * 生产厂家
     */
            @ApiModelProperty(value = "生产厂家")
                private String manufacturer;
                /**
     * 型号
     */
            @ApiModelProperty(value = "型号")
                private String modal;
                /**
     * 图幅号
     */
            @ApiModelProperty(value = "图幅号")
                private String distno;
                /**
     * 所属片区
     */
            @ApiModelProperty(value = "所属片区")
                private Long areano;
                /**
     * 埋深（m）
     */
            @ApiModelProperty(value = "埋深（m）")
                private Float depth;
                /**
     * X坐标
     */
            @ApiModelProperty(value = "X坐标")
                private Double x;
                /**
     * Y坐标
     */
            @ApiModelProperty(value = "Y坐标")
                private Double y;
                /**
     * 地面高程
     */
            @ApiModelProperty(value = "地面高程")
                private Double groundz;
                /**
     * 行政区
     */
            @ApiModelProperty(value = "行政区")
                private String district;
                /**
     * 所在道路
     */
            @ApiModelProperty(value = "所在道路")
                private String laneway;
                /**
     * 地址
     */
            @ApiModelProperty(value = "地址")
                private String address;
                /**
     * 勘测单位
     */
            @ApiModelProperty(value = "勘测单位")
                private String surveyunit;
                /**
     * 权属单位
     */
            @ApiModelProperty(value = "权属单位")
                private String ownerunit;
                /**
     * 管辖单位
     */
            @ApiModelProperty(value = "管辖单位")
                private String maintainedunit;
                /**
     * 勘测日期
     */
            @ApiModelProperty(value = "勘测日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date surveydate;
                /**
     * 入库日期
     */
            @ApiModelProperty(value = "入库日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date indate;
                /**
     * 安装日期
     */
            @ApiModelProperty(value = "安装日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date installdate;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 附件图片
     */
            @ApiModelProperty(value = "附件图片")
                private String fileIds;
            
}
