/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * 绩效考核管理
 *
 * @author JF
 * @date Fri Mar 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_KPI_MANAGE",resultMap = "tfKpiManageMap")
@KeySequence("TF_KPI_MANAGE")
@ApiModel
public class TfKpiManage extends Model<TfKpiManage> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
//    /**
//     * 审核标准ID
//     */
//        @ApiModelProperty(value = "审核标准ID")
//                private Long kpiStandardId;
    /**
     * 分区级别（1一级分区,2二级分区,3三级分区）
     */
    @ApiModelProperty(value = "分区级别（1一级分区,2二级分区,3三级分区）")
    private String areaLevel;
    /**
     * 分区级别（1一级分区,2二级分区,3三级分区）
     */
    @ApiModelProperty(value = "分区级别（1一级分区,2二级分区,3三级分区）")
    @TableField(exist = false)
    private String areaLevelName;
                /**
     * 考核人员
     */
            @ApiModelProperty(value = "考核人员")
            @TableField(condition = ToflySqlCondition.LIKE)
                private Long assessPerson;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String assessPersonName;
//    /**
//     * 考核岗位职责（1巡线人员,2处漏人员,3区域运维人员）
//     */
//    @ApiModelProperty(value = "考核岗位职责（1巡线人员,2处漏人员,3区域运维人员）")
//    private String assessDuty;
//    @ApiModelProperty(hidden = true)
//    @TableField(exist = false)
//    private String assessDutyName;
                /**
     * 考核时间
     */
            @ApiModelProperty(value = "考核时间")
                private String assessDate;
    /**
     * 考核情况（多选1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
     */
    @ApiModelProperty(value = "考核情况（多选1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
    @TableField(exist = false)
    private String assessSituation;
                /**
     * 考核区域
     */
            @ApiModelProperty(value = "考核区域")
                private String assessArea;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String assessAreaName;
    /**
     * 考核内容（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
     */
    @ApiModelProperty(value = "考核内容（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
    private String assessContent;
    /**
     * 考核内容转义（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
     */
    @ApiModelProperty(value = "考核内容转义（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
    @TableField(exist = false)
    private String assessContentName;
    /**
     * 考核标准（%）
     */
    @ApiModelProperty(value = "考核标准（%）")
    private String assessStandard;
    /**
     * 考核类型（1按季度,2按年度）
     */
    @ApiModelProperty(value = "考核类型（1按季度,2按年度）")
    private String assessType;
    /**
     * 考核类型转义（1按季度,2按年度）
     */
    @ApiModelProperty(value = "考核类型转义（1按季度,2按年度）")
    @TableField(exist = false)
    private String assessTypeName;
//                /**
//     * 考核标准信息
//     */
//            @ApiModelProperty(value = "考核标准信息")
//            @TableField(exist = false)
//                private TfKpiStandardManage tfKpiStandardManage;
                /**
     * 当前考核值
     */
            @ApiModelProperty(value = "当前考核值")
                private String currentKpiValue;
                /**
     * 考核状态（1已考核,2待考核）
     */
            @ApiModelProperty(value = "考核状态（1已考核,2待考核）")
                private String assessStatus;
                /**
     * 考核状态转义（1已考核,2待考核）
     */
            @ApiModelProperty(value = "考核状态转义（1已考核,2待考核）")
            @TableField(exist = false)
                private String assessStatusName;
                /**
     * 考核得分
     */
            @ApiModelProperty(value = "考核得分")
                private String assessScore;
    /**
     * 考核平均得分
     */
    @ApiModelProperty(value = "考核平均得分")
    @TableField(exist = false)
    private String assessAvgScore;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private String operateDate;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 是否合格（1不合格,2合格）
     */
            @ApiModelProperty(value = "是否合格（1不合格,2合格）")
                private String isQualify;
                /**
     * 是否合格转义（1不合格,2合格）
     */
            @ApiModelProperty(value = "是否合格转义（1不合格,2合格）")
            @TableField(exist = false)
                private String isQualifyName;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
            
}
