package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 绩效考核人员管理
 *
 * @author JF
 * @date
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_KPI_PERSON_MANAGE",resultMap = "tfKpiPersonManageMap")
@KeySequence("TF_KPI_PERSON_MANAGE")
@ApiModel
public class TfKpiPersonManage extends Model<TfKpiPersonManage> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 分区级别（1一级分区,2二级分区,3三级分区）
     */
    @ApiModelProperty(value = "分区级别（1一级分区,2二级分区,3三级分区）")
    @TableField(exist = false)
    private String areaLevel;
    /**
     * 考核人员
     */
    @ApiModelProperty(value = "考核人员")
    @NotNull
    @TableField(condition = ToflySqlCondition.LIKE)
    private Long assessPerson;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String assessPersonName;
    /**
     * 考核岗位职责（1巡线人员,2处漏人员,3区域运维人员）
     */
    @ApiModelProperty(value = "考核岗位职责（1巡线人员,2处漏人员,3区域运维人员）")
    @NotNull
    private String assessDuty;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String assessDutyName;
    /**
     * 考核区域
     */
    @ApiModelProperty(value = "考核区域")
    @NotNull
    private String assessArea;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String assessAreaName;
    /**
     * 考核内容（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
     */
    @ApiModelProperty(value = "考核内容（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
    @NotNull
    private String assessContent;
    /**
     * 考核内容转义（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
     */
    @ApiModelProperty(value = "考核内容转义（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
    @TableField(exist = false)
    private String assessContentName;
    /**
     * 考核标准（%）
     */
    @ApiModelProperty(value = "考核标准（%）")
    @NotNull
    private String assessStandard;
    /**
     * 考核类型（1按季度,2按年度）
     */
    @ApiModelProperty(value = "考核类型（1按季度,2按年度）")
    @NotNull
    private String assessType;
    /**
     * 考核类型转义（1按季度,2按年度）
     */
    @ApiModelProperty(value = "考核类型转义（1按季度,2按年度）")
    @TableField(exist = false)
    private String assessTypeName;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;

}
