/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 漏损率分析记录表
 *
 * @author JF
 * @date Fri May 27 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_LEAK_ANALYSE",resultMap = "tfLeakAnalyseMap")
@KeySequence("TF_LEAK_ANALYSE")
@ApiModel
public class TfLeakAnalyse extends Model<TfLeakAnalyse> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 分区ID
     */
            @ApiModelProperty(value = "分区ID")
                private Long dmaId;
    /**
     * 分区名称
     */
    @ApiModelProperty(value = "分区名称")
    private String dmaName;
    /**
     * 分区级别
     */
    @ApiModelProperty(value = "分区级别")
    private Integer dmaLevel;
                /**
     * 统计时间(月份)
     */
            @ApiModelProperty(value = "统计时间(月份)")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date statisticalDate;
                /**
     * 漏损率上限
     */
            @ApiModelProperty(value = "漏损率上限")
                private Float leakUp;
                /**
     * 漏损率下限
     */
            @ApiModelProperty(value = "漏损率下限")
                private Float leakDown;
                /**
     * 状态（0异常;1正常）
     */
            @ApiModelProperty(value = "状态（0异常;1正常）")
                private String status;
            
}
