/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 信息资讯推送管理
 *
 * @author JF
 * @date Sun Jul 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_MSG_PUSH_MANAGE", resultMap = "tfMsgPushManageMap")
@KeySequence("TF_MSG_PUSH_MANAGE")
@ApiModel
public class TfMsgPushManage extends Model<TfMsgPushManage> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 推送内容
     */
    @ApiModelProperty(value = "推送内容")
    @NotNull
    private String content;
    /**
     * 内容类型（1天气;2保健护理;3疾病防护）
     */
    @ApiModelProperty(value = "内容类型（1天气;2保健护理;3疾病防护）")
    @NotNull
    private String contentType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String contentTypeName;
    /**
     * 内容编辑人员
     */
    @ApiModelProperty(value = "内容编辑人员")
    private Long editPerson;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String editPersonName;
    /**
     * 消息类型（1语音;2短信）
     */
    @ApiModelProperty(value = "消息类型（1语音;2短信）")
    @NotNull
    private String msgType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String msgTypeName;
    /**
     * 是否立即发送（0否;1是）
     */
    @ApiModelProperty(value = "是否立即发送（0否;1是）")
    @NotNull
    private String isSendNow;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isSendNowName;
    /**
     * 发送状态（0未发送;1已发送）
     */
    @ApiModelProperty(value = "发送状态（0未发送;1已发送）")
    private String sendStatus;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sendStatusName;
    /**
     * 发送时间
     */
    @ApiModelProperty(value = "发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;

    /**
     * 发送人员信息列表
     */
    @TableField(exist = false)
    private List<TfMsgPersonManage> msgPersonManages;

    @TableField(exist = false)
    private String startDate;

    @TableField(exist = false)
    private String endDate;

}
