/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 水厂信息表
 *
 * @author admin
 * @date Fri Mar 11 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_WATER_INFO", resultMap = "tfWaterInfoMap")
@KeySequence("TF_WATER_INFO")
@ApiModel
public class TfWaterInfo extends Model<TfWaterInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String name;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String address;
    /**
     * 建设单位
     */
    @ApiModelProperty(value = "建设单位")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String constructionUnit;
    /**
     * 建设时间
     */
    @ApiModelProperty(value = "建设时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date constructionTime;
    /**
     * 占地面积（㎡）
     */
    @ApiModelProperty(value = "占地面积（㎡）")
    private Double areaCovered;
    /**
     * 水源
     */
    @ApiModelProperty(value = "水源")
    private String waterSource;
    /**
     * 投产时间
     */
    @ApiModelProperty(value = "投产时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date blowInTime;
    /**
     * 设计处理能力（m³）
     */
    @ApiModelProperty(value = "设计处理能力（m³）")
    private Double designProcessingCapacity;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    @TableField("`describe`")
    private String describe;
    @ApiModelProperty(value = "名称/地址模糊查询")
    @TableField(exist = false)
    private String likeStr;

}
