/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 视频监控信息表
 *
 * @author admin
 * @date Fri Apr 02 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_VIDEOCONFIG_B", resultMap = "videoconfigMap")
@KeySequence("TF_YWPN_VIDEOCONFIG_B")
@ApiModel
public class Videoconfig extends Model<Videoconfig> {
    private static final long serialVersionUID = 1L;


    /**
     * 自增长
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "自增长")
    private Long id;

    /**
     * 分区分类名称
     */

    @ApiModelProperty(value = "分区分类名称")
    private String groupName;

    /**
     * 安装位置描述
     */
    @ApiModelProperty(value = "安装位置描述")
    private String address;
    /**
     * 经度，单位：°
     */
    @ApiModelProperty(value = "经度，单位：°")
    private Double lgtd;
    /**
     * 纬度，单位：°
     */
    @ApiModelProperty(value = "纬度，单位：°")
    private Double lttd;
    /**
     * 是否在大屏展示中显示，0否、1是
     */
    @ApiModelProperty(value = "是否在大屏展示中显示，0否、1是")
    private String isshow;
    /**
     * 接入视频流地址
     */
    @ApiModelProperty(value = "接入视频流地址")
    private String ip;
    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 服务器创建时间
     */
    @ApiModelProperty(value = "服务器创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    private String port;

    private String cuser;

    private String password;

}
