/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 报警实时信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_WARN_W", resultMap = "warnMap")
@KeySequence("TF_YWPN_WARN_W")
@ApiModel
public class Warn extends Model<Warn> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增长")
    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;
    /**
     * 指标编号
     */
    @ApiModelProperty(value = "指标编号")
    private String itcd;
    /**
     * 报警类型，如压力报警
     */
    @ApiModelProperty(value = "报警类型，如压力报警")
    private String warnType;

    @TableField(exist = false)
    private String warnTypeName;
    /**
     * 是否可定位,0否、1是
     */
    @ApiModelProperty(value = "是否可定位,0否、1是")
    private String isloc;
    /**
     * 报警内容
     */
    @ApiModelProperty(value = "报警内容")
    private String notes;
    /**
     * 报警位置
     */
    @ApiModelProperty(value = "报警位置")
    private String address;
    /**
     * 连续报警累计时长，单位：分钟
     */
    @ApiModelProperty(value = "连续报警累计时长，单位：分钟")
    private BigDecimal duration;
    /**
     * 连续报警次数
     */
    @ApiModelProperty(value = "连续报警次数")
    private Integer num;
    /**
     * 是否确认，0待确认，1已确认
     */
    @ApiModelProperty(value = "是否确认，0待确认，1已确认")
    private String isconfirm;
    /**
     * 是否消除，0未消除，1已消除
     */
    @ApiModelProperty(value = "是否消除，0未消除，1已消除")
    private String isclear;
    /**
     * 确认时间
     */
    @ApiModelProperty(value = "确认时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date confirmTime;
    /**
     * 确认人ID
     */
    @ApiModelProperty(value = "确认人ID")
    private Long confirmUser;
    @TableField(exist = false)
    private String confirmUserName;
    /**
     * SCADA监测时间
     */
    @ApiModelProperty(value = "SCADA监测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date scadaTime;
    /**
     * 服务器创建时间
     */
    @ApiModelProperty(value = "服务器创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
