package com.tofly.xrtygis.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 分析请求对象
 */
@Data
public class AnalyzeDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "统计结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "处漏人员")
    private Long leakUser;

    @ApiModelProperty(value = "处漏人员,多个以,分隔")
    private String leakUsers;

    @ApiModelProperty(value = "客户编码")
    private String userCode;

    @ApiModelProperty(value = "水表编号")
    private String waterMeterCode;

}
