package com.tofly.xrtygis.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 处漏效率指标分析返回对象
 */
@Data
public class LeakageAnalysisVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "漏点名称")
    private String leakName;

    @ApiModelProperty(value = "漏点地址")
    private String address;

    @ApiModelProperty(value = "处漏前预估漏损水量")
    private BigDecimal loss;

    @ApiModelProperty(value = "发现时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date findTime;

    @ApiModelProperty(value = "处置完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date overTime;

    @ApiModelProperty(value = "出漏人员")
    private Long leakUser;

    @ApiModelProperty(value = "处漏效率")
    private BigDecimal leakageRate;

    @ApiModelProperty(value = "处漏用时(h)")
    private BigDecimal differenceTimes;

}
