package com.tofly.xrtygis.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.xrtygis.entity.TfMsgPushManage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
public class TfMsgPersonManageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 推送内容管理表ID
     */
    @ApiModelProperty(value = "推送内容管理表ID")
    private Long id;

    /**
     * 推送人员管理表ID
     */
    @ApiModelProperty(value = "推送人员管理表ID")
    private Long msgPersonId;

    /**
     * 推送内容
     */
    @ApiModelProperty(value = "推送内容")
    private String content;
    /**
     * 内容类型（1天气;2保健护理;3疾病防护）
     */
    @ApiModelProperty(value = "内容类型（1天气;2保健护理;3疾病防护）")
    private String contentType;
    private String contentTypeName;
    /**
     * 内容编辑人员
     */
    @ApiModelProperty(value = "内容编辑人员")
    private Long editPerson;
    /**
     * 消息类型（1语音;2短信）
     */
    @ApiModelProperty(value = "消息类型（1语音;2短信）")
    private String msgType;
    private String msgTypeName;
    /**
     * 是否立即发送（0否;1是）
     */
    @ApiModelProperty(value = "是否立即发送（0否;1是）")
    private String isSendNow;
    private String isSendNowName;
    /**
     * 发送状态（0未发送;1已发送）
     */
    @ApiModelProperty(value = "发送状态（0未发送;1已发送）")
    private String sendStatus;
    private String sendStatusName;
    /**
     * 发送时间
     */
    @ApiModelProperty(value = "发送时间")
    private Date sendTime;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    private String userName;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;
}
