package com.tofly.xrtygis.entity.vo.hwm.site;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel
public class Logger extends Model<Logger> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ApiModelProperty(value = "SMS编码")
    private String mobileNumber;
    @ApiModelProperty(value = "型号")
    private String type;
    @ApiModelProperty(value = "站点id")
    private String siteId;
    @ApiModelProperty(value = "站点地址")
    private String siteName;
    @ApiModelProperty(value = "站点创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dateCreated;
    @ApiModelProperty(value = "站点修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dateUpdated;
    @ApiModelProperty(value = "站点说明")
    private String notes;
    @ApiModelProperty(value = "站点设备经度")
    private Double latitude;
    @ApiModelProperty(value = "站点设备维度")
    private Double longitude;
//    @ApiModelProperty(value = "设备是否在维护") 人为判断当前状态
//    private Boolean maintenanceFlag;
//    @ApiModelProperty(value = "是否发送泄露  ‘Leak’, ‘No Leak’ or blank") 通过记录仪通道判断是否泄露
//    private String leakState;
    @ApiModelProperty(value = "设备id")
    private String loggerId;
    @ApiModelProperty(value = "记录仪指标通道列表")
    private Channels channels;

}
