package com.tofly.xrtygis.handle.statistical;

import com.tofly.xrtygis.custom.util.DateTimeUtil;
import com.tofly.xrtygis.service.DmanightflowService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.Date;

@Component
@Slf4j
public class NightFlowStatisticalHandler {
    @Autowired
    private DmanightflowService dmanightflowService;

    /**
     * 每日计算夜间最小流量统计(报警)
     * @param param
     * @return
     */
    @XxlJob("nightMinimumFlowAnalysis")
    public ReturnT<String> nightMinimumFlowAnalysis(String param) {
        long l = System.currentTimeMillis();
        LocalDateTime todayBeginTime = DateTimeUtil.getTodayBeginTime();
        Date date = DateTimeUtil.convertLDTToDate(todayBeginTime);
        log.info("开始每日计算夜间最小流量数据统计,日期{}",date);
        dmanightflowService.nightMinimumFlowAnalysis(date);
        long l1 = System.currentTimeMillis();
        log.info("结束每日计算夜间最小流量数据统计,用时{}mm",l1-l);
        return ReturnT.SUCCESS;
    }
}
