/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.message.Messagepush;
import com.tofly.pojo.message.Messagerecipient;
import com.tofly.pojo.message.Usertask;
import com.tofly.xrtygis.entity.AbnormalWaterUse;
import org.apache.ibatis.annotations.Param;


import javax.xml.crypto.Data;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 分析用户用水量记录表
 *
 * @author admin
 * @date Thu Jul 28 00:00:00 CST 2022
 */
public interface AbnormalWaterUseMapper extends BaseMapper<AbnormalWaterUse> {

    /**
     * 获取当前天数 前七天数据对比 用户用水情况列表
     * @param monthDay
     * @param startTime
     * @param endTime
     * @return
     */
    List<AbnormalWaterUse> getAbnormalWaterUserList(@Param("monthDay")String monthDay, @Param("startTime")Date startTime,@Param("endTime")Date endTime);

    /**
     * 根据用户编号,起止时间获取对应用户抄表明细列表
     * @param startTime
     * @param endTime
     * @param yhbh
     * @return
     */
    List<Map> getUserMeterReading(@Param("startTime")Date startTime,@Param("endTime")Date endTime,@Param("yhbh") String yhbh);

    /**
     * 分页查询
     * @param startTime
     * @param endTime
     * @param likeStr
     * @return
     */
    Page<Map> getAbnormalWaterUserPage(Page page,@Param("startTime")Date startTime,@Param("endTime")Date endTime,@Param("state")String state,@Param("likeStr")String likeStr);

    // 获取对应表的自增长
    Long getPlanTempMaxId(@Param("tableName") String tableName);

    void addMessageList(@Param("list")List<Messagepush> list );

    void addMessageRecipientList(@Param("list")List<Messagerecipient> list);

    void addUserTaskList(@Param("list")List<Usertask> list);
}
