/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.Dmatable;
import com.tofly.xrtygis.entity.dto.DmaTableDto;
import com.tofly.xrtygis.entity.vo.DmatableVo;
import com.tofly.xrtygis.entity.vo.UserWaterMeterAnalyzeVo;
import com.tofly.xrtygis.entity.vo.UserWaterMeterInfoVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 区域表管理信息表：TF_YWPN_DMATABLE_W
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
public interface DmatableMapper extends BaseMapper<Dmatable> {
    Page<Dmatable> getDmatablePage(Page page, @Param("dmaTableDto") DmaTableDto dmaTableDto);
    List<Dmatable> getDmatablePage(@Param("dmaTableDto") DmaTableDto dmaTableDto);

    /**
     * 获取分页的用户水表管理信息
     * @param page
     * @param likeStr
     * @return
     */
    Page<UserWaterMeterInfoVo> getUserWaterMeterInfoVoPage(Page page, @Param("likeStr") String likeStr);

    List<UserWaterMeterInfoVo> getUserWaterMeterInfoVoPage(@Param("likeStr") String likeStr);

    /**
     * 获取用户用水量分析信息
     * @param userCode
     * @param waterMeterCode
     * @param startTime
     * @param endTime
     * @return
     */
    List<UserWaterMeterAnalyzeVo>  getUserWaterMeterAnalyze( @Param("userCode") String userCode, @Param("waterMeterCode") String waterMeterCode,@Param("startTime")Date startTime, @Param("endTime") Date endTime);
}


