/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.AbnormalWaterUse;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 分析用户用水量记录表
 *
 * @author admin
 * @date Thu Jul 28 00:00:00 CST 2022
 */
public interface AbnormalWaterUseService extends IService<AbnormalWaterUse> {

    /**
     * 处理指定日期的用户水量分析
     *
     * @return
     */
    boolean send(List<Date> dateList);

    /**
     * 分页查询
     *
     * @param page      分页条件
     * @param startTime 抄表开始时间
     * @param endTime   抄表结束时间
     * @param state     异常状态
     * @param likeStr   模糊查询字段(用户编号/姓名/地址/联系电话)
     * @return
     */
    Page<Map> getAbnormalWaterUserPage(Page page, Date startTime, Date endTime, String state, String likeStr);

    /**
     * 根据用户编号,起止时间获取对应用户抄表明细列表
     * @param dto
     * @return
     */
    List<Map> getUserMeterReading(AbnormalWaterUse dto);
}
