package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.dto.AnalyzeDto;
import com.tofly.xrtygis.entity.vo.LeakageAnalysisViewVo;
import com.tofly.xrtygis.entity.vo.LeakageAnalysisVo;
import com.tofly.xrtygis.entity.vo.LinePatrolCompletionRateVo;
import com.tofly.xrtygis.entity.vo.ScadaStatisticsAppVo;

import java.util.List;

public interface AnalyzeService {
    /**
     * 获取处漏效率指标分析
     * @param page
     * @param dto
     * @return
     */
    Page<LeakageAnalysisVo> getLeakageAnalysis(Page page, AnalyzeDto dto);

    /**
     * 获取处漏效率指标图形分析
     * @param dto
     * @return
     */
    List<LeakageAnalysisViewVo> getLeakageAnalysisView(AnalyzeDto dto);

    /**
     * 获取巡线完成率分析
     * @param dto
     * @return
     */
    Page<LinePatrolCompletionRateVo> getLinePatrolCompletionRateVo(Page page,AnalyzeDto dto);

    /**
     * 获取巡线效率指标分析
     * @param dto
     * @return
     */
    Page<LinePatrolCompletionRateVo> getLineEfficiencyIndicator(Page page,AnalyzeDto dto);

    /**
     * scada总览 app
     * @return
     */
    ScadaStatisticsAppVo getScadaStatisticsApp();
}
