/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.callCenter.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.tofly.xrtygis.entity.callCenter.CallSearch;
import com.tofly.xrtygis.entity.callCenter.PltCalllist1000;
import com.tofly.xrtygis.entity.callCenter.ServiceList1000;
import com.tofly.xrtygis.callCenterMapper.ServiceList1000Mapper;
import com.tofly.xrtygis.service.callCenter.service.ServiceList1000Service;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 转接记录表1、保存呼入的转接全过程2、保存呼出的转接全过程3、预拨号数据不记录
 *
 * @author wangjieliu
 * @date Fri Jun 18 00:00:00 CST 2021
 */
@Service("serviceList1000Service")
public class ServiceList1000ServiceImpl extends ServiceImpl<ServiceList1000Mapper, ServiceList1000> implements ServiceList1000Service {

    @Override
    public IPage<ServiceList1000> getServicelist(Page page, CallSearch search) {
        List<Long> transferResultList = new ArrayList<>();
        if (search.getTransferResult() != null && search.getTransferResult() == 1) {
            transferResultList.add(1L);
        } else if (search.getTransferResult() != null && search.getTransferResult() == 3) {
            transferResultList.add(2L);
            transferResultList.add(3L);
            transferResultList.add(4L);
            transferResultList.add(5L);
            transferResultList.add(6L);
            transferResultList.add(7L);
            transferResultList.add(8L);
            transferResultList.add(9L);
        }
        return this.page(page, Wrappers.<ServiceList1000>lambdaQuery()
                .eq(StringUtils.isNotBlank(search.getTransferNo()),ServiceList1000::getTransferNo,search.getTransferNo())
                .ge(search.getStartTime() != null,ServiceList1000::getCallTime,search.getStartTime())
                .le(search.getEndTime() != null,ServiceList1000::getCallTime,search.getEndTime())
                .like(StringUtils.isNotBlank(search.getTelephone()),ServiceList1000::getTelephone,search.getTelephone())
                .in(CollUtil.isNotEmpty(transferResultList),ServiceList1000::getTransferResult,transferResultList));
    }

}
