/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.es;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * ES存储信息
 *
 * @author admin
 * @date Sat Apr 17 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_ESSINFO_E", resultMap = "esInfoMap")
@KeySequence("TF_YWPN_ESSINFO_E")
@ApiModel
public class EsInfo extends Model<EsInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * es存储的索引
     */
    @ApiModelProperty(value = "es存储的索引")
    @TableField(value = "ESINDEX")
    private String esIndex;
    /**
     * 首次存储时间
     */
    @ApiModelProperty(value = "首次存储时间")
    @TableField(value = "FRISTTIME")
    private String fristTime;
    /**
     * 首次存储时间
     */
    @ApiModelProperty(value = "首次存储时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;

}
