/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.build.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 工地监护结束记录表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class BulidclearVo extends Model<BulidclearVo> {
    private static final long serialVersionUID = 1L;

    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    /**
     * 0：未审核；1：通过；2：未通过
     */
    @ApiModelProperty(value = "0：未审核；1：通过；2：未通过")
    private String auditResult;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    /**
     * 审核意见,备注
     */
    @ApiModelProperty(value = "审核意见,备注")
    private String auditNotes;
    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 工地id，关联表TF_YWPN_BUILD_W主键
     */
    @ApiModelProperty(value = "工地id，关联表TF_YWPN_BUILD_W主键")
    private Long buildId;
    /**
     * 工地现场情况说明
     */
    @ApiModelProperty(value = "工地现场情况说明")
    private String notes;
    /**
     * 结束监护附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "结束监护附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String clearFileids;
    /**
     * 是否读取，0未读，1已读
     */
    @ApiModelProperty(value = "是否读取，0未读，1已读")
    private String isread;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String isSubmit;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;

    /**
     * 审核人名称
     */
    @ApiModelProperty(value = "审核人名称")
    private String auditUserName;
    /**
     * 上报人名称
     */
    @ApiModelProperty(value = "上报人名称")
    private String submitUserName;

    /**
     * 文件路径列表
     */
    @ApiModelProperty(value = "文件路径列表")
    List<String> filePathList;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 施工单位名称
     */
    @ApiModelProperty(value = "施工单位名称")
    private String sgdw;
    /**
     * 施工负责人
     */
    @ApiModelProperty(value = "施工负责人")
    private String gdfzr;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;
    /**
     * 工地类型ID，关联表TF_YWPN_BUILDTYPE_D
     */
    @ApiModelProperty(value = "工地类型ID，关联表TF_YWPN_BUILDTYPE_D")
    private Long typeId;

    @ApiModelProperty(value = "工地类型名称")
    private String typeName;
}
