package com.tofly.pojo.build.vo.detail;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 工地信息
 * @author BZ-DJJ
 */
@Data
@ApiModel
public class BuildRecordVo extends Model<BuildRecordVo> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "所属片区编码")
    private String regionId;

    @ApiModelProperty(value = "片区名称")
    private String regionName;

    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;

    @ApiModelProperty(value = "工地类型ID，关联表TF_YWPN_BUILDTYPE_D")
    private Long typeId;

    @ApiModelProperty(value = "工地类型名称")
    private Long typeName;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "上报位置经度")
    private Double lgtd;

    @ApiModelProperty(value = "上报位置纬度")
    private Double lttd;

    @ApiModelProperty(value = "施工单位名称")
    private String sgdw;

    @ApiModelProperty(value = "施工负责人")
    private String gdfzr;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "工地现场附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;

    @ApiModelProperty(value = "文件路径列表")
    List<String> filePathList;
}
