/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.comm.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 审批表
 *
 * @author zev
 * @date Fri May 21 00:00:00 CST 2021
 */
@Data
@ApiModel
public class AuditDto extends Model<AuditDto> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 审批类型
     */
    @ApiModelProperty(value = "审批类型")
    private String auditType;
    /**
     * 当前审批计划id
     */
    @ApiModelProperty(value = "当前审批计划id")
    private Long auditPlanId;
    /**
     * 审批状态(0未审核,1通过,2未通过,3不可审批)
     */
    @ApiModelProperty(value = "审批状态(0未审核,1通过,2未通过,3不可审批)")
    private String auditState;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 审核意见
     */
    @ApiModelProperty(value = "审核意见")
    private String auditNote;
    /**
     * 审核人ID
     */
    @ApiModelProperty(value = "审核人ID")
    private Long auditUser;
    /**
     * 审批级别
     */
    @ApiModelProperty(value = "审批级别")
    private Integer auditLevel;

}
