/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.emergency;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.concurrent.locks.Condition;
import java.util.stream.Collectors;


/**
 * 事件类型配置表
 *
 * @author admin
 * @date Tue Feb 22 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_EMERGENCY_TYPE_W", resultMap = "emergencyTypeMap")
@KeySequence("TF_YWPN_EMERGENCY_TYPE_W")
@ApiModel
public class EmergencyType extends Model<EmergencyType> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 事件类型名称
     */
    @ApiModelProperty(value = "事件类型名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String name;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String note;

    @ApiModelProperty(value = "是否无效(0无效1有效)")
    private String flag;

}
