/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 热线/业务工单驳回抢维修记录
 *
 * @author admin
 * @date Thu Dec 02 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_REPAIRREJECT_W", resultMap = "repairrejectMap")
@KeySequence("TF_YWPN_REPAIRREJECT_W")
@ApiModel
public class Repairreject extends Model<Repairreject> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 抢维修id
     */
    @ApiModelProperty(value = "抢维修id")
    private Long repairId;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private String rejectNote;
    /**
     * 驳回时间
     */
    @ApiModelProperty(value = "驳回时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rejectTime;

    @TableField(exist = false)
    private String rejectTimeStr;
    /**
     * 驳回人id
     */
    @ApiModelProperty(value = "驳回人id")
    private Long rejectUserId;
    @TableField(exist = false)
    private String rejectUserIdName;

}
