/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 巡检周期配置信息表：TF_YWPN_PERIOD_D
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PERIOD_D", resultMap = "periodDMap")
@KeySequence("TF_YWPN_PERIOD_D")
@ApiModel
public class Period extends Model<Period> {
    private static final long serialVersionUID = 1L;

    /**
     * 巡检周期ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "巡检周期ID")
    private Long id;
    /**
     * 巡检周期名称；一天一检；一周一检；一月一检等
     */
    @ApiModelProperty(value = "巡检周期名称；一天一检；一周一检；一月一检等")
    private String periodName;
    /**
     * 间隔天数；对应上面的名称：1、7、30（天）
     */
    @ApiModelProperty(value = "间隔天数；对应上面的名称：1、7、30（天）")
    private Integer intervalDay;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String description;

}
