/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 巡检计划作废信息表
 *
 * @author admin
 * @date Mon Mar 29 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PLANCANCLE_W", resultMap = "plancancleMap")
@KeySequence("TF_YWPN_PLANCANCLE_W")
@ApiModel
public class Plancancle extends Model<Plancancle> {
    private static final long serialVersionUID = 1L;

    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String isSubmit;

    @TableField(exist = false)
    private String isSubmitName;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    @TableField(exist = false)
    private String submitUserName;
    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 申请人ID
     */
    @ApiModelProperty(value = "申请人ID")
    private Long applyUser;
    /**
     * 主计划ID
     */
    @ApiModelProperty(value = "主计划ID")
    private Long planId;
    /**
     * 申请说明
     */
    @ApiModelProperty(value = "申请说明")
    private String applyNotes;
    /**
     * 是否接收查看；0：未读；1：已读
     */
    @ApiModelProperty(value = "是否接收查看；0：未读；1：已读")
    private String isread;
    /**
     * 审核状态：1未审核、2同意、0不同意
     */
    @ApiModelProperty(value = "审核状态：0未审批、1已通过、2未通过")
    private String auditResult;

    @TableField(exist = false)
    private String auditResultName;
    /**
     * 审核说明
     */
    @ApiModelProperty(value = "审核说明")
    private String auditNotes;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    @TableField(exist = false)
    private String auditUserName;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
