/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 巡检线信息表：TF_YWPN_PLANPATH_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PLANPATH_W", resultMap = "planpathMap")
@KeySequence("TF_YWPN_PLANPATH_W")
@ApiModel
public class Planpath extends Model<Planpath> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 巡检线名称
     */
    @ApiModelProperty(value = "巡检线名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String name;
    /**
     * 巡检片区编码
     */
    @ApiModelProperty(value = "巡检片区编码")
    private String regionId;

    /**
     * 片区名称
     */
    @ApiModelProperty(value = "片区名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String regionName;

    /**
     * 巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键
     */
    @ApiModelProperty(value = "巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键")
    private Long inspectType;
    /**
     * 几何图形JSON字符串
     */
    @ApiModelProperty(value = "几何图形JSON字符串")
    private String geometry;
    /**
     * 长度，单位：M
     */
    @ApiModelProperty(value = "长度，单位：M")
    private Double length;
    /**
     * 巡检线备注
     */
    @ApiModelProperty(value = "巡检线备注")
    private String note;
    /**
     * 是否被占用 0 占用 1未占用
     */
    @ApiModelProperty(value = "是否被占用 0未占用 1占用 ")
    private String isUse;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
