/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.context.annotation.Conditional;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 巡检点信息表：TF_YWPN_PLANPOINT_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PLANPOINT_W", resultMap = "planpointMap")
@KeySequence("TF_YWPN_PLANPOINT_W")
@ApiModel
public class Planpoint extends Model<Planpoint> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 巡检点名称
     */
    @ApiModelProperty(value = "巡检点名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String name;
    /**
     * 巡检点片区编码
     */
    @ApiModelProperty(value = "巡检点片区编码")
    private String regionId;

    /**
     * 片区名称
     */
    @ApiModelProperty(value = "片区名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String regionName;
    /**
     * 巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键
     */
    @ApiModelProperty(value = "巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键")
    private Long inspectType;
    /**
     * 巡检点几何坐标
     */
    @ApiModelProperty(value = "巡检点几何坐标")
    private String geometry;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private BigDecimal lat;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private BigDecimal lng;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 是否被占用 0 占用 1未占用
     */
    @ApiModelProperty(value = "是否被占用 0 占用 1未占用")
    private String isUse;

}
