/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 阀门井信息表
 *
 * @author admin
 * @date Wed Mar 29 00:00:00 GMT+08:00 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_VALVEWELL_W", resultMap = "valvewellMap")
@KeySequence("TF_YWPN_VALVEWELL_W")
@ApiModel
public class Valvewell extends Model<Valvewell> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String notes;
    /**
     * 上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割
     */
    @ApiModelProperty(value = "上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
    private String fileIds;
    /**
     * 子计划ID，关联表TF_YWPN_PLANCHILD_W主键值
     */
    @ApiModelProperty(value = "子计划ID，关联表TF_YWPN_PLANCHILD_W主键值")
    private Long planChildid;
    /**
     * 片区
     */
    @ApiModelProperty(value = "片区")
    private String regionCode;

    /**
     * 片区
     */
    @ApiModelProperty(value = "设备ID")
    private String sid;
}
