/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 巡查过程记录表：TF_YWPN_RECORD_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RecordDto extends Model<RecordDto> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 上报位置经度
     */
    @ApiModelProperty(value = "上报位置经度")
    private Double xAddr;
    /**
     * 子计划ID，关联表TF_YWPN_PLANCHILD_W主键值
     */
    @ApiModelProperty(value = "子计划ID，关联表TF_YWPN_PLANCHILD_W主键值")
    private Long planChildid;
    /**
     * 上报位置维度
     */
    @ApiModelProperty(value = "上报位置维度")
    private Double yAddr;
    /**
     * 定位网络(gps 1,基站2,wifi 3)
     */
    @ApiModelProperty(value = "定位网络(gps 1,基站2,wifi 3)")
    private String network;
    /**
     * 地址描述
     */
    @ApiModelProperty(value = "地址描述")
    private String address;
    /**
     * 情况说明
     */
    @ApiModelProperty(value = "情况说明")
    private String note;
    /**
     * 上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割
     */
    @ApiModelProperty(value = "上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
    private String fileIds;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
