/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 上下班签到瞬时信息表：TF_YWPN_PDASIGN_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PdasignVo extends Model<PdasignVo> {
    private static final long serialVersionUID = 1L;

    /**
     * 考勤签到ID
     */
    @ApiModelProperty(value = "考勤签到ID")
    private Long id;
    /**
     * 签到用户ID
     */
    @ApiModelProperty(value = "签到用户ID")
    private Long signUser;
    @ApiModelProperty(value = "签到用户名称")
    private String signUserName;
    /**
     * 签到设备ID
     */
    @ApiModelProperty(value = "签到设备ID")
    private Long pdaid;
    /**
     * 签到地点
     */
    @ApiModelProperty(value = "签到地点")
    private String signAddress;
    /**
     * 签到类型；1：上班 2：下班
     */
    @ApiModelProperty(value = "签到类型；0:未签到 1：上班 2：下班")
    private String signType;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lng;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lat;
    /**
     * 签到备注
     */
    @ApiModelProperty(value = "签到备注")
    private String note;
    /**
     * 签到标识；0:gps获取 1：手动获取
     */
    @ApiModelProperty(value = "签到标识；0:gps获取 1：手动获取")
    private String flag;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 签到分段数
     */
    @ApiModelProperty(value = "签到分段数")
    private Long section;
    /**
     * 签到时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "签到时间")
    private Date signTime;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "上报隐患数量")
    private Long troubleNum;

    @ApiModelProperty(value = "上报工地数量")
    private Long buildNum;

    @ApiModelProperty(value = "总任务工单数量")
    private Long totalOrderNum;

    @ApiModelProperty(value = "完成工单数量")
    private Long completeOrderNum;

}
