/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.vo;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 巡检年度计划明细信息表：TF_YWPN_PLANYEARDETAIL_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PlanyeardetailVo extends Model<PlanyeardetailVo> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 年度记录ID，关联TF_YWPN_PLANYEAR_W主键
     */
    @ApiModelProperty(value = "年度记录ID，关联TF_YWPN_PLANYEAR_W主键")
    private Long yearId;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;
    /**
     * 月份
     */
    @ApiModelProperty(value = "月份")
    private String month;
    /**
     * 计划内容
     */
    @ApiModelProperty(value = "计划内容")
    private String planContent;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

    @ApiModelProperty(value = "年计划审批状态 0待审批 1审批通过 2审批拒绝 3不可审批")
    private String planYearState;

    @ApiModelProperty(value = "巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键")
    private Long inspectTypeId;

    private String inspectTypeName;
}
