
package com.tofly.pojo.plan.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.comm.File;
import com.tofly.pojo.plan.Valvewelldetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 巡检年度计划记录信息表：TF_YWPN_VALVEWELL_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class ValvewellVo extends Model<ValvewellVo> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String notes;
    /**
     * 上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割
     */
    @ApiModelProperty(value = "上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
    private String fileIds;
    /**
     * 子计划ID，关联表TF_YWPN_PLANCHILD_W主键值
     */
    @ApiModelProperty(value = "子计划ID，关联表TF_YWPN_PLANCHILD_W主键值")
    private Long planChildid;

    @ApiModelProperty(value = "阀门进巡查记录详情")
    List<Valvewelldetail> valvewelldetailList;

    /**
     * 片区
     */
    @ApiModelProperty(value = "片区")
    private String regionCode;

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID")
    private String sid;

    @ApiModelProperty(value = "文件路径列表")
    private List<String> filesPathList;
}
