package com.tofly.pojo.rushrepair;

/**
 * @author sunjian
 * @date 2023/4/13
 */

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 抢修和耗材关联表
 *
 * @author sunjian
 * @date Thu Apr 13 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RUSHREPAIR_AND_MAT_W", resultMap = "rushrepairAndMaterialMap")
@KeySequence("TF_YWPN_RUSHREPAIR_AND_MAT_W")
@ApiModel
public class RushrepairAndMaterial extends Model<RushrepairAndMaterial> {
    private static final long serialVersionUID = 1L;

    /**
     * 材料单价
     */
    @ApiModelProperty(value = "材料单价")
    private Double materialPrice;
    /**
     * 材料单位
     */
    @ApiModelProperty(value = "材料单位")
    private String materialUnit;
    /**
     * 材料数量
     */
    @ApiModelProperty(value = "材料数量")
    private Long materialNumber;
    /**
     * 材料金额
     */
    @ApiModelProperty(value = "材料金额")
    private Double materialMoney;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 材料名称
     */
    @ApiModelProperty(value = "材料名称")
    private String materialName;
    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 材料id 关联表 TF_YWPN_RUSHREPAIRMATERIAL_D
     */
    @ApiModelProperty(value = "材料id 关联表 TF_YWPN_RUSHREPAIRMATERIAL_D")
    private Long materialId;
    /**
     * 抢修审核id 关联表 TF_YWPN_RUSHREPAIRAUDIT_W
     */
    @ApiModelProperty(value = "抢修审核id 关联表 TF_YWPN_RUSHREPAIRAUDIT_W")
    private Long rushrepairauditId;

}
