package com.tofly.pojo.rushrepair;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author sunjian
 * @date 2023/7/25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RUSHREPAIR_AND_SID_W", resultMap = "rushrepairAndSidMap")
@KeySequence("TF_YWPN_RUSHREPAIR_AND_SID_W")
@ApiModel
public class RushrepairAndSid extends Model<RushrepairAndSid> {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 材料单价
     */
    @ApiModelProperty(value = "图层id")
    private Long layerId;
    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id")
    private String sId;
    /**
     * 抢修id
     */
    @ApiModelProperty(value = "抢修id")
    private Long rushrepairId;
    /**
     * 管线信息
     */
    @ApiModelProperty(value = "管线信息")
    private String pipeInfo;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
