/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.rushrepair;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 人员流程配置
 *
 * @author JF
 * @date Thu Sep 12 00:00:00 CST 2024
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="tf_ywpn_userprocessconfig_w",resultMap = "tfYwpnUserprocessconfigWMap")
@KeySequence("tf_ywpn_userprocessconfig_w")
@ApiModel
public class TfYwpnUserprocessconfigW extends Model<TfYwpnUserprocessconfigW> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 唯一编码
     */
            @ApiModelProperty(value = "唯一编码")
                private String code;
    @ApiModelProperty("唯一编码（多个）查询")
    @TableField(exist = false)
    private String codes;
                /**
     * 部门ID（多个）
     */
            @ApiModelProperty(value = "部门ID（多个）")
                private String deptIds;
    /**
     * 部门名称（多个）
     */
    @ApiModelProperty(value = "部门名称（多个）")
    private String deptNames;
                /**
     * 人员ID（多个）
     */
            @ApiModelProperty(value = "人员ID（多个）")
                private String userIds;
    /**
     * 人员名称（多个）
     */
    @ApiModelProperty(value = "人员名称（多个）")
    private String userNames;
                /**
     * 流程名称
     */
            @ApiModelProperty(value = "流程名称")
                private String processName;
                /**
     * 环节名称
     */
            @ApiModelProperty(value = "环节名称")
                private String linkName;
                /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 修改人
     */
            @ApiModelProperty(value = "修改人")
            @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
            private Long updateUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String updateUserName;
            /**
     * 修改时间
     */
            @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
                /**
     * 删除标记
     */
            @TableLogic
        @ApiModelProperty(value = "删除标记")
                private String delFlag;
            
}
