package com.tofly.pojo.rushrepair.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author sunjian
 * @date 2023/3/21
 */
@Data
@ApiModel
public class RushrepairauditDto extends Model<RushrepairauditDto> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 隐患id，关联表TF_YWPN_RUSHREPAIR_W主键
     */
    @ApiModelProperty(value = "隐患id，关联表TF_YWPN_RUSHREPAIR_W主键")
    private Long rushrepairId;
    /**
     * 附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String isSubmit;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    /**
     * 审批状态(0未审核,1通过,2未通过,3不可审批)
     */
    @ApiModelProperty(value = "审批状态(0未审核,1通过,2未通过,3不可审批)")
    private String auditResult;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 审核部门
     */
    @ApiModelProperty(value = "审核部门")
    private Long auditDept;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    /**
     * 审核意见,备注
     */
    @ApiModelProperty(value = "审核意见,备注")
    private String auditNotes;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 0自行处理、1安全审核、2、现场查勘复核、3领导审核、4抢修班长审核派工、5执行人接单处理、6部门审核归档
     */
    @ApiModelProperty(value = "状态，0自行处理、1安全审核、2现场查勘复核、3领导审核、4抢修班长审核派工、5执行人接单处理、6领导审核")
    private String type;

    /**
     * 上一步审核id
     */
    @ApiModelProperty(value = "上一步审核id")
    private Long beforeAuditid;

    /**
     * 0不需复核 1复核
     */
    @ApiModelProperty(value = "0不需复核 1复核")
    private String isCheck;

    /**
     * 材料列表
     */
    @ApiModelProperty(value = "材料列表")
    private List<RushrepairAndMaterialDto> materialList;
}
