package com.tofly.pojo.rushrepair.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.comm.File;
import com.tofly.pojo.rushrepair.Rushrepair;
import com.tofly.pojo.rushrepair.RushrepairAndSid;
import com.tofly.pojo.rushrepair.Rushrepairmaterial;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author sunjian
 * @date 2023/3/21
 */
@Data
@ApiModel
public class RushrepairVo extends Model<Rushrepair> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String userCode;
    /**
     * 报警人姓名
     */
    @ApiModelProperty(value = "报警人姓名")
    private String alarmpersonName;
    /**
     * 报警地址
     */
    @ApiModelProperty(value = "报警电话")
    private Long alarmpersonPhone;
    /**
     * 责任人部门id
     */
    @ApiModelProperty(value = "责任人部门id")
    private Long dutypersonDept;
    @ApiModelProperty(value = "责任人部门名称")
    private String dutypersonDeptname;
    /**
     * 责任人id
     */
    @ApiModelProperty(value = "责任人id")
    private Long dutypersonUser;
    @ApiModelProperty(value = "责任人名称")
    private String dutypersonUsername;
    /**
     * 协助人部门id
     */
    @ApiModelProperty(value = "协助人部门id")
    private String assistpersonDept;
    @ApiModelProperty(value = "协助人部门名称")
    private String assistpersonDeptname;
    /**
     * 协助人id
     */
    @ApiModelProperty(value = "协助人id")
    private String assistpersonUser;
    @ApiModelProperty(value = "协助人名称")
    private String assistpersonUsername;
    /**
     * 上传手机设备id
     */
    @ApiModelProperty(value = "上传手机设备id")
    private String padId;
    /**
     * 上报位置经度
     */
    @ApiModelProperty(value = "上报位置经度")
    private Double reportLgtd;
    /**
     * 上报位置纬度
     */
    @ApiModelProperty(value = "上报位置纬度")
    private Double reportLttd;
    /**
     * 处理位置经度
     */
    @ApiModelProperty(value = "处理位置经度")
    private Double handleLgtd;
    /**
     * 处理位置纬度
     */
    @ApiModelProperty(value = "处理位置纬度")
    private Double handleLttd;
    /**
     * 复核位置经度
     */
    @ApiModelProperty(value = "复核位置经度")
    private Double checkLgtd;
    /**
     * 复核位置纬度
     */
    @ApiModelProperty(value = "复核位置纬度")
    private Double checkLttd;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private Long phone;
    /**
     * 详情
     */
    @ApiModelProperty(value = "详情")
    private String detailed;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 最后审核时间
     */
    @ApiModelProperty(value = "最后审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastTime;
    /**
     * 上报途径，0:手机端现场上报，1热线上报，2电脑端上报
     */
    @ApiModelProperty(value = "上报途径，0:手机端现场上报，1热线上报，2电脑端上报")
    private String uploadType;
    /**
     * 附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;
    @ApiModelProperty(value = "文件路径列表")
    List<String> filePathList;
    @ApiModelProperty(value = "文件路径列表")
    List<File> fileList;
    /**
     * 状态，0自行处理、1安全审核、2、现场查勘复核、3领导审核、4抢修班长审核派工、5执行人接单处理、6已归档
     */
    @ApiModelProperty(value = "状态，0自行处理、1安全审核、2现场查勘复核、3领导审核、4抢修班长审核派工、5执行人接单处理、6领导审核、7归档完成")
    private String state;
    @ApiModelProperty(hidden = true)
    private String stateName;
    /**
     * 最后审核人
     */
    @ApiModelProperty(value = "最后审核人")
    private Long lastUser;
    @ApiModelProperty(hidden = true)
    private String lastUserName;

    /**
     * 0正常处理 1自行处理
     */
    @ApiModelProperty(value = "0正常处理 1自行处理")
    private String isNoprocess;
    @ApiModelProperty(value = "0正常处理 1自行处理")
    private String isNoprocessName;

    /**
     * 审核对象dto集合
     */
    @ApiModelProperty(value = "审核对象vo集合")
    private List<RushrepairauditVo> auditvo;
    /**
     * 是否删除 0 未删除 1已删除
     */
    @ApiModelProperty(value = "是否删除 0 未删除 1已删除")
    @TableLogic(value = "0",delval = "1")
    private String isdelete;
    /**
     * tf_ywpn_rushrepairtype_d主键id  抢修类型 （可以是多个，用逗号分割）
     */
    @ApiModelProperty(value = "tf_ywpn_rushrepairtype_d主键id  抢修类型 （可以是多个，用逗号分割）")
    private String rushrepairtypeId;

    /**
     * 抢修类型名称 （可以是多个，用逗号分割）
     */
    @ApiModelProperty(value = "抢修类型名称 （可以是多个，用逗号分割）")
    private String rushrepairtypeName;
    /**
     * 图层设备id
     */
    @ApiModelProperty(value = "图层设备id")
    private List<RushrepairAndSid> rushrepairAndSidList;
    /**
     * 人工费
     */
    @ApiModelProperty(value = "人工费")
    private String laborCost;
}