package com.tofly.pojo.rushrepair.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.comm.File;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author sunjian
 * @date 2023/3/21
 */
@Data
@ApiModel
public class RushrepairauditVo extends Model<RushrepairauditVo> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 隐患id，关联表TF_YWPN_RUSHREPAIR_W主键
     */
    @ApiModelProperty(value = "隐患id，关联表TF_YWPN_RUSHREPAIR_W主键")
    private Long rushrepairId;
    /**
     * 附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;
    @ApiModelProperty(value = "文件路径列表")
    List<String> filePathList;
    @ApiModelProperty(value = "文件列表")
    List<File> fileList;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String isSubmit;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    @ApiModelProperty(hidden = true)
    private String submitUserName;
    /**
     * 审批状态(0未审核,1通过,2未通过,3不可审批)
     */
    @ApiModelProperty(value = "审批状态(0未审核,1通过,2未通过,3不可审批)")
    private String auditResult;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 审核部门
     */
    @ApiModelProperty(value = "审核部门")
    private Long auditDept;
    @ApiModelProperty(hidden = true)
    private String auditDeptName;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    @ApiModelProperty(hidden = true)
    private String auditUserName;
    /**
     * 审核意见,备注
     */
    @ApiModelProperty(value = "审核意见,备注")
    private String auditNotes;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 0自行处理、1安全审核、2、现场查勘复核、3领导审核、4抢修班长审核派工、5执行人接单处理、6部门审核归档
     */
    @ApiModelProperty(value = "状态，0自行处理、1安全审核、2现场查勘复核、3领导审核、4抢修班长审核派工、5执行人接单处理、6领导审核")
    private String type;
    @ApiModelProperty(hidden = true)
    private String typeName;

    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String userCode;
    /**
     * 报警人姓名
     */
    @ApiModelProperty(value = "报警人姓名")
    private String alarmpersonName;
    /**
     * 报警地址
     */
    @ApiModelProperty(value = "报警电话")
    private Long alarmpersonPhone;
    /**
     * 责任人部门id
     */
    @ApiModelProperty(value = "责任人部门id")
    private Long dutypersonDept;
    @ApiModelProperty(value = "责任人部门名称")
    private String dutypersonDeptname;
    /**
     * 责任人id
     */
    @ApiModelProperty(value = "责任人id")
    private Long dutypersonUser;
    @ApiModelProperty(value = "责任人名称")
    private String dutypersonUsername;
    /**
     * 协助人部门id
     */
    @ApiModelProperty(value = "协助人部门id")
    private Long assistpersonDept;
    @ApiModelProperty(value = "协助人部门名称")
    private String assistpersonDeptname;
    /**
     * 协助人id
     */
    @ApiModelProperty(value = "协助人id")
    private Long assistpersonUser;
    @ApiModelProperty(value = "协助人名称")
    private String assistpersonUsername;
    /**
     * 上报位置经度
     */
    @ApiModelProperty(value = "上报位置经度")
    private Double reportLgtd;
    /**
     * 上报位置纬度
     */
    @ApiModelProperty(value = "上报位置纬度")
    private Double reportLttd;
    /**
     * 处理位置经度
     */
    @ApiModelProperty(value = "处理位置经度")
    private Double handleLgtd;
    /**
     * 处理位置纬度
     */
    @ApiModelProperty(value = "处理位置纬度")
    private Double handleLttd;
    /**
     * 复核位置经度
     */
    @ApiModelProperty(value = "复核位置经度")
    private Double checkLgtd;
    /**
     * 复核位置纬度
     */
    @ApiModelProperty(value = "复核位置纬度")
    private Double checkLttd;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private Long phone;
    /**
     * 详情
     */
    @ApiModelProperty(value = "详情")
    private String detailed;
    /**
     * 0正常处理 1无需自行处理
     */
    @ApiModelProperty(value = "0正常处理 1无需自行处理")
    private String isNoprocess;
    @ApiModelProperty(value = "0正常处理 1无需自行处理")
    private String isNoprocessName;
    /**
     * 0不需复核 1复核
     */
    @ApiModelProperty(value = "0不需复核 1复核")
    private String isCheck;
    @ApiModelProperty(value = "0不需复核 1复核")
    private String isCheckName;

    /**
     * 上一步审核id
     */
    @ApiModelProperty(value = "上一步审核id")
    private Long beforeAuditid;
    /**
     * 是否删除 0 未删除 1已删除
     */
    @ApiModelProperty(value = "是否删除 0 未删除 1已删除")
    @TableLogic(value = "0",delval = "1")
    private String isdelete;

    /**
     * 材料vo集合
     */
    @ApiModelProperty(value = "材料关联vo集合")
    private List<RushrepairAndMaterialVo> materialvo;
}
