/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.statement;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 报表考核记录表
 *
 * @author admin
 * @date Fri Feb 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_STATEMENT_ASSESS_W", resultMap = "statementAssessMap")
@KeySequence("TF_YWPN_STATEMENT_ASSESS_W")
@ApiModel
public class StatementAssess extends Model<StatementAssess> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 统计类型(0年,1月,2季,3周,4日)
     */
    @ApiModelProperty(value = "统计类型(0年,1月,2季,3周,4日)")
    private String type;

    @TableField(exist = false)
    private String typeName;
    /**
     * 年
     */
    @ApiModelProperty(value = "年")
    private String year;
    /**
     * 季度
     */
    @ApiModelProperty(value = "季度")
    private String quarter;
    /**
     * 月份
     */
    @ApiModelProperty(value = "月份")
    private String month;
    /**
     * 周
     */
    @ApiModelProperty(value = "周")
    private String week;
    /**
     * 日
     */
    @ApiModelProperty(value = "日")
    private String day;
    /**
     * 统计人员
     */
    @ApiModelProperty(value = "统计人员")
    private Long statisticalUserId;
    @TableField(exist = false)
    private String statisticalUserIdName;

    /**
     * 考核人员
     */
    @ApiModelProperty(value = "考核人员")
    private Long assessUserId;
    @TableField(exist = false)
    private String assessUserIdName;
    /**
     * 考核时间
     */
    @ApiModelProperty(value = "考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date assessTime;
    /**
     * 考核内容
     */
    @ApiModelProperty(value = "考核内容")
    private String assessNote;
    /**
     * 考核评分
     */
    @ApiModelProperty(value = "考核评分")
    private BigDecimal assessScore;
    /**
     * 巡检类型id
     */
    @ApiModelProperty(value = "巡检类型id")
    private Long typeId;
    @TableField(exist = false)
    private String typeIdName;
    @ApiModelProperty(value = "有效里程")
    private BigDecimal vaildSpeed;
    @ApiModelProperty(value = "发现隐患数量")
    private Long findTroubleNum;
    @ApiModelProperty(value = "工地发现个数")
    private Long buildingsitefinded;
    @ApiModelProperty(value = "巡检任务(个)")
    private Long planNum;
    /**
     * 总点数
     */
    @ApiModelProperty(value = "总点数")
    private BigDecimal totalCount;
    /**
     * 总长度
     */
    @ApiModelProperty(value = "总长度")
    private BigDecimal totalLenth;
    /**
     * 总完成点数
     */
    @ApiModelProperty(value = "总完成点数")
    private BigDecimal totalOverCount;
    /**
     * 总完成长度
     */
    @ApiModelProperty(value = "总完成长度")
    private BigDecimal totalOverLenth;
    /**
     * 总设备完成个数
     */
    @ApiModelProperty(value = "总设备完成个数")
    private BigDecimal totalOverEtCount;
    /**
     * 总完成率
     */
    @ApiModelProperty(value = "总完成率")
    private BigDecimal totalOverCountRate;
    /**
     * 总完成线比例
     */
    @ApiModelProperty(value = "总完成线比例")
    private BigDecimal totalOverLenthRate;
    /**
     * 总漏检率
     */
    @ApiModelProperty(value = "总漏检率")
    private BigDecimal totalLossRate;
    /**
     * 总设备漏检率
     */
    @ApiModelProperty(value = "总设备漏检率")
    private BigDecimal totalEtLossRate;
    /**
     * 总设备完成率
     */
    @ApiModelProperty(value = "总设备完成率")
    private BigDecimal totalOverEtCountRate;
    /**
     * 个人完成点个数
     */
    @ApiModelProperty(value = "个人完成点个数")
    private BigDecimal userOverCount;
    /**
     * 个人完成长度
     */
    @ApiModelProperty(value = "个人完成长度")
    private BigDecimal userOverLenth;
    /**
     * 个人完成设备个数
     */
    @ApiModelProperty(value = "个人完成设备个数")
    private BigDecimal userOverEtCount;
    /**
     * 个人点完成率
     */
    @ApiModelProperty(value = "个人点完成率")
    private BigDecimal userOverCountRate;
    /**
     * 个人线完成率
     */
    @ApiModelProperty(value = "个人线完成率")
    private BigDecimal userOverLenthRate;
    /**
     * 个人设备完成率
     */
    @ApiModelProperty(value = "个人设备完成率")
    private BigDecimal userOverEtCountRate;

}
