package com.tofly.pojo.statement.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 统计请求对象
 *
 * @author BZ-DJJ
 */
@Data
public class StatementDto implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "员工id,多个以,分隔")
    private String userId;
    @ApiModelProperty(value = "部门id")
    private String deptId;
    @ApiModelProperty(value = "分组id")
    private String groupId;
    @ApiModelProperty(value = "片区编码列表,多个以,分隔")
    private String regionCodeList;
    @ApiModelProperty(value = "隐患原因")
    private String toubleType;
    @ApiModelProperty(value = "时间类型,0年,1月")
    private String dateType;
    @ApiModelProperty(value = "工单编码")
    private String orderCode;
    @ApiModelProperty(value = "维修内容")
    private String content;
    @ApiModelProperty(value = "产品名称,多个以,分隔")
    private List<String> productName;
    @ApiModelProperty(value = "规格型号,多个以,分隔")
    private List<String> specification;
    @ApiModelProperty(value = "维修类型,多个以,分隔")
    private String typeId;
    @ApiModelProperty(value = "地址")
    private String address;
    @ApiModelProperty(value = "材质")
    private String material;
    @ApiModelProperty(value = "材质类型")
    private String materialType;
    @ApiModelProperty(value = "口径")
    private String bore;
    @ApiModelProperty(value = "隐患状态,多个以,分隔")
    private String troubleState;
    @ApiModelProperty(value = "起始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    @ApiModelProperty(value = "终止时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;
    @ApiModelProperty(value = "自定义开始口径范围")
    private String startBore;
    @ApiModelProperty(value = "自定义终止口径范围")
    private String endBore;
    @ApiModelProperty(value = "关键字多个模糊查询")
    private String likeSel;
}
