package com.tofly.pojo.statement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 巡检日报导出对象
 *
 * @author BZ-DJJ
 */
@Data
public class InspectionDayVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("员工名称")
    private String userName;
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    @ApiModelProperty("巡检日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inspectionDate;
    @ApiModelProperty(value = "巡检里程(m)")
    private Double planTotalDistance;
    @ApiModelProperty(value = "有效里程(m)")
    private Double vaildTotalDistance;
    @ApiModelProperty(value = "上报隐患(个)")
    private Long findTroubleNum;
    @ApiModelProperty(value = "上报工地(个)")
    private Long buildingsitefinded;
    @ApiModelProperty(value = "巡检任务(个)")
    private Long planNum;
    @ApiModelProperty(value = "任务执行情况")
    private List<WorkCompletionVo> workCompletionVoList;
}
