package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 巡查统计
 * @author BZ-DJJ
 */
@Data
public class InspectionStatisticsVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "员工id")
    private Long userId;
    @ApiModelProperty(value = "员工姓名")
    private String userName;
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    @ApiModelProperty(value = "统计日期")
    private String statisticDate;
    @ApiModelProperty(value = "巡检组名称")
    private String groupName;
    @ApiModelProperty(value = "巡检里程")
    private Double planTotalDistance;
    @ApiModelProperty(value = "有效里程")
    private Double vaildSpeed;
    @ApiModelProperty(value = "发现隐患数量")
    private Long findTroubleNum;
    @ApiModelProperty(value = "工地发现个数")
    private Long buildingsitefinded;
    @ApiModelProperty(value = "计划巡检点个数")
    private Long pointinplan;
    @ApiModelProperty(value = "实际巡检点个数")
    private Long pointpatroled;
    @ApiModelProperty(value = "计划巡检线长度")
    private BigDecimal pathinplan;
    @ApiModelProperty(value = "实际巡检线长度")
    private BigDecimal pathpatroled;
    @ApiModelProperty(value = "完成点比例")
    private BigDecimal pointRate;
    @ApiModelProperty(value = "完成线比例")
    private BigDecimal lineRate;
    @ApiModelProperty(value = "巡检任务(个)")
    private Long planNum;
    @ApiModelProperty(value = "任务执行情况")
    private List<WorkCompletionVo> workCompletionVoList;
}
