package com.tofly.pojo.statement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 维修记录台账数据导出对象
 * @author BZ-DJJ
 */
@Data
public class MaintenanceLogLedgerVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "生成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date generatedTime;
    @ApiModelProperty(value = "工单id")
    private Long orderId;

    @ApiModelProperty(value = "工单编码")
    private String orderCode;

    @ApiModelProperty(value = "维修类型Id")
    private String typeId;

    @ApiModelProperty(value = "维修类型名称")
    private String typeName;

    @ApiModelProperty(value = "电话号码")
    private String mobile;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date overTime;



}
