package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 工作完成情况
 *
 * @author BZ-DJJ
 */
@Data
public class WorkCompletionVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "巡检类型id")
    private Long typeId;
    @ApiModelProperty(value = "巡检类型")
    private String typeName;
    @ApiModelProperty("个人完成点比例")
    private BigDecimal pointRate;

    @ApiModelProperty("个人完成线比例")
    private BigDecimal lenRate;
    @ApiModelProperty(value = "统计人员")
    private Long statisticalUserId;
    @ApiModelProperty("计划详情")
    private String node;

    /**
     * 总点数
     */
    @ApiModelProperty(value = "总点数")
    private BigDecimal totalCount;
    /**
     * 总长度
     */
    @ApiModelProperty(value = "总长度")
    private BigDecimal totalLenth;
    /**
     * 总完成点数
     */
    @ApiModelProperty(value = "总完成点数")
    private BigDecimal totalOverCount;
    /**
     * 总完成长度
     */
    @ApiModelProperty(value = "总完成长度")
    private BigDecimal totalOverLenth;
    /**
     * 总设备完成个数
     */
    @ApiModelProperty(value = "总设备完成个数")
    private BigDecimal totalOverEtCount;
    /**
     * 总完成率
     */
    @ApiModelProperty(value = "总完成率")
    private BigDecimal totalOverCountRate;
    /**
     * 总完成线比例
     */
    @ApiModelProperty(value = "总完成线比例")
    private BigDecimal totalOverLenthRate;
    /**
     * 总漏检率
     */
    @ApiModelProperty(value = "总漏检率")
    private BigDecimal totalLossRate;
    /**
     * 总设备漏检率
     */
    @ApiModelProperty(value = "总设备漏检率")
    private BigDecimal totalEtLossRate;
    /**
     * 总设备完成率
     */
    @ApiModelProperty(value = "总设备完成率")
    private BigDecimal totalOverEtCountRate;
    /**
     * 个人完成点个数
     */
    @ApiModelProperty(value = "个人完成点个数")
    private BigDecimal userOverCount;
    /**
     * 个人完成长度
     */
    @ApiModelProperty(value = "个人完成长度")
    private BigDecimal userOverLenth;
    /**
     * 个人完成设备个数
     */
    @ApiModelProperty(value = "个人完成设备个数")
    private BigDecimal userOverEtCount;
    /**
     * 个人点完成率
     */
    @ApiModelProperty(value = "个人点完成率")
    private BigDecimal userOverCountRate;
    /**
     * 个人线完成率
     */
    @ApiModelProperty(value = "个人线完成率")
    private BigDecimal userOverLenthRate;
    /**
     * 个人设备完成率
     */
    @ApiModelProperty(value = "个人设备完成率")
    private BigDecimal userOverEtCountRate;

}
