package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 抢修是否需要复核
 * @author sunjian
 * @date 2023/3/31
 */
@Getter
@AllArgsConstructor
public enum RushRepairIsCheckEnum {
    /**
     *
     */
    RUSHREPAIR_NO_CHECK("0", "分管领导审核"),

    RUSHREPAIR_IS_CHECK("1", "现场勘测复核"),

    RUSHREPAIR_SATE_RECEIVING_ORDERS("2", "抢修任务派发"),

    RUSHREPAIR_SATE_SAFE_AUDIT("3", "安全运维部管理员审核"),
    ;
    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;
    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (RushRepairIsCheckEnum e : RushRepairIsCheckEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
