package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 抢修上报类型
 *
 * @author sunjian
 * @date 2023/3/22
 */
@Getter
@AllArgsConstructor
public enum RushRepairReportTypeEnum {
    /**
     *
     */
    RUSHREPAIR_REPORT_TYPE_MOBILE_TERMINAL_SCENE("0", "手机端现场上报"),

    RUSHREPAIR_REPORT_TYPE_HEAT_RAY("1", "热线上报"),

    RUSHREPAIR_REPORT_TYPE_PC("2", "电脑端上报"),

    ;
    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;
    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (RushRepairReportTypeEnum e : RushRepairReportTypeEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
