package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 抢修状态
 *
 * @author sunjian
 * @date 2023/3/22
 */
@Getter
@AllArgsConstructor
public enum RushRepairSateEnum {
    /**
     * -1待提交 0自行处理、安全运维部管理员审核、2现场勘查复核并提交、3部门领导审核、4抢修队班长审核派工、5执行人接单处理及回报、6部门审核归档、7归档完成、8环投建工
     */
    RUSHREPAIR_SATE_TO_BE_SUBMIT("-1", "待提交"),
    RUSHREPAIR_SATE_NO_DISPOSE("0", "自行处理"),
    RUSHREPAIR_SATE_SAFE_AUDIT("1", "安全运维部管理员审核"),
    RUSHREPAIR_SATE_SITE_SURVERY("2", "现场勘查复核并提交"),
    RUSHREPAIR_SATE_DEPT_LEADER_AUDIT("3", "部门领导审核"),
    RUSHREPAIR_SATE_AUDIT_DISPATCH("4", "抢修队班长审核派工"),
    RUSHREPAIR_SATE_RECEIVING_ORDERS("5", "执行人接单处理及回报"),
    RUSHREPAIR_SATE_DEPT_AUDIT_PLACEONFILE("6", "部门审核"),
    RUSHREPAIR_SATE_PLACE_FILE("7", "归档完成"),
    RUSHREPAIR_ENVIRONMENTAL_INVESTMENT_CONSTRUCTION("8", "环投建工"),
    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;

    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (RushRepairSateEnum e : RushRepairSateEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
