/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.gpsboot.controller.rushrepair;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.common.oauth.exception.ToflyDeniedException;
import com.tofly.gpsboot.service.rushrepair.TfYwpnUserprocessconfigWService;
import com.tofly.pojo.rushrepair.TfYwpnUserprocessconfigW;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;

/**
 * 人员流程配置
 *
 * @author JF
 * @date Thu Sep 12 00:00:00 CST 2024
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfywpnuserprocessconfigw")
@Api(tags="人员流程配置接口")
public class TfYwpnUserprocessconfigWController {

    private final TfYwpnUserprocessconfigWService tfYwpnUserprocessconfigWService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param tfYwpnUserprocessconfigW 人员流程配置
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getTfYwpnUserprocessconfigWPage(Page page, @ModelAttribute TfYwpnUserprocessconfigW tfYwpnUserprocessconfigW) {
        List<String> codeList = null;
        if (StringUtils.isNotBlank(tfYwpnUserprocessconfigW.getCodes())) {
            codeList = Arrays.asList(tfYwpnUserprocessconfigW.getCodes().split(","));
        }
      return ResultRespone.success(tfYwpnUserprocessconfigWService.page(page, Wrappers.query(tfYwpnUserprocessconfigW).lambda()
              .in(CollUtil.isNotEmpty(codeList), TfYwpnUserprocessconfigW::getCode, codeList)));
    }


    /**
     * 通过id查询人员流程配置
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(tfYwpnUserprocessconfigWService.getById(id));
    }

    /**
     * 新增人员流程配置
     * @param tfYwpnUserprocessconfigW 人员流程配置
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增人员流程配置" )
    @ApiOperation(value = "新增人员流程配置")
    @PostMapping
    public ResultRespone save(@RequestBody TfYwpnUserprocessconfigW tfYwpnUserprocessconfigW) {
        TfYwpnUserprocessconfigW query = tfYwpnUserprocessconfigWService.getOne(new QueryWrapper<TfYwpnUserprocessconfigW>().lambda()
                .eq(TfYwpnUserprocessconfigW::getCode, tfYwpnUserprocessconfigW.getCode())
                .eq(TfYwpnUserprocessconfigW::getDelFlag, "0"));
        if (query != null) {
            throw new ToflyDeniedException("编码已存在！，请重新输入");
        }
      return ResultRespone.success(tfYwpnUserprocessconfigWService.save(tfYwpnUserprocessconfigW));
    }

    /**
     * 修改人员流程配置
     * @param tfYwpnUserprocessconfigW 人员流程配置
     * @return ResultRespone
     */
    @ToFlyAppLog(title="修改人员流程配置" )
    @ApiOperation(value = "修改人员流程配置")
    @PutMapping
    public ResultRespone updateById(@RequestBody TfYwpnUserprocessconfigW tfYwpnUserprocessconfigW) {
      return ResultRespone.success(tfYwpnUserprocessconfigWService.updateById(tfYwpnUserprocessconfigW));
    }

    /**
     * 通过id删除人员流程配置
     * @param id id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id删除人员流程配置" )
    @ApiOperation(value = "通过ID删除人员流程配置")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(tfYwpnUserprocessconfigWService.removeById(id));
    }

    /**
     * 通过id批量删除人员流程配置
     * @param ids id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id批量删除人员流程配置" )
    @ApiOperation(value = "通过ID批量删除人员流程配置")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(tfYwpnUserprocessconfigWService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
