package com.tofly.gpsboot.controller.statistics;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.gpsboot.service.staticstics.CommonStaticsService;
import com.tofly.pojo.statics.dto.StaticsQueryDto;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/commonStatics")
@Api(tags = "统计信息相关接口")
public class CommonStaticsController {
    @Autowired
    private CommonStaticsService commonStaticsService;
    /**
     *  1.根据时间段统计时间段内上报隐患个数、工地个数、抢修个数、水质化验个数、工单个数；
     * 2.根据时间段按月统计每个月的上报隐患个数、工地个数、抢修个数、水质化验个数、工单个数
     * @param staticsQueryDto
     * @return
     */
    @RequestMapping("/data")
    public ResultRespone getStaticsData(@ModelAttribute  StaticsQueryDto staticsQueryDto){
        final Map<String, Object> map = commonStaticsService.staticsData(staticsQueryDto);


        return  ResultRespone.success(map);
    }
}
