/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.gpsboot.controller.valvewell;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.gpsboot.controller.BaseController;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.pojo.plan.Valvewelltype;
import com.tofly.gpsboot.service.valvewell.ValvewelltypeService;
import com.tofly.pojo.plan.dto.ValvewelltypeDto;
import com.tofly.pojo.plan.vo.ValvewelltypeVo;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import javax.validation.Valid;
import java.util.Arrays;
import java.util.Optional;

/**
 * 阀门井问题类型表tf_ywpn_valvewelltype_d
 *
 * @author admin
 * @date Wed Mar 29 00:00:00 GMT+08:00 2023
 */
@RestController
@RequestMapping("/valvewelltype")
@Api(tags = "阀门井问题类型表接口")
public class ValvewelltypeController extends BaseController<Valvewelltype, ValvewelltypeVo> {

    @Autowired
    private ValvewelltypeService valvewelltypeService;

    @Autowired
    public ValvewelltypeController(ValvewelltypeService service) {
        init(service);
    }


    @ApiOperation(value = "分页查询")
    @GetMapping("/page")
    @ToFlyAppLog(title = "分页查询")
    public ResultRespone getValvewelltypePage(Page page, @ModelAttribute ValvewelltypeDto parDto) {
        ResultRespone<Page<ValvewelltypeVo>> rest = new ResultRespone<>();
        try {
            Page<ValvewelltypeVo> ValvewelltypeVoPage = valvewelltypeService.getValvewelltypePage(page, parDto);
            rest.setResult(ValvewelltypeVoPage);
        } catch (BusinessException e) {
            rest.setCode(e.getRetCd());
            rest.setMessage(e.getMsgDes());
        }
        return rest;
    }

    @ApiOperation(value = "新增基本信息对象")
    @PostMapping("/save")
    @ToFlyAppLog(title = "新增基本信息对象")
    public ResultRespone<Object> saveValvewelltype(@Valid @RequestBody ValvewelltypeDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        if (!checkIsExit(parDto.getName(), 0L)) {
            return ResultRespone.failed("阀门井类型：" + parDto.getName() + "已存在，不能重复添加");
        } else {
            return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.save(JSON.parseObject(JSON.toJSONString(parDto), Valvewelltype.class)));
        }
    }

    public boolean checkIsExit(String name, Long id) {
        int count = valvewelltypeService.count(Wrappers.<Valvewelltype>lambdaQuery()
                .eq(Valvewelltype::getName, name)
                .ne(Valvewelltype::getId, id)
        );
        return count > 0 ? false : true;
    }

    @ApiOperation(value = "修改基本信息")
    @PutMapping("/updata")
    @ToFlyAppLog(title = "修改基本信息")
    public ResultRespone<Object> updateByIdValvewelltype(@Valid @RequestBody ValvewelltypeDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        if (!Optional.ofNullable(super.validRest(rest, result)).isPresent()) {
            try {
                if (!checkIsExit(parDto.getName(), parDto.getId())) {
                    return ResultRespone.failed("阀门井类型：" + parDto.getName() + "已存在，不能修改");
                } else {
                    super.updateById(JSON.parseObject(JSON.toJSONString(parDto), Valvewelltype.class));
                }
            } catch (BusinessException e) {
                rest.setCode(e.getRetCd());
                rest.setMessage(e.getMsgDes());
            }
        }
        return rest;
    }

    @ApiOperation(value = "通过ID查询")
    @GetMapping("/{id}")
    @ToFlyAppLog(title = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getByIdToubletype(@PathVariable("id") Long id) {
        return super.getById(id);
    }

    @ApiOperation(value = "通过ID批量删除基本信息对象")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds")
    @ToFlyAppLog(title = "通过ID批量删除基本信息对象")
    public ResultRespone<Object> removeByIdListToubletype(String ids) {
        ResultRespone<Object> rest = new ResultRespone<>();
        try {
            valvewelltypeService.deleteValvewelltypeInfo(ids);
        } catch (BusinessException e) {
            rest.setCode(e.getRetCd());
            rest.setMessage(e.getMsgDes());
        }
        return rest;
    }
}
