/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.maintain;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.maintain.Repairorder;
import com.tofly.pojo.maintain.dto.RepairorderDto;
import com.tofly.pojo.maintain.vo.datail.RepairOrderBaseInfoVo;
import com.tofly.pojo.maintain.vo.datail.RepairOrderHotlineInfoVo;
import com.tofly.pojo.message.Messagepush;
import com.tofly.pojo.message.Messagerecipient;
import com.tofly.pojo.message.Usertask;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 抢维修工单信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
public interface RepairorderMapper extends BaseMapper<Repairorder> {
    /**
     * 获取抢维修基础信息
     * @param id
     * @return
     */
    RepairOrderBaseInfoVo getRepairOrderBaseInfo(@Param("id") Long id);

    /**
     * 获取热线基本信息
     * @param id
     * @return
     */
    RepairOrderHotlineInfoVo getRepairOrderHotlineInfoVo(@Param("id") Long id);

    // 获取对应表的自增长
    Long getPlanTempMaxId(@Param("tableName") String tableName);

    void addMessageList(@Param("list")List<Messagepush> list );

    void addMessageRecipientList(@Param("list")List<Messagerecipient> list);

    void addUserTaskList(@Param("list")List<Usertask> list);

    Page<Repairorder> getPageRepairInfo(Page page, @Param("dto") RepairorderDto dto);
}
