package com.tofly.gpsboot.service.comm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.comm.File;
import org.springframework.util.MultiValueMap;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 文件信息处理
 */
public interface IFileInfoService extends IService<File> {
    /**
     * 上传文件,并获取文件id,以 , 隔开
     * @param fileList
     * @param filePathBean
     * @param tableName
     * @return
     */
    StringBuilder saveFileList(List<MultipartFile> fileList,String filePathBean,String tableName);

    /**
     * 根据文件id列表删除远程文件略表
     * @param fileIdList
     * @return
     */
    Boolean removeFileList(List<Long> fileIdList);

    /**
     * 根据文件id列表获取文件路径列表
     * @param fileIdList
     * @return
     */
    List<String> getFilePathList(List<Long> fileIdList);

    /**
     * 根据文件id列表获取文件对象
     * @param fileIdList
     * @return
     */
    List<File> getFileList(List<Long> fileIdList);
}
