/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.rushrepair;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.plan.vo.PlanTypeRateVo;
import com.tofly.pojo.rushrepair.Rushrepair;
import com.tofly.pojo.rushrepair.dto.RushrepairDto;
import com.tofly.pojo.rushrepair.vo.RushrepairVo;
import com.tofly.pojo.statement.dto.StatementDto;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 抢修上报信息表
 *
 * @author sunjian
 * @date Tue Mar 21 00:00:00 CST 2023
 */
public interface IRushrepairService extends IBaseService<Rushrepair, RushrepairVo> {

    /**
     * 自定义分页查询
     *
     * @param page
     * @param rushrepairDto
     * @return
     */
    Page<RushrepairVo> getRushRepairPage(Page page, RushrepairDto rushrepairDto);

    /**
     * 通过id查询抢修上报信息表
     *
     * @param id
     * @return
     */
    RushrepairVo getRushRepairById(Long id);

    /**
     * 新增基本和详情信息
     *
     * @param files
     * @param auditFiles
     * @param rushrepairDto
     */
    Rushrepair savaBuildInfo(List<MultipartFile> files, List<MultipartFile> auditFiles, RushrepairDto rushrepairDto);

    /**
     * 通过id批量删除抢修上报信息表（自动删除审核表信息）
     *
     * @param ids
     * @return
     */
    ResultRespone<Object> removeByIdList(String ids);

    List<Map> getSidSelect(String typeid, Map map);


}
