/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.rushrepair;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.rushrepair.Rushrepairaudit;
import com.tofly.pojo.rushrepair.dto.RushrepairauditDto;
import com.tofly.pojo.rushrepair.vo.RushrepairauditVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 抢修信息审核表
 *
 * @author sunjian
 * @date Tue Mar 21 00:00:00 CST 2023
 */
public interface IRushrepairauditService extends IBaseService<Rushrepairaudit, RushrepairauditVo> {
    /**
     * 自定义分页查询
     *
     * @param page
     * @param rushrepairauditDto
     * @return
     */
    Page<RushrepairauditVo> getRushRepairAuditPage(Page page, RushrepairauditDto rushrepairauditDto);

    /**
     * 新增基本和详情信息
     *
     * @param fileList
     * @param rushrepairauditDto
     */
    Long savaBuildInfo(List<MultipartFile> fileList, RushrepairauditDto rushrepairauditDto);

    /**
     * 根据抢修单对应的审核记录列表
     * @param rushrepairid
     * @return
     */
    List<RushrepairauditVo> getAuditVoByRushRepairId(Long rushrepairid);
}
