/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.gpsboot.service.rushrepair.impl;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.api.UserClent;
import com.tofly.gpsboot.mapper.rushrepair.RushrepairmaterialMapper;
import com.tofly.gpsboot.service.rushrepair.IRushrepairmaterialService;
import com.tofly.pojo.User;
import com.tofly.pojo.rushrepair.Rushrepair;
import com.tofly.pojo.rushrepair.Rushrepairmaterial;
import com.tofly.pojo.rushrepair.dto.RushrepairmaterialDto;
import com.tofly.pojo.rushrepair.vo.RushrepairVo;
import com.tofly.pojo.rushrepair.vo.RushrepairmaterialVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;

/**
 * 抢修耗材
 *
 * @author sunjian
 * @date Thu Apr 13 00:00:00 CST 2023
 */
@Service("rushrepairmaterialService")
public class RushrepairmaterialServiceImpl extends ServiceImpl<RushrepairmaterialMapper, Rushrepairmaterial> implements IRushrepairmaterialService {

    @Autowired
    private UserClent userClent;

    /**
     * 视图转换 entity转换vo
     *
     * @param infoList
     * @return
     */
    @Override
    public List<RushrepairmaterialVo> viewConversion(List<Rushrepairmaterial> infoList) {
        List<RushrepairmaterialVo> infoVoList = new ArrayList<>();
        infoList.forEach(info -> {
            RushrepairmaterialVo baseInfoVo = JSON.parseObject(JSON.toJSONString(info), RushrepairmaterialVo.class);

            if (null != info.getPrice()) {
                DecimalFormat priceFormat = new DecimalFormat("#.00");
                baseInfoVo.setPrice(priceFormat.format(info.getPrice()));
            }

//            User result = userClent.getById(info.getCreateUser()).getResult();
//            if (null != result) {
//                baseInfoVo.setCreateUserName(result.getRealName());
//            }
            infoVoList.add(baseInfoVo);
        });
        return infoVoList;
    }

    /**
     * 自定义分页查询
     *
     * @param page
     * @param rushrepairMaterialDto
     * @return
     */
    @Override
    public Page<RushrepairmaterialVo> getRushrepairMaterialPage(Page page, RushrepairmaterialDto rushrepairMaterialDto) {
        Rushrepairmaterial rushrepairMaterial = JSON.parseObject(JSON.toJSONString(rushrepairMaterialDto), Rushrepairmaterial.class);
        QueryWrapper<Rushrepairmaterial> wrapper = new QueryWrapper();
        wrapper.setEntity(rushrepairMaterial);
        wrapper.orderByDesc("CREATE_TIME");
        Page infoPageList = this.page(page, wrapper);
        infoPageList.setRecords(this.viewConversion(infoPageList.getRecords()));
        return infoPageList;
    }
}
