package com.tofly.gpsboot.service.staticstics;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.gpsboot.service.build.BuildService;
import com.tofly.gpsboot.service.fegin.MisFeign;
import com.tofly.gpsboot.service.fegin.WaterQualityFeign;
import com.tofly.gpsboot.service.maintain.RepairrecordService;
import com.tofly.gpsboot.service.trouble.TroubleService;
import com.tofly.pojo.build.Build;
import com.tofly.pojo.maintain.Repairrecord;
import com.tofly.pojo.statics.dto.StaticsQueryDto;
import com.tofly.pojo.trouble.Trouble;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
@AllArgsConstructor
public class CommonStaticsServiceImpl implements  CommonStaticsService{
    private final TroubleService troubleService;
    private final BuildService buildService;
    private  final RepairrecordService repairrecordService;
    private final WaterQualityFeign waterQualityFeign;
    private final MisFeign misFeign;
    //整合统计
    @Override
    public Map<String,Object> staticsData(StaticsQueryDto staticsQueryDto) {
        Map<String,Object> dataMap = new HashMap<>();
        if("all".equals(staticsQueryDto.getType())){
            // 2.根据时间段按月统计每个月的上报隐患个数、工地个数、抢修个数、水质化验个数、工单个数

            //隐患
            final int count = troubleService.count(Wrappers.<Trouble>lambdaQuery()
                    .ge(Trouble::getCreateTime, staticsQueryDto.getBeginDate())
                    .le(Trouble::getCreateTime, staticsQueryDto.getEndDate())
            );
            final int count1 = buildService.count(Wrappers.<Build>lambdaQuery()
                    .ge(Build::getCreateTime, staticsQueryDto.getBeginDate())
                    .le(Build::getCreateTime, staticsQueryDto.getEndDate()));
            final int count2 = repairrecordService.count(Wrappers.<Repairrecord>lambdaQuery()
                    .ge(Repairrecord::getCreateTime, staticsQueryDto.getBeginDate())
                    .le(Repairrecord::getCreateTime, staticsQueryDto.getEndDate())
            );
            //水质化验
            final ResultRespone<Map> data = waterQualityFeign.getData(staticsQueryDto.getBeginDate(),staticsQueryDto.getEndDate(),staticsQueryDto.getType());
            //工单
           final ResultRespone<Map> staticsData = misFeign.getStaticsData(staticsQueryDto.getBeginDate(),staticsQueryDto.getEndDate(),staticsQueryDto.getType());

            dataMap.putAll(data.getResult());
          dataMap.putAll(staticsData.getResult());
            dataMap.put("troubleCount",count);
            dataMap.put("buildCount",count1);
            dataMap.put("repairRecordCount",count2);
        }else  if("month".equals(staticsQueryDto.getType())){
            //隐患
            final List<Map<String, Integer>> troubleOverMonth = troubleService.staticsDataOverMonth(staticsQueryDto);
            dataMap.put("troubleOverMonth",troubleOverMonth);
            final List<Map<String, Integer>> buildOverMonth = buildService.staticsDataOverMonth(staticsQueryDto);
            dataMap.put("buildOverMonth",buildOverMonth);
            final List<Map<String, Integer>> repairOverMonth
                    = repairrecordService.staticsDataOverMonth(staticsQueryDto);
            dataMap.put("repairOverMonth",repairOverMonth);

          final ResultRespone<Map> data = waterQualityFeign.getData(staticsQueryDto.getBeginDate(),staticsQueryDto.getEndDate(),staticsQueryDto.getType());
            if(data!=null){
                dataMap.putAll(data.getResult());
            }
          final ResultRespone<Map> staticsData = misFeign.getStaticsData(staticsQueryDto.getBeginDate(),staticsQueryDto.getEndDate(),staticsQueryDto.getType());
            if(staticsData!=null){
                dataMap.putAll(staticsData.getResult());
            }

        }
        //1.根据时间段统计时间段内上报隐患个数、工地个数、抢修个数、水质化验个数 collectms 、热线工单个数  TF_YWPN_GDINFO_W；




        return dataMap;
    }
}
