/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.valvewell;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.gpsboot.strategy.ExcelStrategy;
import com.tofly.pojo.plan.Valvewell;
import com.tofly.pojo.plan.dto.ValvewellDto;
import com.tofly.pojo.plan.vo.ValvewellVo;
import com.tofly.pojo.valewell.dto.valewellStaDto;
import com.tofly.pojo.valewell.vo.valewellStaVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 阀门井信息表
 *
 * @author admin
 * @date Wed Mar 29 00:00:00 GMT+08:00 2023
 */
public interface ValvewellService extends IBaseService<Valvewell, ValvewellVo> {


    Page<ValvewellVo> getValvewellPage(Page page,ValvewellDto parDto);
    /**
     * 新增基本和详情信息
     * @param parDto
     * @throws BusinessException 抛出新增的详情为空
     */
    ValvewellDto savaValvewellInfo(List<MultipartFile> fileList, ValvewellDto parDto) throws BusinessException;


    /**
     * 获取基本和详情信息
     * @param id
     * @return 封装返回
     * @throws BusinessException 抛出id查询当前数据不存在
     */
    ValvewellVo getValvewellInfo(Long id) throws BusinessException;

    /**
     * 修改基本和详情信息
     * @param parDto
     * @throws BusinessException 抛出更新当前数据不存在
     */
    void updateValvewellInfo(List<MultipartFile> fileList,ValvewellDto parDto) throws BusinessException;

    /**
     * 单个删除或批量删除信息
     * @param idList
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteValvewellInfo(List<Long> idList)throws BusinessException;

    List<valewellStaVo> getValvewellSta(valewellStaDto dto);
}
