/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.gpsboot.service.valvewell.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.tofly.gpsboot.common.Constant;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.service.valvewell.ValvewelldetailService;
import com.tofly.pojo.plan.Valvewelldetail;
import com.tofly.pojo.plan.Valvewelltype;
import com.tofly.gpsboot.service.valvewell.ValvewelltypeService;
import com.tofly.pojo.plan.dto.ValvewelltypeDto;
import com.tofly.pojo.plan.vo.ValvewelltypeVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.tofly.gpsboot.mapper.plan.ValvewelltypeMapper;
import org.springframework.util.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 阀门井问题类型表tf_ywpn_valvewelltype_d
 *
 * @author admin
 * @date Wed Mar 29 00:00:00 GMT+08:00 2023
 */
@Service("valvewelltypeService")
public class ValvewelltypeServiceImpl extends ServiceImpl<ValvewelltypeMapper, Valvewelltype> implements ValvewelltypeService {

    @Autowired
    private ValvewelldetailService valvewelldetailService;

    @Override
    public List<ValvewelltypeVo> viewConversion(List<Valvewelltype> infoList) {
        /// 无转换类型
        return JSONArray.parseArray(JSON.toJSONString(infoList), ValvewelltypeVo.class);
    }

    @Override
    public Page<ValvewelltypeVo> getValvewelltypePage(Page page, ValvewelltypeDto parDto) {
        Valvewelltype valvewelltype = JSON.parseObject(JSON.toJSONString(parDto), Valvewelltype.class);
        QueryWrapper<Valvewelltype> wrapper = new QueryWrapper();
        String name = parDto.getName();
        if (!StringUtils.isEmpty(name)) {
            wrapper.like("NAME", name);
            valvewelltype.setName(null);
        }
        wrapper.setEntity(valvewelltype);
        Page infoPageList = this.page(page, wrapper);
        infoPageList.setRecords(this.viewConversion(infoPageList.getRecords()));
        return infoPageList;
    }

    @Override
    public void deleteValvewelltypeInfo(String idLists) throws BusinessException {
        // 判断当前是否有关联数据 工地
        List<Long> longList = Arrays.stream(idLists.split(Constant.CSV)).map(s -> Long.parseLong(s.trim()))
                .collect(Collectors.toList());
        List<Valvewelldetail> list = valvewelldetailService.list(new QueryWrapper<Valvewelldetail>().lambda().in(Valvewelldetail::getTypeId, longList));
        if (null != list && list.size() > 0) {
            throw new BusinessException(Constant.TROUBLE_TYPE_NO_DELETE_CODE, Constant.TROUBLE_TYPE_NO_DELETE);
        } else {
            this.removeByIds(longList);
        }
    }
}
