package com.tofly.xrtymis.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.xrtymis.entity.TfYwpnGatherrecord;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author fcl
 * @date 2021/4/30 13:40
 */
@Data
public class TfYwpnGatherrecorDataDTO {
    /**
     * 采集类型；字典中读取；609：管线；610：水表；611：监测设备；612：控制阀门；613：非控制阀门；614：消防栓；615：检查井；629：管线点
     */
    @ApiModelProperty(value = "多种类型查询，以','分隔 609：管线；610：水表；611：监测设备；612：控制阀门；613：非控制阀门；614：消防栓；615：检查井；629：管线点")
    private String gatherType;
    /**
     * 采集开始日期
     */
    @ApiModelProperty(value = "采集开始日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date gatherStartTime;
    /**
     * 采集结束日期
     */
    @ApiModelProperty(value = "采集结束日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date gatherEndTime;
    /**
     * 状态；0：未上传；1：上传失败；2：审核发布中；3：审核不通过；4：审核通过；5：已发布
     */
    @ApiModelProperty(value = "状态；0：未上传；1：上传失败；2：审核发布中；3：审核不通过；4：审核通过；5：已发布")
    private String state;


}
