package com.tofly.xrtymis.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.xrtymis.entity.TfYwpnValve;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author fcl
 * @date 2021/4/28 13:13
 */
@Data
public class TfYwpnValveDTO extends TfYwpnValve {

    /**
     * 采集类型；字典中读取；1：管线；2：水表；3：监测设备；4：控制阀门；5：非控制阀门；6：消防栓；7：检查井
     */
    @ApiModelProperty(value = "采集类型；字典中读取；1：管线；2：水表；3：监测设备；4：控制阀门；5：非控制阀门；6：消防栓；7：检查井")
    private String gatherType;
    /** 采集数量
     */
    @ApiModelProperty(value = "采集数量")
    private Integer gatherNum;
    /**
     * 采集长度
     */
    @ApiModelProperty(value = "采集长度")
    private Double gatherLen;
    /**
     * 状态；0：未上传；1：上传失败；2：审核发布中；3：审核不通过；4：审核通过；5：已发布
     */
    @ApiModelProperty(value = "状态；0：未上传；1：上传失败；2：审核发布中；3：审核不通过；4：审核通过；5：已发布")
    private String state;
    /**
     * 是否直接发布，0：需要审核；1：直接发布
     */
    @ApiModelProperty(value = "是否直接发布，0：需要审核；1：直接发布")
    private String ispublish;
    /**
     * 采集时间
     */
    @ApiModelProperty(value = "采集时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date gatherTime;

       /** 审核说明
     */
    @ApiModelProperty(value = "审核说明")
    private String auditNotes;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
      /** 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

}
