/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtymis.custom.service.osm.impl;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtymis.custom.service.osm.RecordsService;
import com.tofly.xrtymis.custom.utils.DateTimeUtil;
import com.tofly.xrtymis.entity.osm.LangChaoUserInfoResultModelData;
import com.tofly.xrtymis.entity.osm.Payments;
import com.tofly.xrtymis.entity.osm.Records;
import com.tofly.xrtymis.mapper.osm.RecordsMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.ObjectUtils;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 营销抄表数据
 *
 * @author sunjian
 * @date Tue Jul 18 00:00:00 CST 2023
 */
@Service("recordsService")
@Slf4j
public class RecordsServiceImpl extends ServiceImpl<RecordsMapper, Records> implements RecordsService {
    /**
     * 批量保存
     *
     * @param data
     */
    public boolean saveBatchModel(List<LangChaoUserInfoResultModelData> data) {
        List<Records> listRecords = new ArrayList<>();
        LocalDate localDate = LocalDate.now().minusDays(1);//减一天
        for (LangChaoUserInfoResultModelData d : data) {
            Records records = new Records();
            records.setAmount(Double.valueOf(d.getWatermete()));
            records.setMoney(Double.valueOf(d.getTotmoneydx()));
            records.setIspayment(Long.valueOf(d.getPayyesno()));
            records.setCustomerCode(d.getUserid());
            records.setFinancialDate(DateUtil.parseDateTime(d.getCbdate()));
            listRecords.add(records);
        }
        saveBatchWithTransaction(listRecords);
        return true;
    }

    /**
     * get请求参数转换
     *
     * @param map map集合参数
     * @return 字符参数
     */
    public String transformationParams(Map<String, Object> map) {
        log.info("正在组装数据----------------------------------");
        StringBuffer stringBuffer = new StringBuffer();
        log.info("正在组装数据------------------token----------------");
        if (ObjectUtils.isEmpty(map)) {
            return stringBuffer.toString();
        }
        for (Map.Entry<String, Object> entry : map.entrySet()) {
            if (entry.getValue() != null && entry.getValue() != "") {
                stringBuffer
                        .append(entry.getKey())
                        .append("=")
                        .append(entry.getValue()).append("&");
            }
        }
        log.info("正在组装数据------------------success------ data：{}----------", stringBuffer.toString());
        return stringBuffer.toString();
    }

    /**
     * 开独立事务批量保存
     * @param entityList
     */
    @Transactional(propagation = Propagation.REQUIRES_NEW)
    public void saveBatchWithTransaction(List<Records> entityList) {
        this.saveBatch(entityList);
    }
}
