package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 *  工单对应转入流程工单
 *
 *  @author xqf
 */
@Data
@Builder
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GDCIRCULATION_W", resultMap = "gdglCirculationMapper")
@KeySequence("TF_YWPN_GDCIRCULATION_W")
@ApiModel
public class GdglCirculation extends Model<GdglCirculation> {
    private static final long serialVersionUID = 1L;

    /**
     * 流水编号
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "流水编号")
    private Long id;

    @ApiModelProperty(value = "工单编号")
    private String gdbh;

    @ApiModelProperty(value = "转入类型")
    private Long type;

    @ApiModelProperty(value = "转入工单编号")
    private String otherBh;



    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "抢维修工单状态0:正常；1:驳回作废")
    private Integer gdstate;

}
