/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 噪音记录仪信息
 *
 * @author admin
 * @date Wed Apr 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_NOISE_LOGGER_INFO_D", resultMap = "noiseLoggerInfoMap")
@KeySequence("TF_NOISE_LOGGER_INFO_D")
@ApiModel
public class NoiseLoggerInfo extends Model<NoiseLoggerInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    @ApiModelProperty(value = "设备编码 SMS编码")
    private String mobileNumber;
    @TableField(exist = false)
    private String mobileNumberName;
    @TableField(exist = false)
    private String address;
    @ApiModelProperty(value = "通道名称")
    private String channelName;
    @ApiModelProperty(value = "监测状态 0正常 1预警")
    private String monitoringState;
    @TableField(exist = false)
    @ApiModelProperty(value = "监测状态转义",hidden = true)
    private String monitoringStateName;
    /**
     * 处理状态(0未处理 1忽略 2已发工单 3处理完成 4终止)
     */
    @ApiModelProperty(value = "处理状态(0未处理 1忽略 2已发工单 3处理完成 4终止)")
    private String disposeState;
    @TableField(exist = false)
    @ApiModelProperty(value = "处理状态转义",hidden = true)
    private String disposeStateName;
    @ApiModelProperty(value = "最新数据上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastValueDate;
    @ApiModelProperty(value = "同步时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date synchronisedTime;
    @ApiModelProperty(value = "1为漏点通道 2为声强通道 3为频宽通道 与第三方确定一致")
    private String numberCode;
    @ApiModelProperty(value = "噪音文件id")
    private String fileId;
    @ApiModelProperty(value = "文件路径")
    @TableField(exist = false)
    private String filePath;
    @ApiModelProperty(value = "业务工单id")
    private Long gdinfoId;
    @ApiModelProperty(value = "听取次数")
    private Long listenNum;

    @TableField(exist = false)
    @ApiModelProperty(value = "查询开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @TableField(exist = false)
    @ApiModelProperty(value = "查询结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @TableField(exist = false)
    @ApiModelProperty(value = "模糊查询(设备编码)")
    private String likeStr;




}
