/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 数据采集记录表：TF_YWPN_GATHERRECORD_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_GATHERRECORD_W",resultMap = "tfYwpnGatherrecordMap")
@KeySequence("TF_YWPN_GATHERRECORD_W")
@ApiModel
public class TfYwpnGatherrecord extends Model<TfYwpnGatherrecord> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 采集类型；字典中读取；609：管线；610：水表；611：监测设备；612：控制阀门；613：非控制阀门；614：消防栓；615：检查井；629：管线点
     */
    @ApiModelProperty(value = "字典中读取；609：管线；610：水表；611：监测设备；612：控制阀门；613：非控制阀门；614：消防栓；615：检查井；629：管线点")
    private String gatherType;
    /**
     * 采集数量
     */
    @ApiModelProperty(value = "采集数量")
    private Integer gatherNum;
    /**
     * 采集长度
     */
    @ApiModelProperty(value = "采集长度")
    private Double gatherLen;
    /**
     * 采集数据存储表名称
     */
    @ApiModelProperty(value = "采集数据存储表名称")
    private String tableName;
    /**
     * 采集数据ID
     */
    @ApiModelProperty(value = "采集数据ID")
    private Long gatherId;
    /**
     * 采集时间
     */
    @ApiModelProperty(value = "采集时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date gatherTime;
    /**
     * 创建时间（上报时间）
     */
    @ApiModelProperty(value = "创建时间（上报时间）")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人（采集人）
     */
    @ApiModelProperty(value = "创建人（采集人）")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 状态；0：未上传；1：上传失败；2：审核发布中；3：审核不通过；4：审核通过；5：已发布
     */
    @ApiModelProperty(value = "状态；0：未上传；1：上传失败；2：审核发布中；3：审核不通过；4：审核通过；5：已发布")
    private String state;
    /**
     * 是否查收；0：未查收；1：已查收
     */
    @ApiModelProperty(value = "是否查收；0：未查收；1：已查收")
    private String isread;
    /**
     * 是否直接发布，0：需要审核；1：直接发布
     */
    @ApiModelProperty(value = "是否直接发布，0：需要审核；1：直接发布")
    private String ispublish;
    /**
     * 审核说明
     */
    @ApiModelProperty(value = "审核说明")
    private String auditNotes;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    @ApiModelProperty(hidden = true)
    private String auditUserName;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 采集位置地图截图图片路径
     */
    @ApiModelProperty(value = "采集位置地图截图图片路径")
    private String filePath;
    /**
     * 发布编号，有系统根据规则生成
     */
    @ApiModelProperty(value = "发布编号，有系统根据规则生成")
    private String objCode;

}
