/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity.osm;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 营销缴费数据
 *
 * @author sunjian
 * @date Tue Jul 18 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "OSM_T_PAYMENTS", resultMap = "paymentsMap")
@KeySequence("OSM_T_PAYMENTS")
@ApiModel
public class Payments extends Model<Payments> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String customerCode;
    /**
     * 缴费金额
     */
    @ApiModelProperty(value = "缴费金额")
    private Double money;
    /**
     * 缴费渠道
     */
    @ApiModelProperty(value = "缴费渠道")
    private String typeName;
    /**
     * 收费类型
     */
    @ApiModelProperty(value = "收费类型")
    private String payTypename;

    /**
     * 缴费时间
     */
    @ApiModelProperty(value = "缴费时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operatedTime;

}
