/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity.osm;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 营销抄表数据
 *
 * @author sunjian
 * @date Tue Jul 18 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "OSM_T_RECORDS", resultMap = "recordsMap")
@KeySequence("OSM_T_RECORDS")
@ApiModel
public class Records extends Model<Records> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 账务日期
     */
    @ApiModelProperty(value = "账务日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date financialDate;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String customerCode;
    /**
     * 抄表水量
     */
    @ApiModelProperty(value = "抄表水量")
    private Double amount;
    /**
     * 应收金额
     */
    @ApiModelProperty(value = "应收金额")
    private Double money;
    /**
     * 渠道
     */
    @ApiModelProperty(value = "渠道")
    private String typeName;
    /**
     * 是否结清
     */
    @ApiModelProperty(value = "是否结清")
    private Long ispayment;

}
