/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 区域表管理信息表：TF_YWPN_DMATABLE_W
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMATABLE_W", resultMap = "dmatableMap")
//@KeySequence("TF_YWPN_DMATABLE_W_SEQ")
@ApiModel
public class Dmatable extends Model<Dmatable> {
    private static final long serialVersionUID = 1L;

    public Dmatable(Long deviceId, Double minFlow) {
        this.deviceId = deviceId;
        this.minFlow = minFlow;
    }

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 所属设备ID
     */
    @ApiModelProperty(value = "所属设备ID")
    private Long deviceId;
    /**
     * 表编号
     */
    @ApiModelProperty(value = "表编号")
    @TableField(exist = false)
    private String schCode;
//    /**
//     * 表号
//     */
//    @ApiModelProperty(value = "表号")
//    private String sch;
//    /**
//     * 表点位名称
//     */
    @ApiModelProperty(value = "表点位名称")
    @TableField(exist = false)
    private String schName;
    /**
     * 口径（mm），15,20,25,40,50,80,100,200
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "口径（mm），15,20,25,40,50,80,100,200")
    private String bore;
    /**
     * 表型号
     */
    @ApiModelProperty(value = "表型号")
    @TableField(exist = false)
    private String phenotype;
    /**
     * 厂家名称
     */
    @ApiModelProperty(value = "厂家名称")
    @TableField(exist = false)
    private String factory;
    /**
     * 夜间最小流量阈值（m3/h）
     */
    @ApiModelProperty(value = "夜间最小流量阈值（m3/h）")
    private Double minFlow;
    /**
     * 是否参与夜间最小流量计算；0：不参与；1：参与
     */
    @ApiModelProperty(value = "是否参与夜间最小流量计算；0：不参与；1：参与")
    private String isflow;
    /**
     * 是否采集压力数据；0：不采集；1：采集
     */
    @ApiModelProperty(value = "是否采集压力数据；0：不采集；1：采集")
    private String ispress;
//    /**
//     * 是否肯特流量计（1=是，0=否）
//     */
//    @ApiModelProperty(value = "是否肯特流量计（1=是，0=否）")
//    private String iskente;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    @TableField(exist = false)
    private String address;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    @TableField(exist = false)
    private Double lgtd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    @TableField(exist = false)
    private Double lttd;

    /**
     * 启用状态（1=启用，0=禁用）
     */
    @ApiModelProperty(value = "启用状态（1=启用，0=禁用）")
    private String usfl;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
