/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 
 *
 * @author wangzhun
 * @date Thu Aug 17 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_INFORM_W",resultMap = "informMap")
@KeySequence("TF_YWPN_INFORM_W")
@ApiModel
public class Inform extends Model<Inform> {
    private static final long serialVersionUID = 1L;

        /**
     * 
     */
        @TableId(value = "id",type= IdType.AUTO)
            @ApiModelProperty(value = "")
                private Long id;
                /**
     * 内容
     */
            @ApiModelProperty(value = "内容")
            @TableField(condition = ToflySqlCondition.LIKE)
                private String content;
                /**
     * 标题
     */
            @ApiModelProperty(value = "标题")
            @TableField(condition = ToflySqlCondition.LIKE)
                private String title;
                /**
     * 状态 1已发布 2.未发布 
     */
            @ApiModelProperty(value = "状态 1已发布 2.未发布 ")
                private String status;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private Long createUser;

    @ApiModelProperty(value = "")
    @TableField(exist = false)
    private String createUserName;
                /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date createTime;
                /**
     * 更新人
     */
            @ApiModelProperty(value = "更新人")
                private Long updateUser;

    @ApiModelProperty(value = "更新人")
            @TableField(exist = false)
    private String updateUserName;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String updateTime;
                /**
     * 1 未删除 、2已删除
     */
            @ApiModelProperty(value = "0 未删除 、1已删除")
            @TableLogic(delval = "1" ,value = "0" )
                private Integer delFlag;
            
}
