/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;


/**
 * IOServer监测设备操作数据记录表
 *
 * @author admin
 * @date Mon Nov 14 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "SCADA_IOSERVER_HIS", resultMap = "scadaIoserverHisMap")
@KeySequence("SCADA_IOSERVER_HIS")
@ApiModel
public class ScadaIoserverHis extends Model<ScadaIoserverHis> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 变量编码
     */
    @ApiModelProperty(value = "变量编码")
    private String code;

    @ApiModelProperty(value = "变量名称")
    @TableField(exist = false)
    private String codeName;
    /**
     * 变量值
     */
    @ApiModelProperty(value = "变量值")
    private String value;

    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operationTime;

    /**
     * 质量戳
     */
    @ApiModelProperty(value = "操作人员")
    private Long operationUser;

    @ApiModelProperty(value = "操作人员名称")
    @TableField(exist = false)
    private String operationUserName;

    @ApiModelProperty(value = "查询数据开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date startTime;

    @ApiModelProperty(value = "查询数据结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date endTime;


}
