package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户表
 * @TableName TF_SMPN_USER_X
 */
@TableName(value ="TF_SMPN_USER_X")
@Data
public class UserX implements Serializable {
    /**
     * 用户ID，主键
     */
    private Long id;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 随机数
     */
    private String salt;

    /**
     * 电话
     */
    private String phone;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 部门ID
     */
    private Long departmentId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 是否锁定，1正常，0锁定
     */
    private String lockFlag;

    /**
     * 是否启用禁用，1启用，0禁用
     */
    private String statusFlag;

    /**
     * 扩展功能，微信openid
     */
    private String wxOpenid;

    /**
     * 扩展功能，QQ openid
     */
    private String qqOpenid;

    /**
     * 用户email
     */
    private String email;

    /**
     * 用户姓名
     */
    private String realName;

    /**
     * 最后一次登录时间
     */
    private Date loginTime;

    /**
     * 最后一次访问IP
     */
    private String lastIp;

    /**
     * 密码错误次数
     */
    private Integer pwderrtimes;

    /**
     * 工号
     */
    private String worknumber;

    /**
     * 找回密码关键字
     */
    private String findpwdkey;

    /**
     * 别名
     */
    private String aliasname;

    /**
     * 生日
     */
    private Date birthday;

    /**
     * 属于（学院/部门）
     */
    private String belong;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 用户级别  用于超级管理员与其他用户区分等  。0 超级管理员1普通管理员
     */
    private String userLevel;

    /**
     * 电子签名
     */
    private String esignature;

    /**
     * 创建类型，0自建、1申请创建
     */
    private String createType;

    /**
     * 首次登陆状态,1 首次登录,0 非首次登录
     */
    private String firstlog;

    /**
     * 申请人
     */
    private String applyer;

    /**
     * 申请时间
     */
    private Date applytime;

    /**
     * 申请说明
     */
    private String applystate;

    /**
     * 审核人
     */
    private String auditor;

    /**
     * 用户账号详情
     */
    private String accountstate;

    /**
     * 审核时间
     */
    private Date audittime;

    /**
     * 审核说明
     */
    private String auditstate;

    /**
     * 审核状态,1 未审核,2 同意, 0 不同意
     */
    private String auditstatus;

    /**
     * 备注
     */
    private String note;

    /**
     * 是否启用禁用，1启用，0禁用
     */
    private String enableFlag;

    /**
     * 原始密码
     */
    private String originalPassword;

    /**
     * 岗位
     */
    private String job;

    /**
     * 总公司ID
     */
    private Long parentCompanyId;

    /**
     * 分公司Id
     */
    private Long companyId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}