package com.tofly.scada.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author JF
 * @date 2023/9/15
 * @description 自定义智慧综合展示筛选字段对象
 */
@Data
public class CustomDisplayDto implements Serializable {

    @ApiModelProperty("开始时间（yyyy-MM-dd HH:mm:ss）")
    private String startDate;

    @ApiModelProperty("结束时间（yyyy-MM-dd HH:mm:ss）")
    private String endDate;

    @ApiModelProperty("统计类型（0小时统计;1天统计;2月统计;3年统计）")
    private Integer statisticsType;

    @ApiModelProperty("指标编码列表")
    private List<String> indexCodeList;

    @ApiModelProperty("设备ID列表")
    private List<Long> deviceIdList;

    @ApiModelProperty("设备名称（模糊查询）")
    private String deviceName;

    @ApiModelProperty("是否导出 0否；1是")
    private String isExport;

}
