package com.tofly.scada.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 设备档案管理
 * @TableName TF_DEVICE_ARCHIVE_MANAGE
 */
@TableName(value ="TF_DEVICE_ARCHIVE_MANAGE")
@Data
public class DeviceArchiveManageVo implements Serializable {
    /**
     * 
     */
    @TableId(value = "ID")
    private Long id;

    /**
     * 所属水厂ID
     */
    @TableField(value = "WATER_ID")
    private Long waterId;

    /**
     * 设备编号
     */
    @TableField(value = "CODE")
    private String code;

    /**
     * 设备名称
     */
    @TableField(value = "NAME")
    private String name;

    /**
     * 类型（1水厂,2管网）
     */
    @TableField(value = "TYPE")
    private String type;

    /**
     * 制造日期
     */
    @TableField(value = "MAKE_DATE")
    private Date makeDate;

    /**
     * 设备类型 53400
     */
    @TableField(value = "DEVICE_TYPE")
    private String deviceType;

    /**
     * 制造厂家
     */
    @TableField(value = "MANUFACTURER")
    private String manufacturer;

    /**
     * 型号规格
     */
    @TableField(value = "MODEL_SPECIFICATION")
    private String modelSpecification;

    /**
     * 状态（0故障,1运行中,2空闲,3检修中）
     */
    @TableField(value = "STATUS")
    private String status;

    /**
     * 经度
     */
    @TableField(value = "LONGITUDE")
    private BigDecimal longitude;

    /**
     * 纬度
     */
    @TableField(value = "LATITUDE")
    private BigDecimal latitude;

    /**
     * 负责人
     */
    @TableField(value = "LEADER")
    private String leader;

    /**
     * 联系电话
     */
    @TableField(value = "PHONE")
    private String phone;

    /**
     * 描述
     */
    @TableField(value = "DESCRIBE")
    private String describe;

    /**
     * 
     */
    @TableField(value = "CREATE_USER")
    private Long createUser;

    /**
     * 
     */
    @TableField(value = "CREATE_TIME")
    private Date createTime;

    /**
     * 地址
     */
    @TableField(value = "ADDRESS")
    private String address;

    /**
     * 设备下是否有指标报警（0未报警,1已报警）
     */
    @TableField(exist = false)
    private String isAlarm;

    /**
     * 指标列表
     */
    private List<AllocationVo> allocations;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}