package com.tofly.scada.entity.vo.third;

import cn.hutool.extra.spring.SpringUtil;
import com.tofly.common.oauth.exception.ToflyDeniedException;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ThirdDeviceTypeEnum {

    PRESSURE("压力监测","1","pressure_monitoring_product","pressureResolve"),
    FLOW("流量监测","3","flow_monitoring_product","flowResolve"),
    PRESSUREANDFLOW("流量与压力监测","12","flow_pressure_monitoring","flowAndPressureResolve"),
    WATERWORKD2("二水厂设备","13","waterworkd2",null),
    WATERWORKD3("三水厂设备","14","waterworks",null),
    WATERWORKD1("一水厂设备","15","waterworkd1",null);

    /**
     * 设备类型名称
     */
    private   String name;
    /**
     * 系统设备类型值  1 压力  3 流量
     */
    private String sysDeviceTypeCode;
    /**
     * 设备类型编码
     */
    private String productId;



    /**
     * 设备数据处理类名称
     */
    private String serviceName;


    public  static String   getServiceNameByProductId(String productId){
        for (ThirdDeviceTypeEnum value : values()) {
            if(value.productId.equals(productId)){
                final String serviceName = value.getServiceName();
              return  serviceName;
            }
        }
       return  null;
    }

    public  static String   getDeviceTypeByProductId(String productId){
        for (ThirdDeviceTypeEnum value : values()) {
            if(value.productId.equals(productId)){
                final String deviceTypeCode = value.getSysDeviceTypeCode();
                return  deviceTypeCode;
            }
        }
        return  null;
    }
}
