package com.tofly.scada.service.thirdDevice.Impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.tofly.scada.entity.Scada;
import com.tofly.scada.entity.vo.third.DeviceVo.FlowAndPressureDataVo;
import com.tofly.scada.entity.vo.third.DeviceVo.ThirdFlowDataVo;
import com.tofly.scada.entity.vo.third.ThirdContentVo;
import com.tofly.scada.entity.vo.third.ThirdDataResponse;
import com.tofly.scada.entity.vo.third.ThirdDeviceMessage;
import com.tofly.scada.entity.vo.third.ThirdPage;
import com.tofly.scada.service.ScadaService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service("flowAndPressureResolve")
@Slf4j
public class FlowAndPressureResolve extends ThirdCommonDataResolveImpl<FlowAndPressureDataVo> {
    @Autowired
    private ScadaService scadaService;
    @Override
    public void dataResolve(String message) {
        ThirdDataResponse<ThirdPage<ThirdDeviceMessage>> thirdPageThirdDataResponse=null;
        try {
            thirdPageThirdDataResponse
                    = messageToEntity(message);
        }catch (Exception e){
            log.error(message,e);
        }

        final ThirdPage<ThirdDeviceMessage> result
                = thirdPageThirdDataResponse.getResult();
        final List<ThirdDeviceMessage> data = result.getData();
        List<Scada> scadas = new ArrayList<>();
        int index = 0;
        for (ThirdDeviceMessage datum : data) {
            final FlowAndPressureDataVo flowAndPressureDataVo = dataParse(datum.getContent());
            if(flowAndPressureDataVo!=null){

                //如果数据已存在
                if(! dataFlagPut(datum.getMessageId())){
                    continue;
                }
                if(flowAndPressureDataVo.getK01()==null ||flowAndPressureDataVo.getK02()==null ||flowAndPressureDataVo.getK03()==null){
                    continue;
                }
                final DateTime date = DateUtil.parseDateTime(flowAndPressureDataVo.getTime());
                Scada scada = new Scada();
                scada.setCode(datum.getDeviceId()+".awf");
                scada.setValue(String.valueOf(flowAndPressureDataVo.getK02()));
                scada.setScadaTime(date);
                scada.setUpdateTime(new Date());
                scadas.add(scada);
                Scada scada2 = new Scada();
                scada2.setCode(datum.getDeviceId()+".wf");
                scada2.setValue(String.valueOf(flowAndPressureDataVo.getK01()));
                scada2.setScadaTime(date);
                scada2.setUpdateTime(new Date());
                scadas.add(scada2);

                Scada scada3 = new Scada();
                scada3.setCode(datum.getDeviceId()+".wp");
                scada3.setValue(String.valueOf(flowAndPressureDataVo.getK03()));
                scada3.setScadaTime(date);
                scada3.setUpdateTime(new Date());
                scadas.add(scada3);
                //存储最新值  因为接口为时间倒序，所以第一条为该设备的最新一条数据
                if(index==0){
                    updateScadaMointor(scada,datum.getMessageId());
                    updateScadaMointor(scada2,datum.getMessageId());
                    updateScadaMointor(scada3,datum.getMessageId());
                    index =2;
                }

            }
        }
        scadaService.saveBatch(scadas);

    }

    @Override
    public FlowAndPressureDataVo dataParse(String content)

    {
        log.info("content:"+content);
        try {
            final ThirdContentVo<FlowAndPressureDataVo> thirdFlowDataVoThirdContentVo
                    = JSON.parseObject(content, new TypeReference<ThirdContentVo<FlowAndPressureDataVo>>() {
            });
            final FlowAndPressureDataVo properties = thirdFlowDataVoThirdContentVo.getProperties();
            if(properties ==null ||(properties.getType()!=null && "F2".equals(properties.getType()))){
                //丢掉心跳数据
                return  null;
            }
            return properties;
        }catch (Exception e ){
            log.error(content,e);
        }
        return  null;
    }
}
