package com.tofly.scada.service.thirdDevice.Impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.tofly.scada.entity.Scada;
import com.tofly.scada.entity.vo.third.DeviceVo.ThirdBaseDataVo;
import com.tofly.scada.entity.vo.third.DeviceVo.ThirdFlowDataVo;
import com.tofly.scada.entity.vo.third.DeviceVo.ThirdPressureDataVo;
import com.tofly.scada.entity.vo.third.ThirdContentVo;
import com.tofly.scada.entity.vo.third.ThirdDataResponse;
import com.tofly.scada.entity.vo.third.ThirdDeviceMessage;
import com.tofly.scada.entity.vo.third.ThirdPage;
import com.tofly.scada.service.ScadaService;
import com.tofly.scada.service.thirdDevice.ThirdCommonDataResolve;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
@Service("pressureResolve")
@Slf4j
public class PressureResolve extends ThirdCommonDataResolveImpl<ThirdPressureDataVo> {

    @Autowired
    private ScadaService scadaService;
    @Override
    public void dataResolve(String message) {
        ThirdDataResponse<ThirdPage<ThirdDeviceMessage>> thirdPageThirdDataResponse = null;
        log.debug(message);
        try {
           thirdPageThirdDataResponse
                    = messageToEntity(message);
        }catch (Exception e){
            log.error(message,e);
            return;
        }

        final ThirdPage<ThirdDeviceMessage> result
                = thirdPageThirdDataResponse.getResult();
        final List<ThirdDeviceMessage> data = result.getData();
        List<Scada> scadas = new ArrayList<>();
        int index = 0;
        for (ThirdDeviceMessage datum : data) {
            try {
                final ThirdPressureDataVo thirdPressureDataVo = dataParse(datum.getContent());

                if(thirdPressureDataVo!=null){
                    if(thirdPressureDataVo.getWp()==null){
                        continue;
                    }
                    if(! dataFlagPut(datum.getMessageId())){
                        continue;
                    }
                    final DateTime date = DateUtil.date(Long.valueOf(thirdPressureDataVo.getTm()));
                    Scada scada = new Scada();
                    scada.setCode(datum.getDeviceId()+".wp");
                    scada.setValue(String.valueOf(thirdPressureDataVo.getWp()));
                    scada.setUpdateTime(new Date());
                    scada.setScadaTime(date);
                    scadas.add(scada);
                    if(index==0){
                        updateScadaMointor(scada,datum.getMessageId());
                        index =2;
                    }
                }
            }catch (Exception e){

                log.error(e.getMessage(),datum);
            }

        }
        scadaService.saveBatch(scadas);


    }

    @Override
    public ThirdPressureDataVo dataParse(String content) {
        log.info("content:"+content);
        final ThirdContentVo<ThirdPressureDataVo> thirdFlowDataVoThirdContentVo
                = JSON.parseObject(content, new TypeReference<ThirdContentVo<ThirdPressureDataVo>>() {
        });
        final ThirdPressureDataVo properties = thirdFlowDataVoThirdContentVo.getProperties();
        if(properties==null){
            return  null;
        }
        if(properties.getType()!=null ){
            //丢掉心跳数据
            return  null;
        }
        return properties;
    }
}