package com.tofly.scada.service.thirdDevice.Impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tofly.scada.entity.Scada;
import com.tofly.scada.entity.ScadaMonitor;
import com.tofly.scada.entity.vo.third.ThirdDataResponse;
import com.tofly.scada.entity.vo.third.ThirdDeviceMessage;
import com.tofly.scada.entity.vo.third.ThirdPage;
import com.tofly.scada.service.ScadaMonitorService;
import com.tofly.scada.service.thirdDevice.ThirdCommonDataResolve;
import io.swagger.models.auth.In;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.concurrent.TimeUnit;

@Service
public abstract class ThirdCommonDataResolveImpl<T> implements ThirdCommonDataResolve {
    @Autowired
    private StringRedisTemplate redisTemplate;

    @Autowired
    private ScadaMonitorService scadaMonitorService;


 final static  String DATA_INSERT_FLAG="THIRD:DATA:INSERT:";
 final static Integer time_expire=120;
    public ThirdDataResponse<ThirdPage<ThirdDeviceMessage>> messageToEntity(String message){
        final ThirdDataResponse<ThirdPage<ThirdDeviceMessage>> thirdPageThirdDataResponse = JSON.parseObject(message, new TypeReference<ThirdDataResponse<ThirdPage<ThirdDeviceMessage>>>() {
        });
        return  thirdPageThirdDataResponse;
    }

    /**
     * 将数据id放入redis 标识系统已经处理 避免重复处理
     * @param dataId
     */
  Boolean  dataFlagPut(String dataId){
   return    redisTemplate.opsForValue().setIfAbsent(DATA_INSERT_FLAG+dataId,"",time_expire,TimeUnit.MINUTES);
  }


    /**
     * 更新最新数据
     * @param scada
     */
   protected void updateScadaMointor(Scada scada,String messageId){
        ScadaMonitor one = scadaMonitorService.getOne(Wrappers.
                <ScadaMonitor>lambdaQuery().eq(ScadaMonitor::getCode, scada.getCode()));
        if(one==null){
            one = new ScadaMonitor();
            one.setCode(scada.getCode());

        }
        one.setScadaTime(scada.getScadaTime());
        one.setValue(scada.getValue());
        one.setUpdateTime(new Date());
       one.setBz(messageId);
        scadaMonitorService.saveOrUpdate(one);
    }
}
