package com.tofly.spire.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 指标配置
 * @TableName TF_INDEX_ALLOCATION
 */
@TableName(value ="TF_INDEX_ALLOCATION")
@Data
public class IndexAllocation implements Serializable {
    /**
     * 
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 所属设备ID
     */
    private Long deviceId;

    /**
     * 指标类型（1出口,2入口,3加药,4其他）
     */
    private String model;

    /**
     * 变量编码
     */
    private String variableCode;

    /**
     * 变量名称
     */
    private String variableName;

    /**
     * 显示名称
     */
    private String displayName;

    /**
     * 单位
     */
    private String unit;

    /**
     * 报警上限
     */
    private BigDecimal alarmUpperLimit;

    /**
     * 报警下限
     */
    private BigDecimal alarmLowerLimit;

    /**
     * 是否报警（0未报警,1已报警）
     */
    private String isAlarm;

    /**
     * 排序号
     */
    private String sortNumber;

    /**
     * 精度
     */
    private Long accuracy;

    /**
     * 设备档案编号
     */
    private String archivesCode;

    /**
     * 描述
     */
    private String describe;

    /**
     * 
     */
    private Long createUser;

    /**
     * 
     */
    private Date createTime;

    /**
     * 指标归属(字典码表关联 父级字典id60000)
     */
    private String type;

    /**
     * 绑定报警类型ID
     */
    private String reportId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}