package com.tofly.spire.entity.dto;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;

import javax.validation.constraints.*;

import org.hibernate.validator.constraints.*;

/**
 * 小表（户表）阀门控制(SpireGate)表实体类
 *
 * @author HaiQiu
 * @since 2022-11-11 13:40:45
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SpireGate对象", description = "小表（户表）阀门控制")
public class SpireGateDto implements Serializable {

    private static final long serialVersionUID = 327005228436698102L;

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 表号
     */
    @Size(max = 255, message = "表号长度不能超过255")
    @ApiModelProperty(value = "表号")
    private String sn;

    /**
     * true=开阀 false=关阀
     */
    @Size(max = 255, message = "true=开阀 false=关阀长度不能超过255")
    @ApiModelProperty(value = "true=开阀 false=关阀")
    private String flag;

    /**
     * 操作状态
     */
    @Size(max = 255, message = "操作状态长度不能超过255")
    @ApiModelProperty(value = "操作状态")
    private String status;

    /**
     * 上传时间
     */
    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date uploadTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 接口调用响应数据
     */
    @Size(max = 1000, message = "接口调用响应数据长度不能超过1000")
    @ApiModelProperty(value = "接口调用响应数据")
    private String result;

}

