package com.tofly.spire.entity.dto;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;

import javax.validation.constraints.*;

import org.hibernate.validator.constraints.*;

/**
 * 小表（户表）(SpireMinGrid)表实体类
 *
 * @author HaiQiu
 * @since 2022-11-11 11:52:49
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SpireMinGrid对象", description = "小表（户表）")
public class SpireMinGridDto implements Serializable {

    private static final long serialVersionUID = 825995165964797380L;

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 累计量(m³)
     */
    @Size(max = 255, message = "累计量(m³)长度不能超过255")
    @ApiModelProperty(value = "累计量(m³)")
    private String accFlow;

    /**
     * 瞬时量 (m³/h)
     */
    @Size(max = 255, message = "瞬时量 (m³/h)长度不能超过255")
    @ApiModelProperty(value = "瞬时量 (m³/h)")
    private String flow;

    /**
     * 温度 (℃)
     */
    @Size(max = 255, message = "温度 (℃)长度不能超过255")
    @ApiModelProperty(value = "温度 (℃)")
    private String temp;

    /**
     * 表具状态
     */
    @Size(max = 255, message = "表具状态长度不能超过255")
    @ApiModelProperty(value = "表具状态")
    private String meterStatus;

    /**
     * 表具时间
     */
    @ApiModelProperty(value = "表具时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date readTime;

    /**
     * 表号
     */
    @Size(max = 255, message = "表号长度不能超过255")
    @ApiModelProperty(value = "表号")
    private String sn;

    /**
     * 上传时间
     */
    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date uploadTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}

