package com.tofly.water.config;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @author HaiQiu
 * @since 2023/2/7
 */
@Data
@Component
@RefreshScope
@ConfigurationProperties(prefix = "water.setting")
public class CodeSetting implements Serializable {

    /**
     * 取水用水code，多个逗号隔开
     */
    @ApiModelProperty(value = "取水用水")
    private String waterIntake;

    /**
     * 流失量code，多个逗号隔开
     */
    @ApiModelProperty(value = "流失量")
    private String amountOfLoss;

    /**
     * 水压code，多个逗号隔开
     */
    @ApiModelProperty(value = "水压")
    private String hydraulicPressure;

    /**
     * 出厂浊度:余氯,浊度,PH code，多个逗号隔开
     */
    @ApiModelProperty(value = "出厂浊度:余氯,浊度,PH")
    private String factoryTurbidity;
    /**
     * 出厂余氯历code，多个逗号隔开
     */
    @ApiModelProperty(value = "出厂余氯历")
    private String exFactoryResidualChlorine;

    /**
     * 出厂PH code，多个逗号隔开
     */
    @ApiModelProperty(value = "出厂PH")
    private String exFactoryPh;


    /**
     * 流水code，多个逗号隔开
     */
    @ApiModelProperty(value = "流水")
    private String flowingWater;

    /**
     * 水质合格率code，多个逗号隔开
     */
    @ApiModelProperty(value = "水质合格率")
    private String qualifiedRateOfWaterQuality;

    /**
     * 日供水吨code，多个逗号隔开
     */
    @ApiModelProperty(value = "日供水吨")
    private String dailyWaterSupply;

}
