package com.tofly.water.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;
import com.haiqiu.tools.excel.annotation.Excel;

/**
 * 记录设备运行时长状态(ScadaStatusDuration)表实体类
 *
 * @author HaiQiu
 * @since 2022-12-26 17:12:04
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "SCADA_STATUS_DURATION", resultMap = "ScadaStatusDurationMap")
@ApiModel(value = "ScadaStatusDuration对象", description = "记录设备运行时长状态")
public class ScadaStatusDuration extends Model<ScadaStatusDuration> {

    private static final long serialVersionUID = 743021192553365746L;

    /**
     * 主键ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "主键ID")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 指标编号
     */
    @Excel(name = "指标编号")
    @ApiModelProperty(value = "指标编号")
    private String code;
    /**
     * 采集值
     */
    @Excel(name = "采集值")
    @ApiModelProperty(value = "采集值")
    private String value;
    /**
     * Scada采集时间
     */
    @Excel(name = "Scada采集时间")
    @ApiModelProperty(value = "Scada采集时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date scadaTime;
    /**
     * 入库时间
     */
    @Excel(name = "入库时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 运行时长
     */
    @Excel(name = "运行时长")
    @ApiModelProperty(value = "运行时长")
    private String runTime;
    /**
     * 上下数据相隔时长
     */
    @Excel(name = "上下数据相隔时长")
    @ApiModelProperty(value = "上下数据相隔时长")
    private String total;
}

