package com.tofly.water.entity.dto;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;

import javax.validation.constraints.*;

/**
 * 调度计划绑定水泵(PlanPump)表实体类
 *
 * @author HaiQiu
 * @since 2022-11-22 13:57:02
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "PlanPump对象", description = "调度计划绑定水泵")
public class PlanPumpDto implements Serializable {

    private static final long serialVersionUID = -43135027946253622L;

    /**
     * 主键ID
     */
    @Digits(integer = 20, fraction = 0, message = "主键ID长度不能超过20")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 调度计划ID(TF_LABOR_PLAN表和TF_OPERATION_PLAN表的ID)
     */
    @Digits(integer = 20, fraction = 0, message = "调度计划ID(TF_LABOR_PLAN表和TF_OPERATION_PLAN表的ID)长度不能超过20")
    @ApiModelProperty(value = "调度计划ID(TF_LABOR_PLAN表和TF_OPERATION_PLAN表的ID)")
    private Long planId;

    /**
     * 类型（0调度方案管理，1调度日志）
     */
    @ApiModelProperty(value = "类型（0调度方案管理，1调度日志）")
    private Boolean planType;

    /**
     * 水泵ID
     */
    @Digits(integer = 20, fraction = 0, message = "水泵ID长度不能超过20")
    @ApiModelProperty(value = "水泵ID")
    private Long pumpDetailId;

    /**
     * 排序
     */
    @Digits(integer = 15, fraction = 0, message = "排序长度不能超过15")
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 开关状态(0关闭，1开启)
     */
    @ApiModelProperty(value = "开关状态(0关闭，1开启)")
    private Boolean status;

    /**
     * 删除，0未删除，1已删除
     */
    @ApiModelProperty(value = "删除，0未删除，1已删除")
    private Boolean deleted;

    /**
     * 创建人
     */
    @Digits(integer = 20, fraction = 0, message = "创建人长度不能超过20")
    @ApiModelProperty(value = "创建人")
    private Long createdUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Digits(integer = 20, fraction = 0, message = "更新人长度不能超过20")
    @ApiModelProperty(value = "更新人")
    private Long updatedUser;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

}

