package com.tofly.water.entity.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author HaiQiu
 * @since 2022/12/12
 */
@Data
public class MonitorWaterVo {

    /**
     * 泵站名称
     */
    @ApiModelProperty(value = "水厂名称")
    @Excel(name = "水厂名称")
    private String wName;

    /**
     * 泵站名称
     */
    @ApiModelProperty(value = "设备名称")
    @Excel(name = "设备名称")
    private String dName;

    /**
     * 指标参数名称
     */
    @ApiModelProperty(value = "指标参数名称")
    @Excel(name = "指标参数名称")
    private String iaName;

    /**
     * 指标类型（1出口,2入口,3加药）
     */
    @ApiModelProperty(value = "指标类型（1出口,2入口,3加药）")
    private String iaModel;

    /**
     * 指标归属(字典码表关联 例如:01 瞬时流量)
     */
    @ApiModelProperty(value = "指标归属(字典码表关联 例如:01 瞬时流量)")
    private String iaType;

    /**
     * 监测值
     */
    @ApiModelProperty(value = "监测值")
    @Excel(name = "监测值")
    private String value;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    @Excel(name = "单位")
    private String unit;

    /**
     * 数据状态
     */
    @ApiModelProperty(value = "数据状态")
    @Excel(name = "数据状态")
    private String status;

    /**
     * 报警等级
     */
    @ApiModelProperty(value = "报警等级")
    @Excel(name = "报警等级")
    private String reportLevel;


    /**
     * 监测阈值
     */
    @ApiModelProperty(value = "监测阈值")
    @Excel(name = "监测阈值")
    private String rangeVal;

    /**
     * 采集时间
     */
    @ApiModelProperty(value = "采集时间")
    @Excel(name = "采集时间")
    private String scadaTime;

    /**
     * 报警上限
     */
    @ApiModelProperty(value = "报警上限")
    private String reportUpper;


    /**
     * 报警下限
     */
    @ApiModelProperty(value = "报警下限")
    private String reportLower;

}
