package com.tofly.water.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.scada.entity.Allocation;
import com.tofly.water.entity.dto.MonitorDto;
import com.tofly.water.entity.dto.MonitorRealDto;
import com.tofly.water.entity.dto.OverviewDto;
import com.tofly.water.entity.dto.StatisticsRealDto;
import com.tofly.water.entity.vo.*;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @author HaiQiu
 * @since 2022/11/30
 */
public interface OverviewMapper {

    Page<DeviceBusPumpsVo> getDevicesByPage(Page page, @Param("queryWrapper") OverviewDto queryWrapper);

    List<DeviceBusPumpsVo> getDevices(@Param("queryWrapper") OverviewDto queryWrapper);

    List<MonitorPumpVo> monitor(@Param("overviewDto") MonitorDto overviewDto, @Param("tableName") String tableName);

    Page<MonitorPumpVo> pageMonitor(Page page, @Param("overviewDto") MonitorDto overviewDto, @Param("tableName") String tableName);


    List<MonitorWaterVo> monitorWater(@Param("overviewDto") MonitorRealDto overviewDto, @Param("tableName") String tableName);

    Page<MonitorWaterVo> pageMonitorWater(Page page, @Param("overviewDto") MonitorRealDto overviewDto, @Param("tableName") String tableName);

    Page<ReportPumpVo> reportRealPage(Page page, @Param("overviewDto") MonitorRealDto dto);

    List<ReportPumpVo> reportReal(Page page, @Param("overviewDto") MonitorRealDto dto);

    Page<ReportWaterVo> reportRealWaterPage(Page page, @Param("overviewDto") MonitorRealDto dto);

    List<ReportWaterVo> reportWaterReal(Page page, @Param("overviewDto") MonitorRealDto dto);


    List<StatisticsPumpRealVo> statisticsPumpReal(@Param("overviewDto") StatisticsRealDto overviewDto);

    Page<StatisticsPumpRealVo> statisticsPumpRealPage(Page page, @Param("overviewDto") StatisticsRealDto overviewDto);


    List<StatisticsWaterRealVo> statisticsPumpWater(@Param("overviewDto") StatisticsRealDto overviewDto);

    Page<StatisticsWaterRealVo> statisticsPumpWaterPage(Page page, @Param("overviewDto") StatisticsRealDto overviewDto);

    List<ScadaReportVo> reportCount();


    @Select("select ID from TF_WATER_INFO")
    List<Long> getWaterIds();


    String selectValueByCode(String code,Long pumpGroupId);

    List<Allocation> selectPumpByIndex(@Param("ids") List<Long> ids,@Param("type") Integer type);
}
