package com.tofly.water.mapper;


import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.tofly.water.entity.PlanPump;

/**
 * 调度计划绑定水泵(PlanPump)表数据库访问层
 *
 * @author HaiQiu
 * @since 2022-11-22 13:57:01
 */
public interface PlanPumpMapper extends BaseMapper<PlanPump> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<PlanPump> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<PlanPump> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<PlanPump> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<PlanPump> entities);


    /**
     * 查询关联
     * @param planId
     * @return
     */
    List<PlanPump> selectByLaborPlanId(Long planId);

    /**
     * 查询关联
     * @param planId
     * @return
     */
    List<PlanPump> selectByOperationPlanId(Long planId);
}

