package com.tofly.water.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.water.entity.PlanPump;
import com.tofly.water.entity.dto.PlanPumpDto;

import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * 调度计划绑定水泵(PlanPump)表服务接口
 *
 * @author HaiQiu
 * @since 2022-11-22 11:42:40
 */
public interface PlanPumpService extends IService<PlanPump> {

    /**
     * 根据ID查询
     *
     * @param id id
     * @return 数据
     */
    PlanPump get(Serializable id);

    /**
     * 新增
     *
     * @param planPumpDto 实体
     */
    void insert(PlanPumpDto planPumpDto);

    /**
     * 修改
     *
     * @param planPumpDto 实体
     */
    void edit(PlanPumpDto planPumpDto);

    /**
     * 批量删除
     *
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 生成模板下载
     */
    void template();

    /**
     * 数据导入
     *
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 分页查询
     *
     * @param page     分页
     * @param planPump 查询wrapper
     * @return 数据集合
     */
    Page<PlanPump> pageList(Page page, PlanPump planPump);

    /**
     * 数据导出
     *
     * @param page     分页
     * @param planPump 查询模型
     * @param isAll    是否导出全部数据，true是，false否
     */
    void export(Page page, PlanPump planPump, Boolean isAll);

    /**
     * 查询所有数据
     *
     * @param planPump 查询条件
     * @return 查询所有数据
     */
    List<PlanPump> allList(PlanPump planPump);
}

