package com.tofly.quality;

import com.tofly.quality.common.FeignConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author HaiQiu
 * @since 2022/10/31
 */
@EnableScheduling
@EnableAsync
@EnableFeignClients(basePackages ={"com.tofly.common.log"},defaultConfiguration = {FeignConfig.class})
@ComponentScan({"com.tofly.*"})
@MapperScan({"com.tofly.*.mapper"})
@SpringCloudApplication
public class WaterQualityApp {
    public static void main(String[] args) {
        SpringApplication.run(WaterQualityApp.class,args);
        System.out.println("化验室水质管理系统-------->启动成功");
    }
}
