package com.tofly.quality.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.statics.dto.StaticsQueryDto;
import com.tofly.quality.entity.CollectMs;
import com.tofly.quality.service.CollectMsService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
@RestController
@AllArgsConstructor
@RequestMapping("/commonstatics")
@Api(tags = "统计")
public class CommonStaticsController {
    @Autowired
    private CollectMsService collectMsService;
    @GetMapping("/staticsData")
    public ResultRespone<Map> getStaticsData(Date beginDate, Date endDate,String type){
        StaticsQueryDto staticsQueryDto = new StaticsQueryDto();
        staticsQueryDto.setBeginDate(beginDate);
        staticsQueryDto.setEndDate(endDate);
        staticsQueryDto.setType(type);
        Map map = new HashMap();
        if("month".equals(staticsQueryDto.getType())){
            final List<Map<String, Integer>> maps = collectMsService.staticsDataOverMonth(staticsQueryDto);
            map.put("collectMsOvermonth",maps);

        }else  if("all".equals(staticsQueryDto.getType())){
            final int count = collectMsService.count(Wrappers.<CollectMs>lambdaQuery()
                    .ge(CollectMs::getCollectTime, staticsQueryDto.getBeginDate())
                    .le(CollectMs::getCollectTime, staticsQueryDto.getEndDate()));
            map.put("collectMsCount",count);
        }
        return  ResultRespone.success(map);
    }
}
