/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.quality.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 化验结果明细
 *
 * @author admin
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_WATERQUALITY_ASSAY_RES_MX_W", resultMap = "assayResMxWMap")
@KeySequence("TF_WATERQUALITY_ASSAY_RES_MX_W")
@ApiModel
public class AssayResMxW extends Model<AssayResMxW> {
    private static final long serialVersionUID = 1L;

    /**
     * 化验结果Id
     */

    @ApiModelProperty(value = "化验结果Id",hidden = true)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long assayResultId;
    /**
     * 水样编号
     */
    @ApiModelProperty(value = "水样编号",hidden = true)
    private String collectNo;
    /**
     * 化验项id
     */
    @ApiModelProperty(value = "化验项id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long assayDicId;

    /**
     * 化验项名称
     */
    @ApiModelProperty(value = "化验项名称",hidden = true)
    @TableField(exist = false)
    private String assayDicName;

    /**
     * 化验值
     */
    @ApiModelProperty(value = "化验值")
    private String assayCheckValue;
    /**
     * 化验人
     */
    @ApiModelProperty(value = "化验人")
    private String assayUser;


    /**
     * 化验时间
     */
    @ApiModelProperty(value = "化验时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date assayTime;
    /**
     * 化验结果
     */
    @ApiModelProperty(value = "化验结果")
    private String assayResult;




}
