/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.quality.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.tofly.quality.entity.comm.File;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 眉山水质检测采集主表
 *
 * @author admin
 * @date Thu Mar 23 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_WATERQUALITY_COLLECT_MS_W", resultMap = "collectMsMap")
//@KeySequence("TF_WATERQUALITY_COLLECT_MS_W")
@ApiModel
public class CollectMs extends Model<CollectMs> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
     * 水样编号
     */
    @ApiModelProperty(value = "水样编号")
    private String collectNo;
    /**
     * 采集时间
     */
    @ApiModelProperty(value = "采集时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;
    /**
     * 采集地点
     */
    @ApiModelProperty(value = "采集地点")
    private String samplePlaceName;
    /**
     * 采样点X坐标
     */
    @ApiModelProperty(value = "采样点X坐标")
    private Double samplePlacePointX;
    /**
     * 采样点Y坐标
     */
    @ApiModelProperty(value = "采样点Y坐标")
    private Double samplePlacePointY;
    /**
     * 采集人员
     */
    @ApiModelProperty(value = "采集人员")
    private String sampleUser;
    /**
     * 化验人员
     */
    @ApiModelProperty(value = "化验人员")
    private String assayUser;
    /**
     * 化验时间
     */
    @ApiModelProperty(value = "化验时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date assayTime;
    /**
     * 化验地点
     */
    @ApiModelProperty(value = "化验地点")
    private String assayPlace;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_DATE", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;

    /**
     * 备注描述
     */
    @ApiModelProperty(value = "备注描述")
    private String remark;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private  String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;


    @ApiModelProperty(hidden = true, value = "文件路径列表")
    @TableField(exist = false)
    private List<File> fileUpLoadList;

    @ApiModelProperty(value = "化验项列表")
    @TableField(exist = false)
    private List<AssayResMxW> assayResultDetails;

    /**
     * 是否作废 0-作废 1-正常
     */
    @ApiModelProperty(value = "是否作废 0-作废 1-正常")
    @TableLogic(value = "0",delval = "1")
    private String isDelete;

}
