package com.tofly.quality.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.quality.entity.comm.CommQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class CollectWQuery extends CommQuery {


    @ApiModelProperty(value = "水样编号")
    private String collectNo;

    @ApiModelProperty(value = "化验项id")
    private long assayConfigId;

    @ApiModelProperty(value = "化验项目")
    private String assayConfigName;


    @ApiModelProperty(value = "采样地点id")
    private Long samplePlaceId;

    @ApiModelProperty(value = "采样地点")
    private String samplePlaceName;

    @ApiModelProperty(value = "采集人")
    private String collectUser;


    @ApiModelProperty(value = "采样开始时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date collectStartTime;

    @ApiModelProperty(value = "采样结束时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date collectEndTime;

    @ApiModelProperty(value = "送检开始时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date inspectionStartTime;

    @ApiModelProperty(value = "送检结束时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date inspectionEndTime;
}
