package com.tofly.quality.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.quality.entity.comm.CommQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class WasteMgQuery extends CommQuery {

    @ApiModelProperty(value = "上报公司")
    private String proUnit;

    @ApiModelProperty(value = "处置公司")
    private String disposalCom;

    @ApiModelProperty(value = "固废物名称")
    private String wasteName;

    @ApiModelProperty(value="固废类别代码")
    private String typeCode;

    @ApiModelProperty(value="固废类别名称")
    private String typeName;

    @ApiModelProperty(value = "处置开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date disposalStartTime;

    @ApiModelProperty(value = "处置结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date disposalEndTime;

}
