/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.quality.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.statement.dto.StatementDto;
import com.tofly.pojo.statics.dto.StaticsQueryDto;
import com.tofly.quality.entity.AssayResMxW;
import com.tofly.quality.entity.AssayResultW;
import com.tofly.quality.entity.CollectMs;
import com.tofly.quality.entity.dto.AssayResultWQuery;
import com.tofly.quality.entity.dto.CollectMsQuery;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

import java.util.List;
import java.util.Map;

/**
 * 眉山水质检测采集主表
 *
 * @author admin
 * @date Thu Mar 23 00:00:00 CST 2023
 */
@Repository
public interface CollectMsMapper extends BaseMapper<CollectMs> {
    Page<CollectMs> getPageData(Page page, @Param("qry") CollectMsQuery query);

    String getResultMaxNo(@Param("collectMsNo") String collectMsNo);

    List<CollectMs>getResultList(@Param("collectMsId") Long collectMsId);

    @Select("SELECT DATE_FORMAT(collect_Time, '%Y%m') month ,count(1) total from TF_WATERQUALITY_COLLECT_MS_W  ${ew.customSqlSegment}  ")
    public List<Map<String,Integer>> staticsDataOverMonth(StaticsQueryDto staticsQueryDto, @Param(Constants.WRAPPER) QueryWrapper<StatementDto> queryWrapper);


}
