/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.quality.service.comm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.quality.entity.comm.File;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 公共文件表： TF_YWPN_FILE_W
 *
 * @author xqf
 * @date Fri Mar 11 00:00:00 CST 2022
 */
public interface FileService extends IService<File> {

    /**
     * 上传文件,并获取文件id,以 , 隔开
     *
     * @param fileList
     * @param filePathBean
     * @param tableName
     * @return
     */
    StringBuilder saveFileList(List<MultipartFile> fileList, String filePathBean, String tableName);

    /**
     * 根据文件id列表删除远程文件略表
     *
     * @param fileIdList
     * @return
     */
    Boolean removeFileList(List<Long> fileIdList);

    /**
     * 根据文件id列表获取文件路径列表
     *
     * @param fileIdList
     * @return
     */
    List<Map<String,String>> getFileInfo(List<Long> fileIdList);

    /**
     * 上传文件,并获取文件id, 返回Map 文件名，id
     * @param fileList 文件集合
     * @param filePathBean 文件路径
     * @param tableName 表名称
     * @return
     */
    Map<String, Long> saveFileMap(List<MultipartFile> fileList,String filePathBean,String tableName);
}
