/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.quality.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mysql.cj.util.StringUtils;
import com.tofly.common.core.util.StringUtil;
import com.tofly.quality.entity.SolidwasteType;
import com.tofly.quality.entity.dto.SolidWasteTypeQuery;
import com.tofly.quality.service.SolidwasteTypeService;
import org.springframework.stereotype.Service;
import com.tofly.quality.mapper.SolidwasteTypeMapper;

import java.util.Arrays;
import java.util.List;

/**
 * 固废类型表
 *
 * @author admin
 * @date Thu Mar 30 00:00:00 CST 2023
 */
@Service("solidwasteTypeService")
public class SolidwasteTypeServiceImpl extends ServiceImpl<SolidwasteTypeMapper, SolidwasteType> implements SolidwasteTypeService {

    @Override
    public Page<SolidwasteType> getPageData(Page page, SolidWasteTypeQuery query) {
        if (query.getStartTime() != null && query.getStartTime() != null) {
            if (query.getStartTime().getTime() > query.getEndTime().getTime()) {
                throw new RuntimeException("开始时间不能大于结束时间");
            }
        }
        return this.baseMapper.getPageData(page, query);
    }

    @Override
    public boolean selectByName(String SmallTypeName, Long id) {
        if (StringUtils.isNullOrEmpty(SmallTypeName)) {
            throw new RuntimeException("类型名称不能为空");
        }
        QueryWrapper<SolidwasteType> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("TNAME_S", SmallTypeName);
        if (id != 0) {
            queryWrapper.ne("ID", id);
        }
        Integer count = baseMapper.selectCount(queryWrapper);

        if (count > 0) {
            return false;
        }
        return true;
    }

    @Override
    public boolean deleteByIds(String ids) {
        List<String> list = Arrays.asList(ids.split(","));
        return super.removeByIds(list);
    }
}
