/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.watermeter.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.watermeter.entity.QfmidyhdaE;
import com.tofly.watermeter.service.QfmidyhdaEService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 营销中间库表，用户档案表
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@RestController
@AllArgsConstructor
@RequestMapping("/qfmidyhdae")
@Api(tags="营销中间库表，用户档案表接口")
public class QfmidyhdaEController {

    private final  QfmidyhdaEService qfmidyhdaEService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param qfmidyhdaE 营销中间库表，用户档案表
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getQfmidyhdaEPage(Page page, @ModelAttribute QfmidyhdaE qfmidyhdaE) {
      return ResultRespone.success(qfmidyhdaEService.page(page, Wrappers.query(qfmidyhdaE)));
    }


    /**
     * 通过id查询营销中间库表，用户档案表
     * @param yhbh id
     * @return ResultRespone
     */
    @GetMapping("/{yhbh}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "yhbh", value = "ID", required = true, dataType = "String")
    })
    public ResultRespone getById(@PathVariable("yhbh" ) String yhbh) {
      return ResultRespone.success(qfmidyhdaEService.getById(yhbh));
    }

    /**
     * 新增营销中间库表，用户档案表
     * @param qfmidyhdaE 营销中间库表，用户档案表
     * @return ResultRespone
     */
    //="新增营销中间库表，用户档案表" )
    @ApiOperation(value = "新增营销中间库表，用户档案表")
    @PostMapping
    public ResultRespone save(@RequestBody QfmidyhdaE qfmidyhdaE) {
      return ResultRespone.success(qfmidyhdaEService.save(qfmidyhdaE));
    }

    /**
     * 修改营销中间库表，用户档案表
     * @param qfmidyhdaE 营销中间库表，用户档案表
     * @return ResultRespone
     */
    //="修改营销中间库表，用户档案表" )
    @ApiOperation(value = "修改营销中间库表，用户档案表")
    @PutMapping
    public ResultRespone updateById(@RequestBody QfmidyhdaE qfmidyhdaE) {
      return ResultRespone.success(qfmidyhdaEService.updateById(qfmidyhdaE));
    }

    /**
     * 通过id删除营销中间库表，用户档案表
     * @param yhbh id
     * @return ResultRespone
     */
    //="通过id删除营销中间库表，用户档案表" )
    @ApiOperation(value = "通过ID删除营销中间库表，用户档案表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "yhbh", value = "ID", required = true, dataType = "String")
    })
    @DeleteMapping("/{yhbh}" )
    public ResultRespone removeById(@PathVariable String yhbh) {
      return ResultRespone.success(qfmidyhdaEService.removeById(yhbh));
    }

    /**
     * 通过id批量删除营销中间库表，用户档案表
     * @param ids id
     * @return ResultRespone
     */
    //="通过id批量删除营销中间库表，用户档案表" )
    @ApiOperation(value = "通过ID批量删除营销中间库表，用户档案表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeByIds(String ids) {
        return ResultRespone.success(qfmidyhdaEService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
