package com.tofly.watermeter.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
@Data
@EqualsAndHashCode
public class ReadFarDo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 用户编号
     */
    @NotNull
    @ApiModelProperty(value = "用户编号",required = true)
    private String yhbh;

    /**
     * (上次读数)起度
     */
    @NotNull
    @ApiModelProperty(value = "(上次读数)起度",required = true)
    private Long scds;
    /**
     * 本次读数
     */
    @NotNull
    @ApiModelProperty(value = "(本次读数)止度",required = true)
    private Long bcds;

    /**
     * 抄表日期
     */
    @NotNull
    @ApiModelProperty(value = "抄表日期",required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cbrq;

    /**
     * 抄表月份
     */
    @NotBlank
    @ApiModelProperty(value = "抄表月份",required = true)
    private String cbyf;

    /**
     * 本次水量 本次增量
     */
    @NotNull
    @ApiModelProperty(value = "本次水量 本次增量",required = true)
    private Long bczl;

    private String sbkj;

    private String ysxz;

    /**
     * 抄表方式编码
     */
    @NotBlank
    @ApiModelProperty(value = "抄表方式",required = true)
    private String cbfscode;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注"  )
    private String bz;

}
