/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.custom.entity;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 批量安装根据Excel表导入数据得到的零时表
 *
 * @author wangjieliu
 * @date Tue Mar 16 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWSBAZ_TEMP", resultMap = "bwsbazTempMap")
@KeySequence("TF_YWPN_BWSBAZ_TEMP")
@ApiModel
public class BwsbazTemp extends Model<BwsbazTemp> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal id;
    /**
     * 水表编号
     */
    @Excel(name = "水表编号")
    @ApiModelProperty(value = "水表编号")
    private String sbbh;
    /**
     * 客户编号
     */
    @Excel(name = "客户编号")
    @ApiModelProperty(value = "客户编号")
    private String khbh;
    /**
     * 客户姓名
     */
    @Excel(name = "客户姓名")
    @ApiModelProperty(value = "客户姓名")
    private String khxm;
    /**
     * 客户地址
     */
    @Excel(name = "客户地址")
    @ApiModelProperty(value = "客户地址")
    private String khdz;
    /**
     * 客户电话
     */
    @Excel(name = "客户电话")
    @ApiModelProperty(value = "客户电话")
    private String khdh;
    /**
     * 水表起度
     */
    @Excel(name = "水表起度")
    @ApiModelProperty(value = "水表起度")
    private float sbqd;
    /**
     * 安装人员
     */
    @Excel(name = "安装人员")
    @ApiModelProperty(value = "安装人员")
    private String azry;
    /**
     * 安装日期
     */
    @Excel(name = "安装日期")
    @ApiModelProperty(value = "安装日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date azrq;

//    @TableField(exist = false)
//    private String prefix;
//    @TableField(exist = false)
//    private Long num;


}
