package com.tofly.watermeter.custom.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/7/27 16:49
 */
@Data
public class MeterInfo {
    /**
     * 批次名称
     */
    @ApiModelProperty(value = "批次名称")
    private String pcmc;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private String sbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private String sblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private String sbkj;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Long num;

    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    private String createuser;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdate;

    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String lsbh;


}
