package com.tofly.watermeter.custom.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/3/24 18:51
 */
@Data
public class Statistic {
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private Long bwSbcj;
    @ApiModelProperty(value = "多选厂家；逗号隔开")
    private String sbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private Long bwSblx;
    @ApiModelProperty(value = "多选类型；逗号隔开")
    private String sblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private Long bwSbkj;
    @ApiModelProperty(value = "多选口径；逗号隔开")
    private String sbkj;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String sbbh;

    /**
     * 水表状态
     */
    @ApiModelProperty(value = "水表状态")
    private Long sbzt;

    @ApiModelProperty(value = "查询状态；1：库存统计，2：新装统计，3：出库统计，4：报废统计，5：换表统计，6：争议统计")
    private String queryState;

    @ApiModelProperty(value = "导出标识；1：导出")
    private String templateFlag;

    /**
     * 日期
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "使用天数(大于等于)")
    private Integer syDate;

    @ApiModelProperty(value = "起始月份")
    private String startMonth;
    @ApiModelProperty(value = "结束月份")
    private String endMonth;

    @ApiModelProperty(value = "用水性质可多选")
    private String ysxz;
}
