package com.tofly.watermeter.custom.entity.meterRead;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.CertificationOrderDto;
import com.tofly.pojo.GdglinfoExtendDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/12/22 14:39
 */
@Data
public class AuditQuality {
    @ApiModelProperty(value = "开始日期：用于一键上报")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty(value = "结束日期：用于一键上报")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty(value = "抄表区域")
    private String cbqy ;

    @ApiModelProperty(value = "抄表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cbrq;
    @ApiModelProperty(value = "审核结果；0：人工确认通过；1：转质检工单；2：取消确认通过；3：一键上报质检工单")
    private String auditResult;
    @ApiModelProperty(value = "审核原因")
    private String auditPassReson;
    @ApiModelProperty(value = "用户编号 可不传")
    private String yhbh;
    @ApiModelProperty(value = "是否卡表；0：机械表；1：卡表")
    private String isGeneral;
    @ApiModelProperty(value = "抄表后产生的唯一标识，必传")
    private String soleSign;
    @ApiModelProperty(value = "质检实体参数")
    private CertificationOrderDto certificationOrderDto;

    @ApiModelProperty(value = "工单实体参数")
    private GdglinfoExtendDto gdglinfoExtendDto;




}
