package com.tofly.watermeter.custom.entity.meterRead;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/4/17 17:01
 */
@Data
public class ReadRecord {
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String yhbh;

    @ApiModelProperty(value = "app端本地文件保存地址")
    private String imgUrl;

    @ApiModelProperty(value = "月份")
    private String month;

    @ApiModelProperty(value = "(上次读数)起度")
    private Long scds;
    @ApiModelProperty(value = "总购量")
    private Long zgl;
    /**
     * 本次读数
     */
    @ApiModelProperty(value = "(本次读数)止度")
    private Long bcds;

    @ApiModelProperty(value = "水表最大计数值")
    private Long maxNum;
    /**
     * 本次增量让APP端传递，要不然又要去走一次数据库查询上次读数再相减
     */
    @ApiModelProperty(value = "本次增量")
    private Long bczl;

    @ApiModelProperty(value = "抄表方式")
    private Long cbfsCode;

    @ApiModelProperty(value = "是否估报；1：是")
    private String isEstimate;
    /**
     * 抄表人员
     */
    @ApiModelProperty(value = "抄表人员")
    private Long cbry;
    /**
     * 抄表日期
     */
    @ApiModelProperty(value = "抄表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cbrq;

    @ApiModelProperty(value = "用水性质编码")
    private String ysxzBm;

    @ApiModelProperty(value = "水表口径")
    private String sbkj;

    private String fileIds;
    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "抄表--客户备注")
    private String clientBz;

    @ApiModelProperty(value = "X坐标")
    private Double x;

    @ApiModelProperty(value = "Y坐标")
    private Double y;

    @ApiModelProperty(value = "地址说明")
    private String addressState;

    @ApiModelProperty(value = "是否卡表；0：机械表；1：卡表")
    private String isGeneral;

    @ApiModelProperty(value = "抄表的唯一标识")
    private String soleSign;

    @ApiModelProperty(value = "是否离线抄表；0：APP抄表；1：离线抄表；默认：0")
    private String isOffline;


    @ApiModelProperty(value = "前第1次水量")
    private Long month1;

    @ApiModelProperty(value = "前第2次水量")
    private Long month2;

    @ApiModelProperty(value = "前第3次水量")
    private Long month3;

    @ApiModelProperty(value = "时间间隔")
    private Integer diffTime;

    private String sblx;


}
