package com.tofly.watermeter.custom.entity.meterRead;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 *
 * 条件参数实体
 * @author FlashWJL
 * @date 2021/4/15 13:23
 */
@Data
public class ReadSearch {
    private String ids;
    @ApiModelProperty("0：禁用；1：启用")
    private String isState;
    @ApiModelProperty("id")
    private Long id;
    @ApiModelProperty("月份")
    private String cwyf;
    @ApiModelProperty("年份")
    private String year;
    @ApiModelProperty("片区(区域编码或名称)(多个逗号隔开)")
    private String sspq;
    @ApiModelProperty("抄表本(区域段编码或名称)(多个逗号隔开)")
    private String cbb;
    private String qydmc;
    @ApiModelProperty("抄表员，只能单个传ID")
    private Long cbry;
    @ApiModelProperty("抄表员名称或抄表人员ID(多个逗号隔开)")
    private String cbryName;
    @ApiModelProperty("抄表状态：0：未抄表，1：已抄表(实抄，已抄总数)，2：应抄(应抄表总数)，3：在线抄表，4：离线抄表，5：按时抄表，6：超时抄表，7：故障抄表，8：准确抄表，9：正值；10负值；11：等值")
    private String state;
    @ApiModelProperty(value = "0：未处理；1：已处理")
    private String isDis;
    @ApiModelProperty(value = "1：月抄表率；2：日抄表率")
    private String queryType;
    @ApiModelProperty("审核状态：0：未审核；1：已审核")
    private String auditState;
    @ApiModelProperty("时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;
    @ApiModelProperty("开始时间(字符串格式)")
    private String startTime;
    @ApiModelProperty("结束时间(字符串格式)")
    private String endTime;
    @ApiModelProperty(value = "数字")
    private Integer num ;
    @ApiModelProperty(value = "搜索框内容")
    private String inputContent ;
    @ApiModelProperty(value = "已下载数，用来判断制定计划；已下载的就不能重新生成计划")
    private Integer down ;
    @ApiModelProperty(value = "导出标识；1：导出")
    private String templateFlag;
    @ApiModelProperty(value = "是否修改计划值 1：修改(是)")
    private String updateIsPlan;
    @ApiModelProperty(value = "是否已下载区域段里的计划；0：未下载；1：已下载")
    private String isDown;
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    @ApiModelProperty(value = "用户姓名")
    private String yhxm;
    @ApiModelProperty(value = "用户地址")
    private String yhdz;
    @ApiModelProperty(value = "联系电话")
    private String lxdh;
    @ApiModelProperty(value = "水表编号")
    private String sbbh;
    @ApiModelProperty("开始时间(时间格式)")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    @ApiModelProperty("结束时间(时间格式)")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;
    @ApiModelProperty(value = "是否卡表；0：机械表；1：卡表")
    private String isGeneral;
    @ApiModelProperty(value = "是否同步；0：未同步、1：已同步")
    private String issyn;
    @ApiModelProperty(value = "是否估报；1：是")
    private String isEstimate;
    @ApiModelProperty(value = "排序字段，1：根据抄表序号排序")
    private String isPx;
    @ApiModelProperty(value = "抄表方式；多个逗号隔开")
    private String cbfs;

    @ApiModelProperty(value = "是否归集查询 1：是")
    private String isCollect;

    @ApiModelProperty(value = "是否修改；1：已修改；0：未修改")
    private String isUpdate;


}
