package com.tofly.watermeter.custom.entity.quality;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/12/9 9:50
 */
@Data
public class QualityStatis {

    @ApiModelProperty(value = "抄表区域")
    private String cbqy ;

    @ApiModelProperty(value = "抄表区域段")
    private String cbqyd ;

    @ApiModelProperty(value = "开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "开始日期(本文格式；如年月：202112)")
    private String startDate;
    @ApiModelProperty(value = "结束日期(本文格式；如年月：202112)")
    private String endDate;

    @ApiModelProperty(value = "年月")
    private String yearMonth;

    @ApiModelProperty(value = "导出标识；1：导出")
    private String templateFlag;

    @ApiModelProperty(value = "汇总类型：1：水表口径；2：用水性质；3：异常原因")
    private String type;

    @ApiModelProperty(value = "详情数据查询类型；0：异常客户数 1：应抄表总数；2：待核客户数；3：已核客户数；4：转质检户数；5：水量上升；6：水量下降")
    private String queryType;

    @ApiModelProperty(value = "查询数目")
    private Integer queryCount;

    @ApiModelProperty(value = "抽查比例数")
    private Integer ratio;

    @ApiModelProperty(value = "输入框内容")
    private String inputcontent;

    @ApiModelProperty(value = "用户编号")
    private String yhbh;

    @ApiModelProperty(value = "水表口径，多个逗号隔开")
    private String sbkj;

    @ApiModelProperty(value = "用水性质，多个逗号隔开")
    private String ysxz;

    @ApiModelProperty(value = "异常原因ID，多个逗号隔开")
    private String abnormal;

    @ApiModelProperty(value = "抄表人员，多个逗号隔开")
    private String cbry;

    @ApiModelProperty(value = "抄表人员，多个逗号隔开")
    private String cbryName;

    @ApiModelProperty(value = "是否卡表；0：机械表；1：卡表")
    private String isGeneral;

    @ApiModelProperty(value = "归集类型:全部/用户/管理")
    private String collectionType;



}
