package com.tofly.watermeter.custom.service.websb.impl;

import com.alibaba.fastjson.JSONObject;
import com.tofly.common.core.util.StringUtil;
import com.tofly.watermeter.custom.entity.webserverbean.*;
import com.tofly.watermeter.custom.service.websb.WebSBservice;
import com.tofly.watermeter.entity.Qfkhjbxx;
import com.tofly.watermeter.util.CallAPIUtil;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/5/28 11:11
 */
@Service
public class WebSBserviceImpl implements WebSBservice {

    @Override
    public List<Qfkhjbxx> getKH(KhInfo khInfo) {
        try {
            Map map = CallAPIUtil.callAPIUtil(khInfo, "api/Business/GetCustomerData");
            if (StringUtil.isNotNull(map)){
                Object info = map.get("data");
                List<Qfkhjbxx> mapList = JSONObject.parseArray(JSONObject.toJSONString(info) , Qfkhjbxx.class);
                if (StringUtil.isNotNull(mapList)&&mapList.size()>0){
                    return mapList;
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    @Override
    public List<Qfkhjbxx> getUpdateAndInsert(CustomerAddorUpdate customerAddorUpdate) {
        try {
            Map map = CallAPIUtil.callAPIUtil(customerAddorUpdate, "api/Business/CustomerAddorUpdate");
            if (StringUtil.isNotNull(map)){
                Object info = map.get("data");
                List<Qfkhjbxx> mapList = JSONObject.parseArray(JSONObject.toJSONString(info) , Qfkhjbxx.class);
                if (StringUtil.isNotNull(mapList)&&mapList.size()>0){
                    return mapList;
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    @Override
    public List<ReadAreas> getReadAreas(CbParamInfo cbParamInfo) {
        try {
            Object info = CallAPIUtil.callAPIUtil(cbParamInfo, IpAddress.ReadAndAreas.getIpAddress()).get("data");
            if (StringUtil.isNotNull(info)){
                List<ReadAreas> mapList = JSONObject.parseArray(JSONObject.toJSONString(info) , ReadAreas.class);
                if (StringUtil.isNotNull(mapList)&&mapList.size()>0){
                    return mapList;
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
    @Override
    public Map newInstall(NewInstall newInstall) {
        try {
           Map map = CallAPIUtil.callAPIUtil(newInstall , "api/Business/newWater");
           return map ;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    @Override
    public Map exchangeSB(ExchangeSB exchangeSB) {
        try {
            Map map = CallAPIUtil.callAPIUtil(exchangeSB , "api/Business/WaterReplace");
            return map ;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }


}
