/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 旧表移交（旧表只能单只表录入）
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWJBYJDATAIL_W", resultMap = "bwjbyjdatailMap")
@KeySequence("TF_YWPN_BWJBYJDATAIL_W")
@ApiModel
public class Bwjbyjdatail extends Model<Bwjbyjdatail> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String bwLsbh;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String bwSbbh;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private String bwSbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private String bwSblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private String bwSbkj;
    /**
     * 移交原因
     */
    @ApiModelProperty(value = "移交原因")
    private String bwYjyy;
    /**
     * 接收部门
     */
    @ApiModelProperty(value = "接收部门")
    private String bwJsbm;
    /**
     * 接收人员
     */
    @ApiModelProperty(value = "接收人员")
    private String bwJsry;
    /**
     * 移交日期
     */
    @ApiModelProperty(value = "移交日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bwYjrq;
    /**
     * 水表止度
     */
    @ApiModelProperty(value = "水表止度")
    private String bwSbzd;
    /**
     * 操作人员
     */
    @ApiModelProperty(value = "	操作人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private String createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "	操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bwBz;

}
