/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 水表维修记录表
 *
 * @author wangjieliu
 * @date Mon Aug 23 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWREPAIR_W", resultMap = "bwrepairMap")
@KeySequence("TF_YWPN_BWREPAIR_W")
@ApiModel
public class Bwrepair extends Model<Bwrepair> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String sbbh;
    /**
     * 维修结果；0：不合格；1：合格
     */
    @ApiModelProperty(value = "维修结果；0：不合格；1：合格")
    private String repairResult;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String repairResultName;
    /**
     * 维修描述
     */
    @ApiModelProperty(value = "维修描述")
    private String repairDescription;
    /**
     * 维修人员
     */
    @ApiModelProperty(value = "维修人员")
    private Long repairUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String repairUserName;


    /**
     * 维修时间
     */
    @ApiModelProperty(value = "维修时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date repairTime;
    /**
     * 创建人员
     */
    @ApiModelProperty(value = "操作人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;

    @ApiModelProperty
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbcjName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sblxName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbkjName;



}
