/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 入库记录明细表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWRKDETAIL_W", resultMap = "bwrkdetailMap")
@KeySequence("TF_YWPN_BWRKDETAIL_W")
@ApiModel
public class Bwrkdetail extends Model<Bwrkdetail> {
    private static final long serialVersionUID = 1L;

    /**
     * 批次名称
     */
    @ApiModelProperty(value = "批次名称")
    private String bwPcmc;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private Long bwSbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private Long bwSblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private Long bwSbkj;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Long bwSl;
    /**
     * 表号前缀（以字母）
     */
    @ApiModelProperty(value = "表号前缀（以字母）")
    private String bwBhqz;
    /**
     * 表起号
     */
    @ApiModelProperty(value = "表起号")
    private Long bwBqh;
    /**
     * 表止号
     */
    @ApiModelProperty(value = "表止号")
    private Long bwBzh;
    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;

    @ApiModelProperty
    @TableField(exist = false)
    private String createUserName;
    /**
     * 操作时间
     */
 @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
//    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bwBz;
    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String bwLsbh;

    @ApiModelProperty(value = "库存总数")
    private Long bwKczs;

    @ApiModelProperty(value = "使用数量")
    private Long bwSysl;

    @ApiModelProperty(value = "库存数量")
    private Long bwKcsl;

/**
 * 添加的口径厂家类型编码信息
 */
    @TableField(exist = false)
    private String sbcjName;
    @TableField(exist = false)
    private String sblxName;
    @TableField(exist = false)
    private String sbkjName;



}
