/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 水表首检表记录
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWSJDATAIL_W", resultMap = "bwsjdatailMap")
@KeySequence("TF_YWPN_BWSJDATAIL_W")
@ApiModel
public class Bwsjdatail extends Model<Bwsjdatail> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 入库记录明细表主键ID
     * 入库记录明细表主键ID绑定，不是流水编号，方便查询
     */
    @ApiModelProperty(value = "这里应该与入库记录明细表主键ID绑定")
    private Long bwRkid;
    /**
     * 入库批量编号(与入库BW_LSBH相同)
     */
    @ApiModelProperty(value = "入库批量编号(与入库BW_LSBH相同)")
    @TableField(jdbcType = JdbcType.VARCHAR)
    private String bwPcbh;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    @TableField(jdbcType = JdbcType.VARCHAR)
    private Long bwSbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    @TableField(jdbcType = JdbcType.VARCHAR)
    private Long bwSblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    @TableField(jdbcType = JdbcType.VARCHAR)
    private Long bwSbkj;
    /**
     * 水表数量
     */
    @ApiModelProperty(value = "水表数量")
    @TableField(jdbcType = JdbcType.NUMERIC)
    private Integer bwSbsl;
    /**
     * 抽检数量
     */
    @ApiModelProperty(value = "抽检数量")
    @TableField(jdbcType = JdbcType.NUMERIC)
    private Long bwCjsl;
    /**
     * 抽检比例
     */
    @ApiModelProperty(value = "抽检比例")
    @TableField(jdbcType = JdbcType.VARCHAR)
    private String bwCjbl;
    /**
     * 合格数量
     */
    @ApiModelProperty(value = "合格数量")
    @TableField(jdbcType = JdbcType.NUMERIC)
    private int bwHgsl;
    /**
     * 合格比例
     */
    @ApiModelProperty(value = "合格比例")
    @TableField(jdbcType = JdbcType.VARCHAR)
    private String bwHgbl;
    /**
     * 检验部门
     */
    @ApiModelProperty(value = "检验部门")
    @TableField(jdbcType = JdbcType.VARCHAR)
    private Long bwJybm;
    /**
     * 检验日期
     */
    @ApiModelProperty(value = "检验日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bwJyrq;
    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    @TableField(jdbcType = JdbcType.NUMERIC)
    private Long operateUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String operateUserName;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operateDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    @TableField(jdbcType = JdbcType.VARCHAR)
    private String bwBz;
    /**
     * 是否处理
     */
    @ApiModelProperty(value = "是否处理；0：未处理；1：已处理")
    private String isCheck;
    /**
     * 状态：未处理、已处理
     */
    @TableField(exist = false)
    private String state;
    /**
     * 批次名称
     */
    @TableField(exist = false)
    private String pcName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbcjName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sblxName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbkjName;

    @ApiModelProperty(value = "外部部门")
    private String wbbm;

    private Integer bwSbqd;
    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    private Long createUser;
    @TableField(exist = false)
    private String createUserName;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    @ApiModelProperty(value = "不合格数")
    private Long bwBhgs;

}
