/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抄表区域编码
 *
 * @author wangjieliu
 * @date Sat May 29 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_CBQYBM_W", resultMap = "cbqybmMap")
@KeySequence("TF_YWPN_CBQYBM_W")
@ApiModel
public class Cbqybm extends Model<Cbqybm> {
    private static final long serialVersionUID = 1L;

    /**
     * 区域编码
     */
//    @TableId(value = "QYBM", type = IdType.INPUT)
    @ApiModelProperty(value = "区域编码")
    private String qybm;
    /**
     * 区域名称
     */
    @ApiModelProperty(value = "区域名称")
    private String qymc;
    /**
     * 有效标志 0 启用，1禁用
     */
    @ApiModelProperty(value = "有效标志 0 启用，1禁用")
    private String yxbz;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String yxbzName;
    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "1：创建时、修改时")
    private String updateFlag;

}
