/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 区域段抄表水量汇总
 *
 * @author wangjieliu
 * @date Wed Dec 08 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_CBQYDWATER_W", resultMap = "cbqydwaterMap")
@KeySequence("TF_YWPN_CBQYDWATER_W")
@ApiModel
public class Cbqydwater extends Model<Cbqydwater> {
    private static final long serialVersionUID = 1L;

    /**
     * 抄表区域名称
     */
    @ApiModelProperty(value = "抄表区域名称")
    private String cbqyMc;
    /**
     * 抄表区域编码
     */
    @ApiModelProperty(value = "抄表区域编码")
    private String cbqyBm;
    /**
     * 抄表区段编码
     */
    @ApiModelProperty(value = "抄表区段编码")
    private String cbqydBm;
    /**
     * 区域段名称
     */
    @ApiModelProperty(value = "区域段名称")
    private String qydmc;
    /**
     * 年月
     */
    @ApiModelProperty(value = "年月")
    private String yearmonth;
    /**
     * 累计水量
     */
    @ApiModelProperty(value = "累计水量")
    private Long waterValue;

    /**
     * 相加时间(避免重复相加)
     */
    @ApiModelProperty(value = "相加时间(避免重复相加)")
    private String addDay;

}
