/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抄表片区
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFCBCBPQ_W", resultMap = "qfcbcbpqMap")
@KeySequence("TF_YWPN_QFCBCBPQ_W")
@ApiModel
public class Qfcbcbpq extends Model<Qfcbcbpq> {
    private static final long serialVersionUID = 1L;

    /**
     * 抄表片区编码
     */
    @TableId(value = "PQBM", type = IdType.INPUT)
    @ApiModelProperty(value = "抄表片区编码")
    private String pqbm;
    /**
     * 抄表片区名称
     */
    @ApiModelProperty(value = "抄表片区名称")
    private String pqmc;
    /**
     * 有效标志
     */
    @ApiModelProperty(value = "有效标志；1：有效")
    private String yxbz;
    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
//    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private String createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bz;

}
