/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抄表计划详情表；
 *
 * @author wangjieliu
 * @date Fri Nov 05 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFCBPLANDETAILS_W", resultMap = "qfcbplandetailsMap")
@KeySequence("TF_YWPN_QFCBPLANDETAILS_W")
@ApiModel
public class Qfcbplandetails extends Model<Qfcbplandetails> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 关联计划表TF_YWPN_QFCBQFMX_W中的ID
     */
    @ApiModelProperty(value = "关联计划表TF_YWPN_QFCBQFMX_W中的ID")
    private Long planId;
    /**
     * 抄表区域名称
     */
    @ApiModelProperty(value = "抄表区域名称")
    private String cbqyMc;
    /**
     * 抄表区域编码
     */
    @ApiModelProperty(value = "抄表区域编码")
    private String cbqyBm;
    /**
     * 抄表区段编码
     */
    @ApiModelProperty(value = "抄表区段编码")
    private String cbqydBm;
    @ApiModelProperty(value = "区域段名称")
    private String qydmc;
    /**
     * 抄表人员ID
     */
    @ApiModelProperty(value = "抄表人员ID")
    private Long cbry;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String cbryName;
    @ApiModelProperty(value = "抄表人员部门ID；(没有用好)")
    private Long cbryDepart;
    /**
     * 单/双月/每月；0：双月；1：单月；2：每月
     */
    @ApiModelProperty(value = "单/双月/每月；0：双月；1：单月；2：每月")
    private String sinDouMonth;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String sinDouMonthName;
    /**
     * 抄表开始日
     */
    @ApiModelProperty(value = "抄表开始日")
    private Short startDay;
    /**
     * 抄表结束日
     */
    @ApiModelProperty(value = "抄表结束日")
    private Short endDay;
    /**
     * 是否启用；0：禁用；1：启用；默认启用
     */
    @ApiModelProperty(value = "是否启用；0：禁用；1：启用；默认启用")
    private String isState;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String isStateName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 是否卡表；0：人工抄表；1：普查表；默认人工抄表
     */
    @ApiModelProperty(value = "是否卡表；0：机械表；1：卡表")
    private String isGeneral;

    //与数据库字段不相关
    @TableField(exist = false)
    @ApiModelProperty(hidden = true,value = "修改类型；0：抄表人员设置；1：抄表时间设置；2：计划启用停用设置")
    private String isUpdateType;



}
