/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.watermeter.custom.entity.file.FileInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 抄表业务抄表欠费明细表
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFCBQFMX_W", resultMap = "qfcbqfmxMap")
@KeySequence("TF_YWPN_QFCBQFMX_W")
@ApiModel
public class Qfcbqfmx extends Model<Qfcbqfmx> {
    private static final long serialVersionUID = 1L;

    /**
     * 用户编号
     */
//    @TableId(value = "YHBH",type= IdType.INPUT)
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 抄表卡号
     */
    @ApiModelProperty(value = "抄表卡号")
    private String cbkh;
    /**
     * 抄表序号
     */
    @ApiModelProperty(value = "抄表序号")
    private Long cbxh;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String yhxm;
    /**
     * 用户地址
     */
    @ApiModelProperty(value = "用户地址")
    private String yhdz;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String lxdh;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String sbbh;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private String sbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private String sblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private String sbkj;
    /**
     * 用水性质
     */
    @ApiModelProperty(value = "用水性质")
    private String ysxz;
    /**
     * 性质细分
     */
    @ApiModelProperty(value = "性质细分")
    private String xzxf;
    /**
     * 抄表片区（编码)
     */
    @ApiModelProperty(value = "抄表片区（编码)")
    private String cbpq;
    /**
     * 抄表本 （编码）
     */
    @ApiModelProperty(value = "抄表本 （编码）")
    private String cbb;
    /**
     * 财务日期如：（202105）
     */
    @ApiModelProperty(value = "财务日期如：（202105）")
    private String cwrq;
    /**
     * 上次读数
     */
    @ApiModelProperty(value = "上次读数")
    private Long scds;
    /**
     * 本次读数
     */
    @ApiModelProperty(value = "本次读数")
    private Long bcds;
    /**
     * 本次加减量
     */
    @ApiModelProperty(value = "本次加减量")
    private Long bcjjl;
    /**
     * 抄表标志 0未抄表，1已抄表
     */
    @ApiModelProperty(value = "抄表标志 0未抄表，1已抄表")
    private String cbbz;
    /**
     * 计费状态 1正常计费，2停用
     */
    @ApiModelProperty(value = "计费状态 1正常计费，2停用")
    private String jfzt;
    /**
     * 抄表人员
     */
    @ApiModelProperty(value = "抄表人员")
    private Long cbry;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String cbryName;
    /**
     * 抄表日期
     */
    @ApiModelProperty(value = "抄表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cbrq;
    /**
     * 计划抄表日期
     */
    @ApiModelProperty(value = "计划抄表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jhrq;
    /**
     * 数据下载标识,1已下载 0未下载
     */
    @ApiModelProperty(value = "数据下载标识,1已下载 0未下载")
    private String xzbs;
    /**
     * 文件ID
     */
    @ApiModelProperty(value = "文件ID")
    private String fileid;
    /**
     * 文件信息
     */
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<FileInfo> fileInfo;
    @ApiModelProperty(value = "抄表方式编码")
    private Long cbfsCode;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String cbfsName;//抄表方式名称

    @ApiModelProperty(value = "抄表数据审核标识；0：未审核；1：已审核")
    private String shbz;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String auditName;

    @ApiModelProperty(value = "异常原因")
    private String auditReason;

    @ApiModelProperty(value = "审核人")
    private Long auditUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String auditUserName;

    @ApiModelProperty(value = "审核备注")
    private String auditCause;

    @ApiModelProperty(value = "审核结果；0：不合格；1：合格")
    private String auditResult;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String auditResultName;
    /**
     * 抄表水量
     */
    @ApiModelProperty(value = "抄表水量")
    private Long cbsl;

    @ApiModelProperty(value = "是否同步；0：未同步、1：已同步")
    private String issyn;
    @ApiModelProperty(value = "前第一月水量")
    private Long month1;
    @ApiModelProperty(value = "前第二月水量")
    private Long month2;
    @ApiModelProperty(value = "前第三月水量")
    private Long month3;
    @ApiModelProperty(value = "备注")
    private String bz;
    @ApiModelProperty(value = "抄表周期")
    private String cbzq;
    @ApiModelProperty(value = "森鑫炬同步接口返回的消息数据")
    private String sxjmessage;
    @ApiModelProperty(value = "抄表月份")
    private String cbyf;

    @ApiModelProperty(value = "X坐标")
    private Double x;

    @ApiModelProperty(value = "Y坐标")
    private Double y;

    @ApiModelProperty(value = "地址说明")
    private String addressState;

}
