/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抄表业务设备管理表
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFCBSBGL_W", resultMap = "qfcbsbglMap")
@KeySequence("TF_YWPN_QFCBSBGL_W")
@ApiModel
public class Qfcbsbgl extends Model<Qfcbsbgl> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String sbbh;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    private String sbmc;
    /**
     * 设备厂家
     */
    @ApiModelProperty(value = "设备厂家")
    private String sbcj;
    /**
     * 设备型号
     */
    @ApiModelProperty(value = "设备型号")
    private String sbxh;
    /**
     * 发放状态（0未发放，1已发放）
     */
    @ApiModelProperty(value = "发放状态（0未发放，1已发放）")
    private String state;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String stateName;

    /**
     * 当前持有人员
     */
    @ApiModelProperty(value = "当前持有人员")
    private Long cyry;

    @ApiModelProperty(value = "领取时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lqsj;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String cyryName;

}
