/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 开关记录表
 *
 * @author wangjieliu
 * @date Wed Aug 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFKGJL_W", resultMap = "qfkgjlMap")
@KeySequence("TF_YWPN_QFKGJL_W")
@ApiModel
public class Qfkgjl extends Model<Qfkgjl> {
    private static final long serialVersionUID = 1L;


    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String yhxm;
    /**
     * 用户地址
     */
    @ApiModelProperty(value = "用户地址")
    private String yhdz;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String lxdh;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private String sbcj;
    @TableField(exist = false)
    private String sbcjName;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private String sblx;
    @TableField(exist = false)
    private String sblxName;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private String sbkj;
    @TableField(exist = false)
    private String sbkjName;
    /**
     * 用水性质
     */
    @ApiModelProperty(value = "用水性质")
    private String ysxz;
    @TableField(exist = false)
    private String ysxzName;
    /**
     * 阀门状态；0：关闭；1：开启
     */
    @ApiModelProperty(value = "阀门状态；0：关闭；1：开启")
    private String fmzt;
    @ApiModelProperty(hidden = true, value = "阀门状态；关闭；开启")
    @TableField(exist = false)
    private String fmztName;

    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "阀门位置")
    private String address;

    @ApiModelProperty(value = "图上编号")
    private String tsbh;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "开关阀时间")
    private Date kgTime;
    @ApiModelProperty(value = "部门id")
    private Long createDept;
    @TableField(exist = false)
    private String createDeptName;
}
