/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * TF_YWPN_QFMIDBZYW_E 报装业务
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_QFMIDBZYW_E",resultMap = "qfmidbzywEMap")
@KeySequence("TF_YWPN_QFMIDBZYW_E")
@ApiModel
public class QfmidbzywE extends Model<QfmidbzywE> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "ID")
                private String id;
                /**
     * 工程编号
     */
            @ApiModelProperty(value = "工程编号")
                private String bzGcbh;
                /**
     * 工程名称
     */
            @ApiModelProperty(value = "工程名称")
                private String bzGcmc;
                /**
     * 工程地址
     */
            @ApiModelProperty(value = "工程地址")
                private String bzGcdz;
                /**
     * 联系人员
     */
            @ApiModelProperty(value = "联系人员")
                private String bzLxry;
                /**
     * 联系电话
     */
            @ApiModelProperty(value = "联系电话")
                private String bzLxdh;
                /**
     * 工程节点(报装申请、现场踏勘、勘查设计、费用预算、合同签订等)
     */
            @ApiModelProperty(value = "工程节点(报装申请、现场踏勘、勘查设计、费用预算、合同签订等)")
                private String bzGcjd;
                /**
     * 应收金额
     */
            @ApiModelProperty(value = "应收金额")
                private Double bzYsje;
                /**
     * 实收金额
     */
            @ApiModelProperty(value = "实收金额")
                private Double bzSsje;
                /**
     * 优惠金额
     */
            @ApiModelProperty(value = "优惠金额")
                private Double bzYhje;
                /**
     * 剩余金额
     */
            @ApiModelProperty(value = "剩余金额")
                private Double bzSyje;
                /**
     * 收费标志(0未收费，1已收费)
     */
            @ApiModelProperty(value = "收费标志(0未收费，1已收费)")
                private String bzSfbz;
                /**
     * 收费人员
     */
            @ApiModelProperty(value = "收费人员")
                private String bzSfry;
                /**
     * 收费日期
     */
            @ApiModelProperty(value = "收费日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date bzSfrq;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String bzBz;
            
}
