/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * TF_YWPN_QFMIDCBQFMX_E 当月抄表明细
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_QFMIDCBQFMX_E",resultMap = "qfmidcbqfmxEMap")
@KeySequence("TF_YWPN_QFMIDCBQFMX_E")
@ApiModel
public class QfmidcbqfmxE extends Model<QfmidcbqfmxE> {
    private static final long serialVersionUID = 1L;

        /**
     * 客户编号
     */
        @TableId(value = "YHBH",type= IdType.INPUT)
            @ApiModelProperty(value = "客户编号")
                private String yhbh;
                /**
     * 抄表卡号
     */
            @ApiModelProperty(value = "抄表卡号")
                private String cbkh;
                /**
     * 抄表片区
     */
            @ApiModelProperty(value = "抄表片区")
                private String cbpq;
                /**
     * 抄表本
     */
            @ApiModelProperty(value = "抄表本")
                private String cbb;
                /**
     * 财务月份
     */
            @ApiModelProperty(value = "财务月份")
                private String cwyf;
                /**
     * 上次读数
     */
            @ApiModelProperty(value = "上次读数")
                private BigDecimal scds;
                /**
     * 本次读数
     */
            @ApiModelProperty(value = "本次读数")
                private BigDecimal bcds;
                /**
     * 加减量
     */
            @ApiModelProperty(value = "加减量")
                private BigDecimal jjl;
                /**
     * 抄表人员编码
     */
            @ApiModelProperty(value = "抄表人员编码")
                private String cbrybm;
                /**
     * 抄表日期
     */
            @ApiModelProperty(value = "抄表日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date cbrq;
                /**
     * 抄表方式：
     */
            @ApiModelProperty(value = "抄表方式：")
                private String cbfs;
                /**
     * 抄表标志：0未抄表，1已抄表
     */
            @ApiModelProperty(value = "抄表标志：0未抄表，1已抄表")
                private String cbbz;
                /**
     * 审核标志：0未审核，1已审核
     */
            @ApiModelProperty(value = "审核标志：0未审核，1已审核")
                private String shbz;
                /**
     * 计算标志：0未算费，1已算费
     */
            @ApiModelProperty(value = "计算标志：0未算费，1已算费")
                private String jsbz;
                /**
     * 抄表次数
     */
            @ApiModelProperty(value = "抄表次数")
                private BigDecimal cbcs;
                /**
     * 抄表序号
     */
            @ApiModelProperty(value = "抄表序号")
                private Long cbxh;
                /**
     * 抄表备注,存储抄表描述内容
     */
            @ApiModelProperty(value = "抄表备注,存储抄表描述内容")
                private String bz;
                /**
     * 计费状态（1正常，0停用）
     */
            @ApiModelProperty(value = "计费状态（1正常，0停用）")
                private String jfzt;
                /**
     * 数据上传标志(0否，1是)
     */
            @ApiModelProperty(value = "数据上传标志(0否，1是)")
                private String sjsc;
                /**
     * 数据获取标志(0否，1是） 营销端使用
     */
            @ApiModelProperty(value = "数据获取标志(0否，1是） 营销端使用")
                private String hqbz;
            
}
