/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 水量数据异常分析模型参数配置--大类表
 *
 * @author wangjieliu
 * @date Mon Jan 10 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_READBIGABNORMAL_W", resultMap = "readbigabnormalMap")
@KeySequence("TF_YWPN_READBIGABNORMAL_W")
@ApiModel
public class Readbigabnormal extends Model<Readbigabnormal> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 水量突升比例模型
     */
    @ApiModelProperty(value = "水量突升比例模型值")
    private Float waterUp;
    /**
     * 水量突降比例模型
     */
    @ApiModelProperty(value = "水量突降比例模型值")
    private Float waterDown;
    /**
     * 同比升比例模型
     */
    @ApiModelProperty(value = "同比升比例模型值")
    private Float yearUp;
    /**
     * 同比降比例模型
     */
    @ApiModelProperty(value = "同比降比例模型值")
    private Float yearDown;
    /**
     * 环比升比例模型
     */
    @ApiModelProperty(value = "环比升比例模型值")
    private Float chainUp;
    /**
     * 环比降比例模型
     */
    @ApiModelProperty(value = "环比降比例模型值")
    private Float chainDown;
    /**
     * 0水量模型
     */
    @ApiModelProperty(value = "0水量模型值")
    private Integer zeroWater;
    /**
     * 水量微幅波动同比升
     */
    @ApiModelProperty(value = "水量微幅波动同比升值")
    private Float waterYearUp;
    /**
     * 水量微幅波动同比降
     */
    @ApiModelProperty(value = "水量微幅波动同比降值")
    private Float waterYearDown;
    /**
     * 水量微幅波动环比升
     */
    @ApiModelProperty(value = "水量微幅波动环比升值")
    private Float waterChainUp;
    /**
     * 水量微幅波动环比降
     */
    @ApiModelProperty(value = "水量微幅波动环比降值")
    private Float waterChainDown;
    /**
     * 水量连续升
     */
    @ApiModelProperty(value = "水量连续升次数")
    private Integer waterContinuousUp;
    /**
     * 水量连续降
     */
    @ApiModelProperty(value = "水量连续降次数")
    private Integer waterContinuousDown;
    /**
     * 水量连续相同
     */
    @ApiModelProperty(value = "水量连续相同值")
    private Integer waterContinuousEqual;
    /**
     * 阈值
     */
    @ApiModelProperty(value = "阈值")
    private Float thresholdValue;
    /**
     * 用水性质大类ID
     */
    @ApiModelProperty(value = "用水性质大类ID 必传")
    private Long bigYsxzId;
    /**
     * 水表口径ID
     */
    @ApiModelProperty(value = "水表口径ID")
    private Long sbkj;
    /**
     * 水表口径名称
     */
    @ApiModelProperty(value = "水表口径名称 必传")
    private String sbkjName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    @ApiModelProperty(value = "字段名称" , hidden = true)
    @TableField(exist = false)
    private String fieldName;

}
