/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 用户年用水量汇总表
 *
 * @author wangjieliu
 * @date Sat Dec 11 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_READUSERWATER_W", resultMap = "readuserwaterMap")
@KeySequence("TF_YWPN_READUSERWATER_W")
@ApiModel
public class Readuserwater extends Model<Readuserwater> {
    private static final long serialVersionUID = 1L;

    /**
     * 抄表区域名称
     */
    @TableId(value = "CBQY_MC", type = IdType.INPUT)
    @ApiModelProperty(value = "抄表区域名称")
    private String cbqyMc;
    /**
     * 抄表区域编码
     */
    @ApiModelProperty(value = "抄表区域编码")
    private String cbqyBm;
    /**
     * 抄表区段编码
     */
    @ApiModelProperty(value = "抄表区段编码")
    private String cbqydBm;
    /**
     * 区域段名称
     */
    @ApiModelProperty(value = "区域段名称")
    private String qydmc;
    /**
     * 年份，如：2021
     */
    @ApiModelProperty(value = "年份，如：2021")
    private String slyear;
    /**
     * 年月，如：202112
     */
    @ApiModelProperty(value = "年月，如：202112")
    private String yearmonth;
    /**
     * 用户累计水量
     */
    @ApiModelProperty(value = "用户累计水量")
    private Long waterValue;
    /**
     * 数据更新时间(避免重复相加)
     */
    @ApiModelProperty(value = "数据更新时间(避免重复相加)")
    private String addDay;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String yhxm;
    /**
     * 用户地址
     */
    @ApiModelProperty(value = "用户地址")
    private String yhdz;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String lxdh;

}
