/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 水表信息采集数据表：TF_YWPN _WATERMETER_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_WATERMETER_W", resultMap = "watermeterMap")
@KeySequence("TF_YWPN_WATERMETER_W")
@ApiModel
public class Watermeter extends Model<Watermeter> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String sid;
    /**
     * 电子标识编号
     */
    @ApiModelProperty(value = "电子标识编号")
    private String rfid;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private Long metertype;
    /**
     * 图幅号
     */
    @ApiModelProperty(value = "图幅号")
    private String distno;
    /**
     * 口径（mm）
     */
    @ApiModelProperty(value = "口径（mm）")
    private Long diameter;
    /**
     * 生产厂家
     */
    @ApiModelProperty(value = "生产厂家")
    private String manufacturer;
    /**
     * 所属片区
     */
    @ApiModelProperty(value = "所属片区")
    private Long areano;
    /**
     * X坐标
     */
    @ApiModelProperty(value = "X坐标")
    private Double x;
    /**
     * Y坐标
     */
    @ApiModelProperty(value = "Y坐标")
    private Double y;
    /**
     * 地面高程
     */
    @ApiModelProperty(value = "地面高程")
    private Double groundz;
    /**
     * 行政区
     */
    @ApiModelProperty(value = "行政区")
    private String district;
    /**
     * 所在道路
     */
    @ApiModelProperty(value = "所在道路")
    private String laneway;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 勘测单位
     */
    @ApiModelProperty(value = "勘测单位")
    private String surveyunit;
    /**
     * 权属单位
     */
    @ApiModelProperty(value = "权属单位")
    private String ownerunit;
    /**
     * 管辖单位
     */
    @ApiModelProperty(value = "管辖单位")
    private String maintainedunit;
    /**
     * 勘测日期
     */
    @ApiModelProperty(value = "勘测日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date surveydate;
    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date indate;
    /**
     * 安装日期
     */
    @ApiModelProperty(value = "安装日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date installdate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(exist = false)
    private Date createDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 附件图片
     */
    @ApiModelProperty(value = "附件图片")
    private String fileIds;

    @ApiModelProperty(value = "用户编号")
    private String yhbh;

    @ApiModelProperty(value = "使用状态，0已禁用，1正在使用")
    private String status;

    @ApiModelProperty(hidden = true,value = "水表编号，不是数据库字段")
    @TableField(exist = false)
    private String sbbh;

    @ApiModelProperty(value = "是否为总表，1是，0否（默认）")
    private String issum;

    @ApiModelProperty(value = "所在小区名称")
    private String village;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String yhxm;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String yhdz;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String cbpq;



}
