/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;


/**
 * 取供水量数据存储表
 *
 * @author admin
 * @date Sat May 28 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_WATERYIELD_W", resultMap = "wateryieldMap")
@KeySequence("TF_YWPN_WATERYIELD_W")
@ApiModel
@Accessors(chain = true)
public class Wateryield extends Model<Wateryield> {
    private static final Long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 厂家id
     */
    @ApiModelProperty(value = "厂家id")
    private Long factoryId;
    /**
     * 小时取水量
     */
    @ApiModelProperty(value = "小时取水量")
    private BigDecimal hourGetWater;
    /**
     * 小时供水量
     */
    @ApiModelProperty(value = "小时供水量")
    private BigDecimal hourWaterSupply;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "总取水量")
    private BigDecimal sumGetWater;
    @ApiModelProperty(value = "总供水量")
    private BigDecimal sumWaterSupply;
    /**
     * 时间精确到小时
     */
    @ApiModelProperty(value = "时间精确到小时")
    private String uhour;
    /**
     * 时间精确到天
     */
    @ApiModelProperty(value = "时间精确到天")
    private String uday;

}
