/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 用户编号与区域、区域段绑定中间表
 *
 * @author wangjieliu
 * @date Mon Jun 07 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_YHBINGQY_W", resultMap = "yhbingqyMap")
@KeySequence("TF_YWPN_YHBINGQY_W")
@ApiModel
@Accessors(chain = true)
public class Yhbingqy extends Model<Yhbingqy> {
    private static final long serialVersionUID = 1L;

    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 区域编码
     */
    @ApiModelProperty(value = "区域编码")
    private String qybm;
    /**
     * 区域段编码
     */
    @ApiModelProperty(value = "区域段编码")
    private String qydbm;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_Date", fill = FieldFill.INSERT)
    private Date createDate;

    @ApiModelProperty(value = "抄表序号")
    private Integer cbxh;

    /**
     * 以下的抄表标志在TF_YWPN_YHBINGQY_W数据表中暂时没用了
     * 现在用本系统抄表历史表中的；readMeterHis
     */
    @ApiModelProperty(value = "人工抄表抄表标识；0：未抄表；1：已抄表")
    private String cbbz;

    @ApiModelProperty(value = "人工抄表下载标识；0：未下载；1：已下载")
    private String isDown;

    @ApiModelProperty(value = "普查表抄表标识；0：未抄表；1：已抄表")
    private String pcCbbz;

    @ApiModelProperty(value = "普查表下载标识；0：未下载；1：已下载")
    private String pcIsDown;

    @ApiModelProperty(value = "1：创建时、修改时")
    private String updateFlag;

    @ApiModelProperty(value = "子级排序字段；用于区分排序时中间批量插入的顺序")
    private Integer childSort;

    private Long updateUser;

    private Date updateDate;
}
