/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.SearchSb;
import com.tofly.watermeter.custom.entity.Statistic;
import com.tofly.watermeter.custom.entity.StatisticResult;
import com.tofly.watermeter.entity.Bwzysbjddatail;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 水表争议记录表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface BwzysbjddatailMapper extends BaseMapper<Bwzysbjddatail> {
    String getjyjgName(@Param("jyjg") String jyjg);

    /**
     * 厂家汇总数量统计
     * （如果是按照月份查询，那么还会对月份进行分组，如果按照具体时间，则只会对厂家分组查询）
     * @param statistic 查询条件
     * @param cjList 厂家查询条件集合
     * @param kjList 口径查询条件集合
     * @param lxList 类型查询条件集合
     * @return 集合
     */
    List<StatisticResult> getCollectCj(@Param("sta") Statistic statistic , @Param("cj") List<String> cjList,
                                       @Param("kj") List<String> kjList,@Param("lx") List<String> lxList);
    /**
     * 分具体厂家、口径、类型数量统计
     * （如果是按照月份查询，那么还会对月份进行分组，如果按照具体时间，则只会对厂家分组查询）
     * @param statistic 查询条件
     * @param cjList 厂家查询条件集合
     * @param kjList 口径查询条件集合
     * @param lxList 类型查询条件集合
     * @return 集合
     */
    List<StatisticResult> getSpecific(@Param("sta") Statistic statistic , @Param("cj") List<String> cjList,
                                      @Param("kj") List<String> kjList,@Param("lx") List<String> lxList);
}
